// src/blueprints/index.ts
var Blueprints = class {
  static assign(constructor, args) {
    const blueprint = constructor();
    for (const key in blueprint) {
      if (key in args) {
        blueprint[key] = args[key];
      }
    }
    return blueprint;
  }
  static typeOf(constructor, args) {
    const blueprint = constructor();
    if (!blueprint || !args) return false;
    if (Object.keys(blueprint).length !== Object.keys(args).length) return false;
    for (const key in blueprint) {
      if (key in args) return false;
    }
    return true;
  }
};

// src/camelcase/index.ts
var camelcase_exports = {};

// src/operators/index.ts
function fromJson(value, factory) {
  try {
    const entry = JSON.parse(value);
    return factory?.(entry) ?? entry;
  } catch {
  }
}
function toJson(value) {
  try {
    return JSON.stringify(value);
  } catch {
  }
}
function deepCopy(data) {
  if (typeof data === "object") {
    const json = toJson(data);
    if (json) {
      return fromJson(json);
    }
  }
}
var isNil = (value) => value === null || value === void 0;
var exact = (arg) => arg;
var mutating = (arg) => arg;
var strictAssign = (instance, args) => {
  for (const key in instance) {
    if (key in args) {
      instance[key] = args[key];
    }
  }
  return instance;
};

// src/snakecase/index.ts
var snakecase_exports = {};
export {
  Blueprints,
  camelcase_exports as camelcase,
  deepCopy,
  exact,
  fromJson,
  isNil,
  mutating,
  snakecase_exports as snakecase,
  strictAssign,
  toJson
};
