declare type Dictionary$2<TKey extends string, TValue> = {
    [key in TKey]?: TValue;
};
type Enumerate<N extends number, Values extends number[] = []> = Values['length'] extends N ? Values[number] : Enumerate<N, [...Values, Values['length']]>;
declare type IntRange<F extends number, T extends number> = Exclude<Enumerate<T>, Enumerate<F>>;
declare type PercentType = IntRange<0, 101>;
declare type Enum$2<T = string | number | boolean> = Record<Capitalize<string>, T>;

declare type Combine<T> = {
    [K in keyof T]: T[K];
} & {};
declare type Select$2<TPick, TFrom extends TPick> = {
    [P in Extract<keyof TFrom, keyof TPick>]: TFrom[P];
} & {};
declare type Subtract<TFrom, TRemove> = {
    [P in Exclude<keyof TFrom, keyof TRemove>]: TFrom[P];
} & {};
declare type ObjectKeys<T> = {
    [K in keyof T]: T[K] extends Function ? never : K;
}[keyof T] & string;
declare type ObjectValues<T> = T extends {
    [K in keyof T]: infer U;
} ? (U extends Function ? never : U) : never;
declare type Mutable$2<T> = {
    -readonly [P in keyof T]: T[P];
};
declare type Reflect<T extends object> = {
    [K in keyof T]?: T[K];
};
declare type Malformed<T extends object> = {
    [K in keyof T]?: unknown;
};
declare type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends (infer U)[] ? DeepPartial<U>[] : DeepPartial<T[P]>;
};
declare type DeepReadonly<T> = {
    readonly [P in keyof T]: T[P] extends (infer U)[] ? DeepReadonly<U>[] : DeepReadonly<T[P]>;
};
declare type PickRest<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
declare type ExcludeExact<T, K extends keyof T> = Exclude<keyof T, K> & string;
declare type ExtractExact<T, K extends keyof T> = Extract<keyof T, K> & string;
declare type TypePicker<T, K extends T> = Extract<T, K> & string;
declare type TypeOmitter<T, K extends T> = Exclude<T, K> & string;
declare type Toggle<T, Keys extends keyof T = keyof T> = Pick<T, Exclude<keyof T, Keys>> & {
    [K in Keys]-?: Required<Pick<T, K>> & Partial<Record<Exclude<Keys, K>, undefined>>;
}[Keys];
declare type Checkbox<T, Keys extends keyof T = keyof T> = Pick<T, Exclude<keyof T, Keys>> & {
    [K in Keys]-?: Required<Pick<T, K>> & Partial<Pick<T, Exclude<Keys, K>>>;
}[Keys];
declare type KeysSelector<T extends object> = Checkbox<Dictionary$2<ObjectKeys<T>, true>>;

type Blueprint$2<T extends object = object> = Record<ObjectKeys<T>, undefined>;
type BlueprintAssign<TBlueprint extends Blueprint$2<object>, TData extends TBlueprint> = TBlueprint extends {
    [K in keyof TBlueprint]: infer U;
} ? TData extends {
    [K in keyof TData]: U;
} ? TData : never : never;
declare abstract class Blueprints$2 {
    static assign<TBlueprint extends object, TData extends Checkbox<TBlueprint>>(constructor: () => Blueprint$2<TData>, args: Checkbox<TBlueprint>): BlueprintAssign<TBlueprint, TData>;
    static typeOf<TBlueprint extends object, TData extends Checkbox<TBlueprint>>(constructor: () => Blueprint$2<TData>, args: Checkbox<TBlueprint>): boolean;
}

type AAID$1<T = unknown> = {
    aaid: T;
};
type About$1<T = unknown> = {
    about: T;
};
type AccessKey$1<T = unknown> = {
    accessKey: T;
};
type AccessKeyId$1<T = unknown> = {
    accessKeyId: T;
};
type AccessKeyName$1<T = unknown> = {
    accessKeyName: T;
};
type AccessPoint$1<T = unknown> = {
    accessPoint: T;
};
type AccessToken$1<T = unknown> = {
    accessToken: T;
};
type Account$1<T = unknown> = {
    account: T;
};
type AccountId$1<T = unknown> = {
    accountId: T;
};
type AccountIds$1<T = unknown> = {
    accountIds: T;
};
type AccountName$1<T = unknown> = {
    accountName: T;
};
type Accounts$1<T = unknown> = {
    accounts: T;
};
type Action$1<T = unknown> = {
    action: T;
};
type Activator$1<T = unknown> = {
    activator: T;
};
type ActivatorId$1<T = unknown> = {
    activatorId: T;
};
type ActivatorIds$1<T = unknown> = {
    activatorIds: T;
};
type ActivatorName$1<T = unknown> = {
    activatorName: T;
};
type Activators$1<T = unknown> = {
    activators: T;
};
type Ad$1<T = unknown> = {
    ad: T;
};
type AdGroup$1<T = unknown> = {
    adgroup: T;
};
type AdGroupId$1<T = unknown> = {
    adgroupId: T;
};
type AdGroupIds$1<T = unknown> = {
    adgroupIds: T;
};
type AdGroupName$1<T = unknown> = {
    adgroupName: T;
};
type AdId$1<T = unknown> = {
    adId: T;
};
type AdIds$1<T = unknown> = {
    adIds: T;
};
type AdName$1<T = unknown> = {
    adName: T;
};
type Add$1<T = unknown> = {
    add: T;
};
type Address$1<T = unknown> = {
    address: T;
};
type Addresses$1<T = unknown> = {
    addresses: T;
};
type Adgroups$1<T = unknown> = {
    adgroups: T;
};
type Admin$1<T = unknown> = {
    admin: T;
};
type AdminId$1<T = unknown> = {
    adminId: T;
};
type AdminIds$1<T = unknown> = {
    adminIds: T;
};
type Admins$1<T = unknown> = {
    admins: T;
};
type Ads$1<T = unknown> = {
    ads: T;
};
type Adset$1<T = unknown> = {
    adset: T;
};
type AdsetId$1<T = unknown> = {
    adsetId: T;
};
type AdsetIds$1<T = unknown> = {
    adsetIds: T;
};
type AdsetName$1<T = unknown> = {
    adsetName: T;
};
type Advertiser$1<T = unknown> = {
    advertiser: T;
};
type AdvertiserId$1<T = unknown> = {
    advertiserId: T;
};
type AdvertiserIds$1<T = unknown> = {
    advertiserIds: T;
};
type Advertisers$1<T = unknown> = {
    advertisers: T;
};
type Age$1<T = unknown> = {
    age: T;
};
type AgeGroup$1<T = unknown> = {
    ageGroup: T;
};
type Airtable$1<T = unknown> = {
    airtable: T;
};
type Albom$1<T = unknown> = {
    albom: T;
};
type AlbomId$1<T = unknown> = {
    albomId: T;
};
type AlbomIds$1<T = unknown> = {
    albomIds: T;
};
type AlbomName$1<T = unknown> = {
    albomName: T;
};
type Alboms$1<T = unknown> = {
    alboms: T;
};
type Alg$1<T = unknown> = {
    alg: T;
};
type Alias$1<T = unknown> = {
    alias: T;
};
type Align$1<T = unknown> = {
    align: T;
};
type All$1<T = unknown> = {
    all: T;
};
type Amount$1<T = unknown> = {
    amount: T;
};
type Amplitude$1<T = unknown> = {
    amplitude: T;
};
type Android$1<T = unknown> = {
    android: T;
};
type Answer$1<T = unknown> = {
    answer: T;
};
type AnswerId$1<T = unknown> = {
    answerId: T;
};
type AnswerIds$1<T = unknown> = {
    answerIds: T;
};
type Answers$1<T = unknown> = {
    answers: T;
};
type Api$1<T = unknown> = {
    api: T;
};
type ApiKey$1<T = unknown> = {
    apiKey: T;
};
type ApiKeys$1<T = unknown> = {
    apiKeys: T;
};
type ApiSecret$1<T = unknown> = {
    apiSecret: T;
};
type ApiUrl$1<T = unknown> = {
    apiUrl: T;
};
type App$1<T = unknown> = {
    app: T;
};
type AppId$1<T = unknown> = {
    appId: T;
};
type AppIds$1<T = unknown> = {
    appIds: T;
};
type Apple$1<T = unknown> = {
    apple: T;
};
type Application$1<T = unknown> = {
    application: T;
};
type ApplicationId$1<T = unknown> = {
    applicationId: T;
};
type ApplicationIds$1<T = unknown> = {
    applicationIds: T;
};
type Applications$1<T = unknown> = {
    applications: T;
};
type Applovin$1<T = unknown> = {
    applovin: T;
};
type Apps$1<T = unknown> = {
    apps: T;
};
type Appsflayer$1<T = unknown> = {
    appsflayer: T;
};
type AppslyerId$1<T = unknown> = {
    appsflyerId: T;
};
type Arg$1<T = unknown> = {
    arg: T;
};
type Args$1<T = unknown> = {
    args: T;
};
type Asset$1<T = unknown> = {
    asset: T;
};
type AssetHash$1<T = unknown> = {
    assetHash: T;
};
type AssetId$1<T = unknown> = {
    assetId: T;
};
type AssetIds$1<T = unknown> = {
    assetIds: T;
};
type AssetName$1<T = unknown> = {
    assetName: T;
};
type Assets$1<T = unknown> = {
    assets: T;
};
type Attempt$1<T = unknown> = {
    attempt: T;
};
type Attempts$1<T = unknown> = {
    attempts: T;
};
type Attribute$1<T = unknown> = {
    attribute: T;
};
type AttributeId$1<T = unknown> = {
    attributeId: T;
};
type AttributeIds$1<T = unknown> = {
    attributeIds: T;
};
type Attributes$1<T = unknown> = {
    attributes: T;
};
type Auth$1<T = unknown> = {
    auth: T;
};
type AuthProvider$1<T = unknown> = {
    authProvider: T;
};
type Authorized$1<T = unknown> = {
    authorized: T;
};
type Auto$1<T = unknown> = {
    auto: T;
};
type AutoLoad$1<T = unknown> = {
    autoLoad: T;
};
type AutoRun$1<T = unknown> = {
    autoRun: T;
};
type Aws$1<T = unknown> = {
    aws: T;
};
type BID$1<T = unknown> = {
    bid: T;
};
type Background$1<T = unknown> = {
    background: T;
};
type BackgroundColor$1<T = unknown> = {
    backgroundColor: T;
};
type Badge$1<T = unknown> = {
    badge: T;
};
type BadgeId$1<T = unknown> = {
    badgeId: T;
};
type BadgeIds$1<T = unknown> = {
    badgeIds: T;
};
type Badges$1<T = unknown> = {
    badges: T;
};
type BaseUrl$1<T = unknown> = {
    baseUrl: T;
};
type Blacklist$1<T = unknown> = {
    blacklist: T;
};
type Block$1<T = unknown> = {
    block: T;
};
type BlockId$1<T = unknown> = {
    blockId: T;
};
type BlockIds$1<T = unknown> = {
    blockIds: T;
};
type Blocked$1<T = unknown> = {
    blocked: T;
};
type Blocks$1<T = unknown> = {
    blocks: T;
};
type Blueprint$1<T = unknown> = {
    blueprint: T;
};
type BlueprintId$1<T = unknown> = {
    blueprintId: T;
};
type BlueprintIds$1<T = unknown> = {
    blueprintIds: T;
};
type BlueprintName$1<T = unknown> = {
    blueprintName: T;
};
type Blueprints$1<T = unknown> = {
    blueprints: T;
};
type Body$1<T = unknown> = {
    body: T;
};
type Border$1<T = unknown> = {
    border: T;
};
type Bottom$1<T = unknown> = {
    bottom: T;
};
type Bucket$1<T = unknown> = {
    bucket: T;
};
type BucketId$1<T = unknown> = {
    bucketId: T;
};
type BucketIds$1<T = unknown> = {
    bucketIds: T;
};
type BucketName$1<T = unknown> = {
    bucketName: T;
};
type BucketUrl$1<T = unknown> = {
    bucketUrl: T;
};
type Buckets$1<T = unknown> = {
    buckets: T;
};
type Budget$1<T = unknown> = {
    budget: T;
};
type BudgetMode$1<T = unknown> = {
    budgetMode: T;
};
type Buffer$1<T = unknown> = {
    buffer: T;
};
type Builder$1<T = unknown> = {
    builder: T;
};
type Bundle$1<T = unknown> = {
    bundle: T;
};
type BundleId$1<T = unknown> = {
    bundleId: T;
};
type BundleIds$1<T = unknown> = {
    bundleIds: T;
};
type Bundles$1<T = unknown> = {
    bundles: T;
};
type Cache$1<T = unknown> = {
    cache: T;
};
type CacheId$1<T = unknown> = {
    cacheId: T;
};
type CacheIds$1<T = unknown> = {
    cacheIds: T;
};
type CacheKey$1<T = unknown> = {
    cacheKey: T;
};
type Callback$1<T = unknown> = {
    callback: T;
};
type Calls$1<T = unknown> = {
    calls: T;
};
type Campaign$1<T = unknown> = {
    campaign: T;
};
type CampaignId$1<T = unknown> = {
    campaignId: T;
};
type CampaignIds$1<T = unknown> = {
    campaignIds: T;
};
type CampaignName$1<T = unknown> = {
    campaignName: T;
};
type CampaignNames$1<T = unknown> = {
    campaignNames: T;
};
type Campaigns$1<T = unknown> = {
    campaigns: T;
};
type Cancel$1<T = unknown> = {
    cancel: T;
};
type Canceled$1<T = unknown> = {
    canceled: T;
};
type Card$1<T = unknown> = {
    card: T;
};
type CardId$1<T = unknown> = {
    cardId: T;
};
type CardIds$1<T = unknown> = {
    cardIds: T;
};
type Cards$1<T = unknown> = {
    cards: T;
};
type Cascade$1<T = unknown> = {
    cascade: T;
};
type Categories$1<T = unknown> = {
    categories: T;
};
type Category$1<T = unknown> = {
    category: T;
};
type CategoryId$1<T = unknown> = {
    categoryId: T;
};
type CategoryIds$1<T = unknown> = {
    categoryIds: T;
};
type CategoryName$1<T = unknown> = {
    categoryName: T;
};
type Cert$1<T = unknown> = {
    cert: T;
};
type Certificate$1<T = unknown> = {
    certificate: T;
};
type CertificateId$1<T = unknown> = {
    certificatId: T;
};
type CertificateIds$1<T = unknown> = {
    certificatIds: T;
};
type Certificates$1<T = unknown> = {
    certificates: T;
};
type Channel$1<T = unknown> = {
    channel: T;
};
type ChannelId$1<T = unknown> = {
    channelId: T;
};
type ChannelIds$1<T = unknown> = {
    channelIds: T;
};
type ChannelName$1<T = unknown> = {
    channelName: T;
};
type Channels$1<T = unknown> = {
    channels: T;
};
type ChargedAt$1<T = unknown> = {
    chargedAt: T;
};
type Chunk$1<T = unknown> = {
    chunk: T;
};
type ChunkId$1<T = unknown> = {
    chunkId: T;
};
type ChunkIds$1<T = unknown> = {
    chunkIds: T;
};
type ChunkSize$1<T = unknown> = {
    chunkSize: T;
};
type Chunks$1<T = unknown> = {
    chunks: T;
};
type City$1<T = unknown> = {
    city: T;
};
type Class$1<T = unknown> = {
    class: T;
};
type ClassId$1<T = unknown> = {
    classId: T;
};
type ClassIds$1<T = unknown> = {
    classIds: T;
};
type Classes$1<T = unknown> = {
    classes: T;
};
type ClickId$1<T = unknown> = {
    clickId: T;
};
type ClickIds$1<T = unknown> = {
    clickIds: T;
};
type Clicks$1<T = unknown> = {
    clicks: T;
};
type Client$1<T = unknown> = {
    client: T;
};
type ClientId$1<T = unknown> = {
    clientId: T;
};
type ClientIds$1<T = unknown> = {
    clientIds: T;
};
type Clients$1<T = unknown> = {
    clients: T;
};
type CloseConnectionTimeout$1<T = unknown> = {
    closeConnectionTimeout: T;
};
type Cluster$1<T = unknown> = {
    cluster: T;
};
type ClusterId$1<T = unknown> = {
    clusterId: T;
};
type ClusterIds$1<T = unknown> = {
    clusterIds: T;
};
type ClusterMode$1<T = unknown> = {
    clusterMode: T;
};
type Clusters$1<T = unknown> = {
    clusters: T;
};
type Code$1<T = unknown> = {
    code: T;
};
type Codes$1<T = unknown> = {
    codes: T;
};
type Collection$1<T = unknown> = {
    collection: T;
};
type CollectionId$1<T = unknown> = {
    collectionId: T;
};
type CollectionIds$1<T = unknown> = {
    collectionIds: T;
};
type CollectionName$1<T = unknown> = {
    collectionName: T;
};
type Collections$1<T = unknown> = {
    collections: T;
};
type Color$1<T = unknown> = {
    color: T;
};
type Colors$1<T = unknown> = {
    colors: T;
};
type Column$1<T = unknown> = {
    column: T;
};
type ColumnId$1<T = unknown> = {
    columnId: T;
};
type ColumnIds$1<T = unknown> = {
    columnIds: T;
};
type ColumnName$1<T = unknown> = {
    columnName: T;
};
type Columns$1<T = unknown> = {
    columns: T;
};
type Comment$1<T = unknown> = {
    comment: T;
};
type CommentId$1<T = unknown> = {
    commentId: T;
};
type CommentIds$1<T = unknown> = {
    commentIds: T;
};
type Comments$1<T = unknown> = {
    comments: T;
};
type CompletedAt$1<T = unknown> = {
    completedAt: T;
};
type Compressed$1<T = unknown> = {
    compressed: T;
};
type Config$1<T = unknown> = {
    config: T;
};
type ConfigId$1<T = unknown> = {
    configId: T;
};
type ConfigIds$1<T = unknown> = {
    configIds: T;
};
type ConfigName$1<T = unknown> = {
    configName: T;
};
type ConfigPath$1<T = unknown> = {
    configPath: T;
};
type ConfigUrl$1<T = unknown> = {
    configUrl: T;
};
type Configs$1<T = unknown> = {
    configs: T;
};
type Constant$1<T = unknown> = {
    constant: T;
};
type Constraint$1<T = unknown> = {
    constraint: T;
};
type Constraints$1<T = unknown> = {
    constraints: T;
};
type Constructor$2<T = unknown> = {
    constructor: T;
};
type Consumer$1<T = unknown> = {
    consumer: T;
};
type ConsumerId$1<T = unknown> = {
    consumerId: T;
};
type ConsumerIds$1<T = unknown> = {
    consumerIds: T;
};
type Consumers$1<T = unknown> = {
    consumers: T;
};
type Content$1<T = unknown> = {
    content: T;
};
type ContentId$1<T = unknown> = {
    contentId: T;
};
type ContentIds$1<T = unknown> = {
    contentIds: T;
};
type Contents$1<T = unknown> = {
    contents: T;
};
type Context$1<T = unknown> = {
    context: T;
};
type Controller$1<T = unknown> = {
    controller: T;
};
type Controllers$1<T = unknown> = {
    controllers: T;
};
type Cors$1<T = unknown> = {
    cors: T;
};
type Cost$1<T = unknown> = {
    cost: T;
};
type Costs$1<T = unknown> = {
    costs: T;
};
type Count$1<T = unknown> = {
    count: T;
};
type Country$1<T = unknown> = {
    country: T;
};
type CountryCode$1<T = unknown> = {
    countryCode: T;
};
type Create$1<T = unknown> = {
    create: T;
};
type CreatedAt$1<T = unknown> = {
    createdAt: T;
};
type Creative$1<T = unknown> = {
    creative: T;
};
type CreativeId$1<T = unknown> = {
    creativeId: T;
};
type CreativeIds$1<T = unknown> = {
    creativeIds: T;
};
type CreativeName$1<T = unknown> = {
    creativeName: T;
};
type Creatives$1<T = unknown> = {
    creatives: T;
};
type Credentials$1<T = unknown> = {
    credentials: T;
};
type Csv$1<T = unknown> = {
    csv: T;
};
type Currencies$1<T = unknown> = {
    currencies: T;
};
type Currency$1<T = unknown> = {
    currency: T;
};
type CurrencyCode$1<T = unknown> = {
    currencyCode: T;
};
type Cursor$1<T = unknown> = {
    cursor: T;
};
type Customer$1<T = unknown> = {
    customer: T;
};
type CustomerEmail$1<T = unknown> = {
    customerEmail: T;
};
type CustomerId$1<T = unknown> = {
    customerId: T;
};
type CustomerIds$1<T = unknown> = {
    customerIds: T;
};
type Customers$1<T = unknown> = {
    customers: T;
};
type Data$1<T = unknown> = {
    data: T;
};
type Database$1<T = unknown> = {
    database: T;
};
type DatabaseHost$1<T = unknown> = {
    databaseHost: T;
};
type DatabaseName$1<T = unknown> = {
    databaseName: T;
};
type DatabasePort$1<T = unknown> = {
    databasePort: T;
};
type DatabaseUrl$1<T = unknown> = {
    databaseUrl: T;
};
type Databases$1<T = unknown> = {
    databases: T;
};
type Date$1<T = unknown> = {
    date: T;
};
type DateRange$1<T = unknown> = {
    dateRange: T;
};
type DateStart$1<T = unknown> = {
    dateStart: T;
};
type DateStop$1<T = unknown> = {
    dateStop: T;
};
type DateUtc$1<T = unknown> = {
    dateUtc: T;
};
type Dates$1<T = unknown> = {
    dates: T;
};
type Day$1<T = unknown> = {
    day: T;
};
type Days$1<T = unknown> = {
    days: T;
};
type DeadLetter$1<T = unknown> = {
    deadLetter: T;
};
type DeadLetters$1<T = unknown> = {
    deadLetters: T;
};
type DeadLettersUrl$1<T = unknown> = {
    deadLettersUrl: T;
};
type Debug$1<T = unknown> = {
    debug: T;
};
type Decrement$1<T = unknown> = {
    decrement: T;
};
type Default$1<T = unknown> = {
    default: T;
};
type DefaultId$1<T = unknown> = {
    defaultId: T;
};
type DefaultIds$1<T = unknown> = {
    defaultIds: T;
};
type Defaults$1<T = unknown> = {
    defaults: T;
};
type Delay$1<T = unknown> = {
    delay: T;
};
type DelayMs$1<T = unknown> = {
    delayMs: T;
};
type DelaySec$1<T = unknown> = {
    delaySec: T;
};
type Delete$1<T = unknown> = {
    delete: T;
};
type DeletedAt$1<T = unknown> = {
    deletedAt: T;
};
type Dependences$1<T = unknown> = {
    dependences: T;
};
type Depends$1<T = unknown> = {
    depends: T;
};
type DependsOn$1<T = unknown> = {
    dependsOn: T;
};
type Depth$1<T = unknown> = {
    depth: T;
};
type Description$1<T = unknown> = {
    description: T;
};
type DescriptionId$1<T = unknown> = {
    descriptionId: T;
};
type DescriptionIds$1<T = unknown> = {
    descriptionIds: T;
};
type Descriptions$1<T = unknown> = {
    descriptions: T;
};
type Desktop$1<T = unknown> = {
    desktop: T;
};
type Detail$1<T = unknown> = {
    detail: T;
};
type DetailId$1<T = unknown> = {
    detailId: T;
};
type DetailIds$1<T = unknown> = {
    detailIds: T;
};
type Details$1<T = unknown> = {
    details: T;
};
type Dev$1<T = unknown> = {
    dev: T;
};
type DevKey$1<T = unknown> = {
    devKey: T;
};
type Developer$1<T = unknown> = {
    developer: T;
};
type DeveloperId$1<T = unknown> = {
    developerId: T;
};
type DeveloperIds$1<T = unknown> = {
    developerIds: T;
};
type Developers$1<T = unknown> = {
    developers: T;
};
type Device$1<T = unknown> = {
    device: T;
};
type DeviceId$1<T = unknown> = {
    deviceId: T;
};
type DeviceIds$1<T = unknown> = {
    deviceIds: T;
};
type Devices$1<T = unknown> = {
    devices: T;
};
type Dict$1<T = unknown> = {
    dict: T;
};
type Dictionaries$1<T = unknown> = {
    dictionaries: T;
};
type Dictionary$1<T = unknown> = {
    dictionary: T;
};
type Dimension$1<T = unknown> = {
    dimension: T;
};
type Dimensions$1<T = unknown> = {
    dimensions: T;
};
type Directories$1<T = unknown> = {
    directories: T;
};
type Directory$1<T = unknown> = {
    directory: T;
};
type DirectoryName$1<T = unknown> = {
    directoryName: T;
};
type DirectoryPath$1<T = unknown> = {
    directoryPath: T;
};
type Disabled$1<T = unknown> = {
    disabled: T;
};
type Discount$1<T = unknown> = {
    discount: T;
};
type DiscountId$1<T = unknown> = {
    discountId: T;
};
type DiscountIds$1<T = unknown> = {
    discountIds: T;
};
type Discounts$1<T = unknown> = {
    discounts: T;
};
type Display$1<T = unknown> = {
    display: T;
};
type Docs$1<T = unknown> = {
    docs: T;
};
type Document$1<T = unknown> = {
    document: T;
};
type DocumentId$1<T = unknown> = {
    documentId: T;
};
type DocumentIds$1<T = unknown> = {
    documentIds: T;
};
type Documents$1<T = unknown> = {
    documents: T;
};
type Domain$1<T = unknown> = {
    domain: T;
};
type DomainId$1<T = unknown> = {
    domainId: T;
};
type DomainIds$1<T = unknown> = {
    domainIds: T;
};
type DomainName$1<T = unknown> = {
    domainName: T;
};
type DomainUrl$1<T = unknown> = {
    domainUrl: T;
};
type Domains$1<T = unknown> = {
    domains: T;
};
type Dto$1<T = unknown> = {
    dto: T;
};
type Dtos$1<T = unknown> = {
    dtos: T;
};
type Duplicate$1<T = unknown> = {
    duplicate: T;
};
type DuplicateId$1<T = unknown> = {
    duplicateId: T;
};
type DuplicateIds$1<T = unknown> = {
    duplicateIds: T;
};
type DuplicateName$1<T = unknown> = {
    duplicateName: T;
};
type Duplicates$1<T = unknown> = {
    duplicates: T;
};
type Duration$1<T = unknown> = {
    duration: T;
};
type Element$1<T = unknown> = {
    element: T;
};
type ElementId$1<T = unknown> = {
    elementId: T;
};
type ElementIds$1<T = unknown> = {
    elementIds: T;
};
type Elements$1<T = unknown> = {
    elements: T;
};
type Email$1<T = unknown> = {
    email: T;
};
type Employee$1<T = unknown> = {
    employee: T;
};
type EmployeeId$1<T = unknown> = {
    employeeId: T;
};
type EmployeeIds$1<T = unknown> = {
    employeeIds: T;
};
type Employees$1<T = unknown> = {
    employees: T;
};
type Employer$1<T = unknown> = {
    employer: T;
};
type EmployerId$1<T = unknown> = {
    employerId: T;
};
type EmployerIds$1<T = unknown> = {
    employerIds: T;
};
type Employers$1<T = unknown> = {
    employers: T;
};
type Enabled$1<T = unknown> = {
    enabled: T;
};
type Encoded$1<T = unknown> = {
    encoded: T;
};
type Encoding$1<T = unknown> = {
    encoding: T;
};
type EndDate$1<T = unknown> = {
    endDate: T;
};
type EndTime$1<T = unknown> = {
    endTime: T;
};
type Endpoint$1<T = unknown> = {
    endpoint: T;
};
type Endpoints$1<T = unknown> = {
    endpoints: T;
};
type Entities$1<T = unknown> = {
    entities: T;
};
type Entity$1<T = unknown> = {
    entity: T;
};
type EntityId$1<T = unknown> = {
    entityId: T;
};
type EntityIds$1<T = unknown> = {
    entityIds: T;
};
type Entries$1<T = unknown> = {
    entries: T;
};
type Entry$1<T = unknown> = {
    entry: T;
};
type EntryId$1<T = unknown> = {
    entryId: T;
};
type EntryIds$1<T = unknown> = {
    entryIds: T;
};
type Enum$1<T = unknown> = {
    enum: T;
};
type Env$1<T = unknown> = {
    env: T;
};
type EnvFilePath$1<T = unknown> = {
    envFilePath: T;
};
type EnvKey$1<T = unknown> = {
    envKey: T;
};
type EnvKeys$1<T = unknown> = {
    envKeys: T;
};
type Envar$1<T = unknown> = {
    envar: T;
};
type EnvarKey$1<T = unknown> = {
    envarKey: T;
};
type Envars$1<T = unknown> = {
    envars: T;
};
type Equals$1<T = unknown> = {
    equals: T;
};
type Error$1<T = unknown> = {
    error: T;
};
type Errors$1<T = unknown> = {
    errors: T;
};
type Event$1<T = unknown> = {
    event: T;
};
type EventId$1<T = unknown> = {
    eventId: T;
};
type EventIds$1<T = unknown> = {
    eventIds: T;
};
type EventName$1<T = unknown> = {
    eventName: T;
};
type EventProperties$1<T = unknown> = {
    eventProperties: T;
};
type EventProperty$1<T = unknown> = {
    eventProperty: T;
};
type EventTime$1<T = unknown> = {
    eventTime: T;
};
type EventType$1<T = unknown> = {
    eventType: T;
};
type Events$1<T = unknown> = {
    events: T;
};
type Exact$1<T = unknown> = {
    exact: T;
};
type Example$1<T = unknown> = {
    example: T;
};
type ExampleId$1<T = unknown> = {
    exampleId: T;
};
type ExampleIds$1<T = unknown> = {
    exampleIds: T;
};
type ExamplePath$1<T = unknown> = {
    examplePath: T;
};
type ExampleUrl$1<T = unknown> = {
    exampleUrl: T;
};
type Examples$1<T = unknown> = {
    examples: T;
};
type Exclude$2<T = unknown> = {
    exclude: T;
};
type ExcludePath$1<T = unknown> = {
    excludePath: T;
};
type ExcludePaths$1<T = unknown> = {
    excludePaths: T;
};
type Exists$1<T = unknown> = {
    exists: T;
};
type ExpireAt$1<T = unknown> = {
    expireAt: T;
};
type Expired$1<T = unknown> = {
    expired: T;
};
type ExpiredToken$1<T = unknown> = {
    expiredToken: T;
};
type ExpiredTokens$1<T = unknown> = {
    expiredTokens: T;
};
type Expires$1<T = unknown> = {
    expires: T;
};
type Export$1<T = unknown> = {
    export: T;
};
type Exports$1<T = unknown> = {
    exports: T;
};
type ExposedHeaders$1<T = unknown> = {
    exposedHeaders: T;
};
type Extention$1<T = unknown> = {
    extention: T;
};
type Extentions$1<T = unknown> = {
    extentions: T;
};
type External$1<T = unknown> = {
    external: T;
};
type ExternalId$1<T = unknown> = {
    externalId: T;
};
type ExternalIds$1<T = unknown> = {
    externalIds: T;
};
type Externals$1<T = unknown> = {
    externals: T;
};
type Facebook$1<T = unknown> = {
    facebook: T;
};
type Factory$1<T = unknown> = {
    factory: T;
};
type Fail$1<T = unknown> = {
    fail: T;
};
type Failed$1<T = unknown> = {
    failed: T;
};
type Fails$1<T = unknown> = {
    fails: T;
};
type Failure$1<T = unknown> = {
    failure: T;
};
type Feature$1<T = unknown> = {
    feature: T;
};
type FeatureId$1<T = unknown> = {
    featureId: T;
};
type FeatureIds$1<T = unknown> = {
    featureIds: T;
};
type FeatureName$1<T = unknown> = {
    featureName: T;
};
type Features$1<T = unknown> = {
    features: T;
};
type Field$1<T = unknown> = {
    field: T;
};
type FieldId$1<T = unknown> = {
    fieldId: T;
};
type FieldIds$1<T = unknown> = {
    fieldIds: T;
};
type FieldName$1<T = unknown> = {
    fieldName: T;
};
type Fields$1<T = unknown> = {
    fields: T;
};
type Fifo$1<T = unknown> = {
    fifo: T;
};
type File$1<T = unknown> = {
    file: T;
};
type FileId$1<T = unknown> = {
    fileId: T;
};
type FileIds$1<T = unknown> = {
    fileIds: T;
};
type FileName$1<T = unknown> = {
    fileName: T;
};
type FilePath$1<T = unknown> = {
    filePath: T;
};
type FileSize$1<T = unknown> = {
    fileSize: T;
};
type Files$1<T = unknown> = {
    files: T;
};
type Filter$1<T = unknown> = {
    filter: T;
};
type FilterId$1<T = unknown> = {
    filterId: T;
};
type FilterIds$1<T = unknown> = {
    filterIds: T;
};
type Filters$1<T = unknown> = {
    filters: T;
};
type FinishedAt$1<T = unknown> = {
    finishedAt: T;
};
type FirstName$1<T = unknown> = {
    firstName: T;
};
type Folder$1<T = unknown> = {
    folder: T;
};
type FolderId$1<T = unknown> = {
    folderId: T;
};
type FolderIds$1<T = unknown> = {
    folderIds: T;
};
type FolderPath$1<T = unknown> = {
    folderPath: T;
};
type Folders$1<T = unknown> = {
    folders: T;
};
type Font$1<T = unknown> = {
    font: T;
};
type FontFamily$1<T = unknown> = {
    fontFamily: T;
};
type FontId$1<T = unknown> = {
    fontId: T;
};
type FontIds$1<T = unknown> = {
    fontIds: T;
};
type FontName$1<T = unknown> = {
    fontName: T;
};
type FontPath$1<T = unknown> = {
    fontPath: T;
};
type FontUrl$1<T = unknown> = {
    fontUrl: T;
};
type Fonts$1<T = unknown> = {
    fonts: T;
};
type Force$1<T = unknown> = {
    force: T;
};
type Form$1<T = unknown> = {
    form: T;
};
type FormId$1<T = unknown> = {
    formId: T;
};
type FormIds$1<T = unknown> = {
    formIds: T;
};
type Format$1<T = unknown> = {
    format: T;
};
type Formats$1<T = unknown> = {
    formats: T;
};
type Forms$1<T = unknown> = {
    forms: T;
};
type FromDate$1<T = unknown> = {
    fromDate: T;
};
type FullName$1<T = unknown> = {
    fullName: T;
};
type GID$1<T = unknown> = {
    gid: T;
};
type GUID$1<T = unknown> = {
    guid: T;
};
type Game$1<T = unknown> = {
    game: T;
};
type GameId$1<T = unknown> = {
    gameId: T;
};
type GameIds$1<T = unknown> = {
    gameIds: T;
};
type Games$1<T = unknown> = {
    games: T;
};
type Gender$1<T = unknown> = {
    gender: T;
};
type Git$1<T = unknown> = {
    git: T;
};
type Gitignore$1<T = unknown> = {
    gitignore: T;
};
type Google$1<T = unknown> = {
    google: T;
};
type Group$1<T = unknown> = {
    group: T;
};
type GroupId$1<T = unknown> = {
    groupId: T;
};
type GroupIds$1<T = unknown> = {
    groupIds: T;
};
type GroupName$1<T = unknown> = {
    groupName: T;
};
type Groups$1<T = unknown> = {
    groups: T;
};
type Hash$1<T = unknown> = {
    hash: T;
};
type Header$1<T = unknown> = {
    header: T;
};
type Headers$1<T = unknown> = {
    headers: T;
};
type HeadersTimeout$1<T = unknown> = {
    headersTimeout: T;
};
type Height$1<T = unknown> = {
    height: T;
};
type Hidden$1<T = unknown> = {
    hidden: T;
};
type Home$1<T = unknown> = {
    home: T;
};
type Homepage$1<T = unknown> = {
    homepage: T;
};
type Hour$1<T = unknown> = {
    hour: T;
};
type Hours$1<T = unknown> = {
    hours: T;
};
type Html$1<T = unknown> = {
    html: T;
};
type HttpOptions$1<T = unknown> = {
    httpOptions: T;
};
type ID$1<T = unknown> = {
    id: T;
};
type IDFA$1<T = unknown> = {
    idfa: T;
};
type IDFV$1<T = unknown> = {
    idfv: T;
};
type IOS$1<T = unknown> = {
    ios: T;
};
type Icon$1<T = unknown> = {
    icon: T;
};
type IconId$1<T = unknown> = {
    iconId: T;
};
type IconIds$1<T = unknown> = {
    iconIds: T;
};
type IconPath$1<T = unknown> = {
    iconPath: T;
};
type IconUrl$1<T = unknown> = {
    iconUrl: T;
};
type Icons$1<T = unknown> = {
    icons: T;
};
type Image$1<T = unknown> = {
    image: T;
};
type ImageId$1<T = unknown> = {
    imageId: T;
};
type ImageIds$1<T = unknown> = {
    imageIds: T;
};
type ImageName$1<T = unknown> = {
    imageName: T;
};
type ImagePath$1<T = unknown> = {
    imagePath: T;
};
type ImageUrl$1<T = unknown> = {
    imageUrl: T;
};
type Images$1<T = unknown> = {
    images: T;
};
type Import$1<T = unknown> = {
    import: T;
};
type Imports$1<T = unknown> = {
    imports: T;
};
type Impression$1<T = unknown> = {
    impression: T;
};
type Impressions$1<T = unknown> = {
    impressions: T;
};
type Imutable$1<T = unknown> = {
    immutable: T;
};
type Include$1<T = unknown> = {
    include: T;
};
type IncludeId$1<T = unknown> = {
    includeId: T;
};
type IncludeIds$1<T = unknown> = {
    includeIds: T;
};
type IncludePath$1<T = unknown> = {
    includePath: T;
};
type IncludePaths$1<T = unknown> = {
    includePaths: T;
};
type Includes$1<T = unknown> = {
    includes: T;
};
type Increment$1<T = unknown> = {
    increment: T;
};
type Index$1<T = unknown> = {
    index: T;
};
type Info$1<T = unknown> = {
    info: T;
};
type Inject$1<T = unknown> = {
    inject: T;
};
type Insert$1<T = unknown> = {
    insert: T;
};
type Insights$1<T = unknown> = {
    insights: T;
};
type Installs$1<T = unknown> = {
    installs: T;
};
type Internal$1<T = unknown> = {
    internal: T;
};
type InternalId$1<T = unknown> = {
    internalId: T;
};
type InternalIds$1<T = unknown> = {
    internalIds: T;
};
type Internals$1<T = unknown> = {
    internals: T;
};
type Invoice$1<T = unknown> = {
    invoice: T;
};
type InvoiceId$1<T = unknown> = {
    invoiceId: T;
};
type InvoiceIds$1<T = unknown> = {
    invoiceIds: T;
};
type InvoiceStatus$1<T = unknown> = {
    invoiceStatus: T;
};
type Ip$1<T = unknown> = {
    ip: T;
};
type IpAddress$1<T = unknown> = {
    ipAddress: T;
};
type IpV4$1<T = unknown> = {
    ipV4: T;
};
type IpV6$1<T = unknown> = {
    ipV6: T;
};
type IsDebug$1<T = unknown> = {
    isDebug: T;
};
type IsDirty$1<T = unknown> = {
    isDirty: T;
};
type IsEnable$1<T = unknown> = {
    isenable: T;
};
type IsNullable$1<T = unknown> = {
    isNullable: T;
};
type IsProduction$1<T = unknown> = {
    isproduction: T;
};
type IsTrial$1<T = unknown> = {
    istrial: T;
};
type Iso$1<T = unknown> = {
    iso: T;
};
type Iss$1<T = unknown> = {
    iss: T;
};
type Issue$1<T = unknown> = {
    issue: T;
};
type IssueId$1<T = unknown> = {
    issueId: T;
};
type IssueIds$1<T = unknown> = {
    issueIds: T;
};
type Issuer$1<T = unknown> = {
    issuer: T;
};
type Issues$1<T = unknown> = {
    issues: T;
};
type Item$1<T = unknown> = {
    item: T;
};
type ItemId$1<T = unknown> = {
    itemId: T;
};
type ItemIds$1<T = unknown> = {
    itemIds: T;
};
type ItemName$1<T = unknown> = {
    itemName: T;
};
type Items$1<T = unknown> = {
    items: T;
};
type Job$1<T = unknown> = {
    job: T;
};
type JobId$1<T = unknown> = {
    jobId: T;
};
type JobIds$1<T = unknown> = {
    jobIds: T;
};
type Jobs$1<T = unknown> = {
    jobs: T;
};
type Json$1<T = unknown> = {
    json: T;
};
type KID$1<T = unknown> = {
    kid: T;
};
type KeepAliveTimeout$1<T = unknown> = {
    keepAliveTimeout: T;
};
type Key$1<T = unknown> = {
    key: T;
};
type KeyId$1<T = unknown> = {
    keyId: T;
};
type KeyIds$1<T = unknown> = {
    keyIds: T;
};
type KeyName$1<T = unknown> = {
    keyName: T;
};
type Keys$1<T = unknown> = {
    keys: T;
};
type Keyword$1<T = unknown> = {
    keyword: T;
};
type Keywords$1<T = unknown> = {
    keywords: T;
};
type Kind$1<T = unknown> = {
    kind: T;
};
type Lable$1<T = unknown> = {
    lable: T;
};
type Language$1<T = unknown> = {
    language: T;
};
type Languages$1<T = unknown> = {
    languages: T;
};
type LastName$1<T = unknown> = {
    lastName: T;
};
type Left$1<T = unknown> = {
    left: T;
};
type Length$1<T = unknown> = {
    length: T;
};
type Letter$1<T = unknown> = {
    letter: T;
};
type LetterId$1<T = unknown> = {
    letterId: T;
};
type LetterIds$1<T = unknown> = {
    letterIds: T;
};
type Letters$1<T = unknown> = {
    letters: T;
};
type Level$1<T = unknown> = {
    level: T;
};
type LevelId$1<T = unknown> = {
    levelId: T;
};
type LevelIds$1<T = unknown> = {
    levelIds: T;
};
type Levels$1<T = unknown> = {
    levels: T;
};
type License$1<T = unknown> = {
    license: T;
};
type Lifo$1<T = unknown> = {
    lifo: T;
};
type Limit$1<T = unknown> = {
    limit: T;
};
type Limited$1<T = unknown> = {
    limited: T;
};
type Link$1<T = unknown> = {
    link: T;
};
type Links$1<T = unknown> = {
    links: T;
};
type List$1<T = unknown> = {
    list: T;
};
type ListId$1<T = unknown> = {
    listId: T;
};
type ListIds$1<T = unknown> = {
    listIds: T;
};
type Listener$1<T = unknown> = {
    listener: T;
};
type ListenerId$1<T = unknown> = {
    listenerId: T;
};
type ListenerIds$1<T = unknown> = {
    listenerIds: T;
};
type Listeners$1<T = unknown> = {
    listeners: T;
};
type Lists$1<T = unknown> = {
    lists: T;
};
type Load$1<T = unknown> = {
    load: T;
};
type Local$1<T = unknown> = {
    local: T;
};
type LocalEnv$1<T = unknown> = {
    localEnv: T;
};
type Localhost$1<T = unknown> = {
    localhost: T;
};
type Location$1<T = unknown> = {
    location: T;
};
type LocationId$1<T = unknown> = {
    locationId: T;
};
type LocationIds$1<T = unknown> = {
    locationIds: T;
};
type LocationName$1<T = unknown> = {
    locationName: T;
};
type Locations$1<T = unknown> = {
    locations: T;
};
type Log$1<T = unknown> = {
    log: T;
};
type LogGroup$1<T = unknown> = {
    logGroup: T;
};
type LogGroups$1<T = unknown> = {
    logGroups: T;
};
type LogLevel$1<T = unknown> = {
    logLevel: T;
};
type LogLevels$1<T = unknown> = {
    logLevels: T;
};
type Logger$1<T = unknown> = {
    logger: T;
};
type Logging$1<T = unknown> = {
    logging: T;
};
type Login$1<T = unknown> = {
    login: T;
};
type Logs$1<T = unknown> = {
    logs: T;
};
type Main$1<T = unknown> = {
    main: T;
};
type Margin$1<T = unknown> = {
    margin: T;
};
type MarginBottom$1<T = unknown> = {
    marginBottom: T;
};
type MarginLeft$1<T = unknown> = {
    marginLeft: T;
};
type MarginRight$1<T = unknown> = {
    marginRight: T;
};
type Marked$1<T = unknown> = {
    marked: T;
};
type Master$1<T = unknown> = {
    master: T;
};
type MasterId$1<T = unknown> = {
    masterId: T;
};
type MasterIds$1<T = unknown> = {
    masterIds: T;
};
type Masters$1<T = unknown> = {
    masters: T;
};
type Material$1<T = unknown> = {
    material: T;
};
type MaterialId$1<T = unknown> = {
    materialId: T;
};
type MaterialIds$1<T = unknown> = {
    materialIds: T;
};
type Materials$1<T = unknown> = {
    materials: T;
};
type Matrix$1<T = unknown> = {
    matrix: T;
};
type Max$1<T = unknown> = {
    max: T;
};
type MaxLength$1<T = unknown> = {
    maxLength: T;
};
type Merchant$1<T = unknown> = {
    merchant: T;
};
type MerchantId$1<T = unknown> = {
    merchantId: T;
};
type MerchantIds$1<T = unknown> = {
    merchantIds: T;
};
type Merchants$1<T = unknown> = {
    merchants: T;
};
type Message$1<T = unknown> = {
    message: T;
};
type MessageId$1<T = unknown> = {
    messageId: T;
};
type MessageIds$1<T = unknown> = {
    messageIds: T;
};
type Messages$1<T = unknown> = {
    messages: T;
};
type Meta$1<T = unknown> = {
    meta: T;
};
type Metadata$1<T = unknown> = {
    metadata: T;
};
type Method$1<T = unknown> = {
    method: T;
};
type Methods$1<T = unknown> = {
    methods: T;
};
type Metric$1<T = unknown> = {
    metric: T;
};
type MetricId$1<T = unknown> = {
    metricId: T;
};
type MetricIds$1<T = unknown> = {
    metricIds: T;
};
type Metrics$1<T = unknown> = {
    metrics: T;
};
type Middleware$1<T = unknown> = {
    middleware: T;
};
type Migration$1<T = unknown> = {
    migration: T;
};
type Migrations$1<T = unknown> = {
    migrations: T;
};
type Milliseconds$1<T = unknown> = {
    milliseconds: T;
};
type MimeType$1<T = unknown> = {
    mimeType: T;
};
type Min$1<T = unknown> = {
    min: T;
};
type MinLength$1<T = unknown> = {
    minLength: T;
};
type Minutes$1<T = unknown> = {
    minutes: T;
};
type Missing$1<T = unknown> = {
    missing: T;
};
type MissingId$1<T = unknown> = {
    missingId: T;
};
type MissingIds$1<T = unknown> = {
    missingIds: T;
};
type MissingName$1<T = unknown> = {
    missingName: T;
};
type Missings$1<T = unknown> = {
    missings: T;
};
type Mode$1<T = unknown> = {
    mode: T;
};
type Model$1<T = unknown> = {
    model: T;
};
type ModelId$1<T = unknown> = {
    modelId: T;
};
type ModelIds$1<T = unknown> = {
    modelIds: T;
};
type ModelName$1<T = unknown> = {
    modelName: T;
};
type Models$1<T = unknown> = {
    models: T;
};
type Modes$1<T = unknown> = {
    modes: T;
};
type Module$1<T = unknown> = {
    module: T;
};
type Modules$1<T = unknown> = {
    modules: T;
};
type Months$1<T = unknown> = {
    months: T;
};
type Multiplier$1<T = unknown> = {
    multiplier: T;
};
type Mutable$1<T = unknown> = {
    mutable: T;
};
type Name$1<T = unknown> = {
    name: T;
};
type Namespace$1<T = unknown> = {
    namespace: T;
};
type NamespaceId$1<T = unknown> = {
    namespaceId: T;
};
type NamespaceIds$1<T = unknown> = {
    namespaceIds: T;
};
type Namespaces$1<T = unknown> = {
    namespaces: T;
};
type Next$1<T = unknown> = {
    next: T;
};
type NextDate$1<T = unknown> = {
    nextDate: T;
};
type NextPageUrl$1<T = unknown> = {
    nextPageUrl: T;
};
type Node$1<T = unknown> = {
    node: T;
};
type NodeId$1<T = unknown> = {
    nodeId: T;
};
type NodeIds$1<T = unknown> = {
    nodeIds: T;
};
type Nodes$1<T = unknown> = {
    nodes: T;
};
type Note$1<T = unknown> = {
    note: T;
};
type NoteId$1<T = unknown> = {
    noteId: T;
};
type NoteIds$1<T = unknown> = {
    noteIds: T;
};
type Notes$1<T = unknown> = {
    notes: T;
};
type Notification$1<T = unknown> = {
    notification: T;
};
type NotificationId$1<T = unknown> = {
    notificationId: T;
};
type NotificationIds$1<T = unknown> = {
    notificationIds: T;
};
type NotificationType$1<T = unknown> = {
    notificationType: T;
};
type Notifications$1<T = unknown> = {
    notifications: T;
};
type Nulluble$1<T = unknown> = {
    nullable: T;
};
type OS$1<T = unknown> = {
    os: T;
};
type Object$2<T = unknown> = {
    object: T;
};
type ObjectId$1<T = unknown> = {
    objectId: T;
};
type ObjectIds$1<T = unknown> = {
    objectIds: T;
};
type ObjectiveType$1<T = unknown> = {
    objectiveType: T;
};
type Objects$1<T = unknown> = {
    objects: T;
};
type Offer$1<T = unknown> = {
    offer: T;
};
type OfferId$1<T = unknown> = {
    offerId: T;
};
type OfferIds$1<T = unknown> = {
    offerIds: T;
};
type Offers$1<T = unknown> = {
    offers: T;
};
type Offset$1<T = unknown> = {
    offset: T;
};
type OffsetX$1<T = unknown> = {
    offsetX: T;
};
type OffsetY$1<T = unknown> = {
    offsetY: T;
};
type OffsetZ$1<T = unknown> = {
    offsetZ: T;
};
type Offsets$1<T = unknown> = {
    offsets: T;
};
type OnCreate$1<T = unknown> = {
    onCreate: T;
};
type OnDelete$1<T = unknown> = {
    onDelete: T;
};
type OnUpdate$1<T = unknown> = {
    onUpdate: T;
};
type Option$1<T = unknown> = {
    option: T;
};
type Options$1<T = unknown> = {
    options: T;
};
type Order$1<T = unknown> = {
    order: T;
};
type OrderId$1<T = unknown> = {
    orderId: T;
};
type OrderIds$1<T = unknown> = {
    orderIds: T;
};
type Ordered$1<T = unknown> = {
    ordered: T;
};
type Orders$1<T = unknown> = {
    orders: T;
};
type Origin$1<T = unknown> = {
    origin: T;
};
type OriginId$1<T = unknown> = {
    originId: T;
};
type OriginIds$1<T = unknown> = {
    originIds: T;
};
type Origins$1<T = unknown> = {
    origins: T;
};
type Owner$1<T = unknown> = {
    owner: T;
};
type OwnerId$1<T = unknown> = {
    ownerId: T;
};
type OwnerIds$1<T = unknown> = {
    ownerIds: T;
};
type OwnerName$1<T = unknown> = {
    ownerName: T;
};
type Owners$1<T = unknown> = {
    owners: T;
};
type PID$1<T = unknown> = {
    pid: T;
};
type PIN$1<T = unknown> = {
    pin: T;
};
type PUK$1<T = unknown> = {
    puk: T;
};
type Package$1<T = unknown> = {
    package: T;
};
type PackageId$1<T = unknown> = {
    packageId: T;
};
type PackageIds$1<T = unknown> = {
    packageIds: T;
};
type PackageName$1<T = unknown> = {
    packageName: T;
};
type Packages$1<T = unknown> = {
    packages: T;
};
type Padding$1<T = unknown> = {
    padding: T;
};
type PaddingBottom$1<T = unknown> = {
    paddingBottom: T;
};
type PaddingLeft$1<T = unknown> = {
    paddingLeft: T;
};
type PaddingRight$1<T = unknown> = {
    paddingRight: T;
};
type Page$1<T = unknown> = {
    page: T;
};
type PageId$1<T = unknown> = {
    pageId: T;
};
type PageIds$1<T = unknown> = {
    pageIds: T;
};
type PageInfo$1<T = unknown> = {
    pageInfo: T;
};
type PageSize$1<T = unknown> = {
    pageSize: T;
};
type PageUrl$1<T = unknown> = {
    pageUrl: T;
};
type Pagination$1<T = unknown> = {
    pagination: T;
};
type Paging$1<T = unknown> = {
    paging: T;
};
type Param$1<T = unknown> = {
    param: T;
};
type Params$1<T = unknown> = {
    params: T;
};
type Part$1<T = unknown> = {
    part: T;
};
type PartId$1<T = unknown> = {
    partId: T;
};
type PartIds$1<T = unknown> = {
    partIds: T;
};
type Parts$1<T = unknown> = {
    parts: T;
};
type Password$1<T = unknown> = {
    password: T;
};
type Path$1<T = unknown> = {
    path: T;
};
type Paths$1<T = unknown> = {
    paths: T;
};
type Pause$1<T = unknown> = {
    pause: T;
};
type Paused$1<T = unknown> = {
    paused: T;
};
type PausedAt$1<T = unknown> = {
    pausedAt: T;
};
type PausedFrom$1<T = unknown> = {
    pausedFrom: T;
};
type PausedTo$1<T = unknown> = {
    pausedTo: T;
};
type Payer$1<T = unknown> = {
    payer: T;
};
type PayerId$1<T = unknown> = {
    payerId: T;
};
type PayerIds$1<T = unknown> = {
    payerIds: T;
};
type Payers$1<T = unknown> = {
    payers: T;
};
type Payload$1<T = unknown> = {
    payload: T;
};
type Payment$1<T = unknown> = {
    payment: T;
};
type PaymentId$1<T = unknown> = {
    paymentId: T;
};
type PaymentIds$1<T = unknown> = {
    paymentIds: T;
};
type PaymentNumber$1<T = unknown> = {
    paymentNumber: T;
};
type Payments$1<T = unknown> = {
    payments: T;
};
type PaymentsNumber$1<T = unknown> = {
    paymentsNumber: T;
};
type Permission$1<T = unknown> = {
    permission: T;
};
type PermissionId$1<T = unknown> = {
    permissionId: T;
};
type PermissionIds$1<T = unknown> = {
    permissionIds: T;
};
type Permissions$1<T = unknown> = {
    permissions: T;
};
type PhoneNumber$1<T = unknown> = {
    phoneNumber: T;
};
type PixelCode$1<T = unknown> = {
    pixelCode: T;
};
type Placement$1<T = unknown> = {
    placement: T;
};
type PlacementId$1<T = unknown> = {
    placementId: T;
};
type PlacementIds$1<T = unknown> = {
    placementIds: T;
};
type Placements$1<T = unknown> = {
    placements: T;
};
type Platform$1<T = unknown> = {
    platform: T;
};
type PlatformId$1<T = unknown> = {
    platformId: T;
};
type PlatformIds$1<T = unknown> = {
    platformIds: T;
};
type PlatformName$1<T = unknown> = {
    platformName: T;
};
type Platforms$1<T = unknown> = {
    platforms: T;
};
type Player$1<T = unknown> = {
    player: T;
};
type PlayerId$1<T = unknown> = {
    playerId: T;
};
type PlayerIds$1<T = unknown> = {
    playerIds: T;
};
type Players$1<T = unknown> = {
    players: T;
};
type Point$1<T = unknown> = {
    point: T;
};
type PointId$1<T = unknown> = {
    pointId: T;
};
type PointIds$1<T = unknown> = {
    pointIds: T;
};
type Pointer$1<T = unknown> = {
    pointer: T;
};
type Points$1<T = unknown> = {
    points: T;
};
type Port$1<T = unknown> = {
    port: T;
};
type Possition$1<T = unknown> = {
    possition: T;
};
type PossitionX$1<T = unknown> = {
    possitionX: T;
};
type PossitionY$1<T = unknown> = {
    possitionY: T;
};
type PossitionZ$1<T = unknown> = {
    possitionZ: T;
};
type Possitions$1<T = unknown> = {
    possitions: T;
};
type Post$1<T = unknown> = {
    post: T;
};
type PostId$1<T = unknown> = {
    postId: T;
};
type PostIds$1<T = unknown> = {
    postIds: T;
};
type PostalCode$1<T = unknown> = {
    postalCode: T;
};
type Posts$1<T = unknown> = {
    posts: T;
};
type Preferences$1<T = unknown> = {
    preferences: T;
};
type Prefix$1<T = unknown> = {
    prefix: T;
};
type Price$1<T = unknown> = {
    price: T;
};
type Primary$1<T = unknown> = {
    primary: T;
};
type Priority$1<T = unknown> = {
    priority: T;
};
type Private$1<T = unknown> = {
    private: T;
};
type PrivateKey$1<T = unknown> = {
    privateKey: T;
};
type Prod$1<T = unknown> = {
    prod: T;
};
type Product$1<T = unknown> = {
    product: T;
};
type ProductId$1<T = unknown> = {
    productId: T;
};
type ProductIds$1<T = unknown> = {
    productIds: T;
};
type ProductName$1<T = unknown> = {
    productName: T;
};
type Production$1<T = unknown> = {
    production: T;
};
type Products$1<T = unknown> = {
    products: T;
};
type Profile$1<T = unknown> = {
    profile: T;
};
type ProfileId$1<T = unknown> = {
    profileId: T;
};
type ProfileIds$1<T = unknown> = {
    profileIds: T;
};
type Profiles$1<T = unknown> = {
    profiles: T;
};
type Project$1<T = unknown> = {
    project: T;
};
type ProjectId$1<T = unknown> = {
    projectId: T;
};
type ProjectIds$1<T = unknown> = {
    projectIds: T;
};
type Projects$1<T = unknown> = {
    projects: T;
};
type Properties$1<T = unknown> = {
    properties: T;
};
type Property$1<T = unknown> = {
    property: T;
};
type PropertyId$1<T = unknown> = {
    propertyId: T;
};
type PropertyIds$1<T = unknown> = {
    propertyIds: T;
};
type Props$1<T = unknown> = {
    props: T;
};
type Provider$1<T = unknown> = {
    provider: T;
};
type Providers$1<T = unknown> = {
    providers: T;
};
type Public$1<T = unknown> = {
    public: T;
};
type PublicKey$1<T = unknown> = {
    publicKey: T;
};
type PublicPath$1<T = unknown> = {
    publicPath: T;
};
type Publication$1<T = unknown> = {
    publication: T;
};
type PublicationId$1<T = unknown> = {
    publicationId: T;
};
type PublicationIds$1<T = unknown> = {
    publicationIds: T;
};
type Publications$1<T = unknown> = {
    publications: T;
};
type Published$1<T = unknown> = {
    published: T;
};
type PublishedAt$1<T = unknown> = {
    publishedAt: T;
};
type Publisher$1<T = unknown> = {
    publisher: T;
};
type PublisherId$1<T = unknown> = {
    publisherId: T;
};
type PublisherIds$1<T = unknown> = {
    publisherIds: T;
};
type PublisherName$1<T = unknown> = {
    publisherName: T;
};
type Publishers$1<T = unknown> = {
    publishers: T;
};
type Purchase$1<T = unknown> = {
    purchase: T;
};
type PurchaseDate$1<T = unknown> = {
    purchaseDate: T;
};
type PurchaseId$1<T = unknown> = {
    purchaseId: T;
};
type PurchaseIds$1<T = unknown> = {
    purchaseIds: T;
};
type PurchaseName$1<T = unknown> = {
    purchaseName: T;
};
type PurchaseToken$1<T = unknown> = {
    purchaseToken: T;
};
type PurchaseType$1<T = unknown> = {
    purchaseType: T;
};
type Purchases$1<T = unknown> = {
    purchases: T;
};
type Quantity$1<T = unknown> = {
    quantity: T;
};
type Queries$1<T = unknown> = {
    queries: T;
};
type Query$1<T = unknown> = {
    query: T;
};
type Question$1<T = unknown> = {
    question: T;
};
type QuestionId$1<T = unknown> = {
    questionId: T;
};
type QuestionIds$1<T = unknown> = {
    questionIds: T;
};
type Questions$1<T = unknown> = {
    questions: T;
};
type Queue$1<T = unknown> = {
    queue: T;
};
type QueueId$1<T = unknown> = {
    queueId: T;
};
type QueueIds$1<T = unknown> = {
    queueIds: T;
};
type QueueName$1<T = unknown> = {
    queueName: T;
};
type QueueUrl$1<T = unknown> = {
    queueUrl: T;
};
type Queues$1<T = unknown> = {
    queues: T;
};
type Radius$1<T = unknown> = {
    radius: T;
};
type Range$1<T = unknown> = {
    range: T;
};
type Ranges$1<T = unknown> = {
    ranges: T;
};
type Ratio$1<T = unknown> = {
    ratio: T;
};
type Raw$1<T = unknown> = {
    raw: T;
};
type RawBody$1<T = unknown> = {
    rawBody: T;
};
type Reason$1<T = unknown> = {
    reason: T;
};
type ReasonId$1<T = unknown> = {
    reasonId: T;
};
type ReasonIds$1<T = unknown> = {
    reasonIds: T;
};
type Reasons$1<T = unknown> = {
    reasons: T;
};
type Receipt$1<T = unknown> = {
    receipt: T;
};
type ReceiptId$1<T = unknown> = {
    receiptId: T;
};
type ReceiptIds$1<T = unknown> = {
    receiptIds: T;
};
type Receipts$1<T = unknown> = {
    receipts: T;
};
type Redis$1<T = unknown> = {
    redis: T;
};
type Ref$1<T = unknown> = {
    ref: T;
};
type Reference$1<T = unknown> = {
    reference: T;
};
type References$1<T = unknown> = {
    references: T;
};
type Referrer$1<T = unknown> = {
    referrer: T;
};
type RefreshToken$1<T = unknown> = {
    refreshToken: T;
};
type RefundedAt$1<T = unknown> = {
    refundedAt: T;
};
type Region$1<T = unknown> = {
    region: T;
};
type RegionCode$1<T = unknown> = {
    regionCode: T;
};
type Regions$1<T = unknown> = {
    regions: T;
};
type Relation$1<T = unknown> = {
    relation: T;
};
type RelationId$1<T = unknown> = {
    relationId: T;
};
type RelationIds$1<T = unknown> = {
    relationIds: T;
};
type Relations$1<T = unknown> = {
    relations: T;
};
type Remote$1<T = unknown> = {
    remote: T;
};
type Remove$1<T = unknown> = {
    remove: T;
};
type Replica$1<T = unknown> = {
    replica: T;
};
type ReplicaId$1<T = unknown> = {
    replicaId: T;
};
type ReplicaIds$1<T = unknown> = {
    replicaIds: T;
};
type ReplicaName$1<T = unknown> = {
    replicaName: T;
};
type ReplicaUrl$1<T = unknown> = {
    replicaUrl: T;
};
type Replicas$1<T = unknown> = {
    replicas: T;
};
type Replication$1<T = unknown> = {
    replication: T;
};
type ReplicationId$1<T = unknown> = {
    replicationId: T;
};
type ReplicationIds$1<T = unknown> = {
    replicationIds: T;
};
type Replications$1<T = unknown> = {
    replications: T;
};
type Report$1<T = unknown> = {
    report: T;
};
type ReportId$1<T = unknown> = {
    reportId: T;
};
type ReportIds$1<T = unknown> = {
    reportIds: T;
};
type Reports$1<T = unknown> = {
    reports: T;
};
type Repositories$1<T = unknown> = {
    repositories: T;
};
type Repository$1<T = unknown> = {
    repository: T;
};
type RepositoryUrl$1<T = unknown> = {
    repositoryUrl: T;
};
type Req$1<T = unknown> = {
    req: T;
};
type Request$1<T = unknown> = {
    request: T;
};
type RequestId$1<T = unknown> = {
    requestId: T;
};
type RequestIds$1<T = unknown> = {
    requestIds: T;
};
type Requests$1<T = unknown> = {
    requests: T;
};
type Res$1<T = unknown> = {
    res: T;
};
type Resource$1<T = unknown> = {
    resource: T;
};
type ResourceId$1<T = unknown> = {
    resourceId: T;
};
type ResourceIds$1<T = unknown> = {
    resourceIds: T;
};
type ResourceName$1<T = unknown> = {
    resourceName: T;
};
type ResourcePath$1<T = unknown> = {
    resourcePath: T;
};
type ResourceUrl$1<T = unknown> = {
    resourceUrl: T;
};
type Resources$1<T = unknown> = {
    resources: T;
};
type Response$1<T = unknown> = {
    response: T;
};
type ResponseId$1<T = unknown> = {
    responseId: T;
};
type ResponseIds$1<T = unknown> = {
    responseIds: T;
};
type Responses$1<T = unknown> = {
    responses: T;
};
type Result$1<T = unknown> = {
    result: T;
};
type ResultId$1<T = unknown> = {
    resultId: T;
};
type ResultIds$1<T = unknown> = {
    resultIds: T;
};
type Results$1<T = unknown> = {
    results: T;
};
type Retry$1<T = unknown> = {
    retry: T;
};
type RetryCount$1<T = unknown> = {
    tryCount: T;
};
type Right$1<T = unknown> = {
    right: T;
};
type Role$1<T = unknown> = {
    role: T;
};
type RoleId$1<T = unknown> = {
    roleId: T;
};
type RoleIds$1<T = unknown> = {
    roleIds: T;
};
type RoleName$1<T = unknown> = {
    roleName: T;
};
type Roles$1<T = unknown> = {
    roles: T;
};
type Rotation$1<T = unknown> = {
    rotation: T;
};
type RotationX$1<T = unknown> = {
    rotationX: T;
};
type RotationY$1<T = unknown> = {
    rotationY: T;
};
type RotationZ$1<T = unknown> = {
    rotationZ: T;
};
type Rotations$1<T = unknown> = {
    rotations: T;
};
type Route$1<T = unknown> = {
    route: T;
};
type Routes$1<T = unknown> = {
    routes: T;
};
type Row$1<T = unknown> = {
    row: T;
};
type RowId$1<T = unknown> = {
    rowId: T;
};
type RowIds$1<T = unknown> = {
    rowIds: T;
};
type Rows$1<T = unknown> = {
    rows: T;
};
type SETID$1<T = unknown> = {
    setid: T;
};
type SSL$1<T = unknown> = {
    ssl: T;
};
type Salt$1<T = unknown> = {
    salt: T;
};
type Scale$1<T = unknown> = {
    scale: T;
};
type ScaleX$1<T = unknown> = {
    scaleX: T;
};
type ScaleY$1<T = unknown> = {
    scaleY: T;
};
type ScaleZ$1<T = unknown> = {
    scaleZ: T;
};
type Scales$1<T = unknown> = {
    scales: T;
};
type Scenario$1<T = unknown> = {
    scenario: T;
};
type ScenarioId$1<T = unknown> = {
    scenarioId: T;
};
type ScenarioIds$1<T = unknown> = {
    scenarioIds: T;
};
type Scenarios$1<T = unknown> = {
    scenarios: T;
};
type Schedule$1<T = unknown> = {
    schedule: T;
};
type Scheduled$1<T = unknown> = {
    scheduled: T;
};
type Scheduler$1<T = unknown> = {
    scheduler: T;
};
type Schema$1<T = unknown> = {
    schema: T;
};
type SchemaId$1<T = unknown> = {
    schemaId: T;
};
type SchemaIds$1<T = unknown> = {
    schemaIds: T;
};
type SchemaName$1<T = unknown> = {
    schemaName: T;
};
type Schemas$1<T = unknown> = {
    schemas: T;
};
type Scope$1<T = unknown> = {
    scope: T;
};
type Scopes$1<T = unknown> = {
    scopes: T;
};
type Screen$1<T = unknown> = {
    screen: T;
};
type Sdk$1<T = unknown> = {
    sdk: T;
};
type Secondary$1<T = unknown> = {
    secondary: T;
};
type Seconds$1<T = unknown> = {
    seconds: T;
};
type Secret$1<T = unknown> = {
    secret: T;
};
type SecretKey$1<T = unknown> = {
    secretKey: T;
};
type Select$1<T = unknown> = {
    select: T;
};
type Selected$1<T = unknown> = {
    selected: T;
};
type Selector$1<T = unknown> = {
    selector: T;
};
type Sender$1<T = unknown> = {
    sender: T;
};
type SenderId$1<T = unknown> = {
    senderId: T;
};
type SenderIds$1<T = unknown> = {
    senderIds: T;
};
type SenderName$1<T = unknown> = {
    senderName: T;
};
type Senders$1<T = unknown> = {
    senders: T;
};
type Separator$1<T = unknown> = {
    separator: T;
};
type Sequence$1<T = unknown> = {
    sequence: T;
};
type SequenceId$1<T = unknown> = {
    sequenceId: T;
};
type SequenceIds$1<T = unknown> = {
    sequenceIds: T;
};
type Sequences$1<T = unknown> = {
    sequences: T;
};
type Server$1<T = unknown> = {
    server: T;
};
type ServerHost$1<T = unknown> = {
    serverHost: T;
};
type ServerPort$1<T = unknown> = {
    serverPort: T;
};
type ServerUrl$1<T = unknown> = {
    serverUrl: T;
};
type Service$1<T = unknown> = {
    service: T;
};
type ServiceId$1<T = unknown> = {
    serviceId: T;
};
type ServiceIds$1<T = unknown> = {
    serviceIds: T;
};
type ServiceName$1<T = unknown> = {
    serviceName: T;
};
type ServicePath$1<T = unknown> = {
    servicePath: T;
};
type ServiceUrl$1<T = unknown> = {
    serviceUrl: T;
};
type Services$1<T = unknown> = {
    services: T;
};
type Session$1<T = unknown> = {
    session: T;
};
type SessionId$1<T = unknown> = {
    sessionId: T;
};
type SessionIds$1<T = unknown> = {
    sessionIds: T;
};
type Sessions$1<T = unknown> = {
    sessions: T;
};
type Set$1<T = unknown> = {
    set: T;
};
type SetId$1<T = unknown> = {
    setId: T;
};
type SetIds$1<T = unknown> = {
    setIds: T;
};
type Sets$1<T = unknown> = {
    sets: T;
};
type Settings$1<T = unknown> = {
    settings: T;
};
type Setup$1<T = unknown> = {
    setup: T;
};
type SetupId$1<T = unknown> = {
    setupId: T;
};
type SetupIds$1<T = unknown> = {
    setupIds: T;
};
type Setups$1<T = unknown> = {
    setups: T;
};
type ShutdownDelay$1<T = unknown> = {
    shutdownDelay: T;
};
type Signature$1<T = unknown> = {
    signature: T;
};
type Since$1<T = unknown> = {
    since: T;
};
type Size$1<T = unknown> = {
    size: T;
};
type Skip$1<T = unknown> = {
    skip: T;
};
type Slack$1<T = unknown> = {
    slack: T;
};
type Slave$1<T = unknown> = {
    slave: T;
};
type SlaveId$1<T = unknown> = {
    slaveId: T;
};
type SlaveIds$1<T = unknown> = {
    slaveIds: T;
};
type Slaves$1<T = unknown> = {
    slaves: T;
};
type Snapshot$1<T = unknown> = {
    snapshot: T;
};
type SnapshotId$1<T = unknown> = {
    snapshotId: T;
};
type SnapshotIds$1<T = unknown> = {
    snapshotIds: T;
};
type SnapshotUrl$1<T = unknown> = {
    snapshotUrl: T;
};
type Snapshots$1<T = unknown> = {
    snapshots: T;
};
type Sort$1<T = unknown> = {
    sort: T;
};
type Source$1<T = unknown> = {
    source: T;
};
type Spend$1<T = unknown> = {
    spend: T;
};
type Spends$1<T = unknown> = {
    spends: T;
};
type Stage$1<T = unknown> = {
    stage: T;
};
type StartDate$1<T = unknown> = {
    startDate: T;
};
type StartTime$1<T = unknown> = {
    startTime: T;
};
type StartedAt$1<T = unknown> = {
    startedAt: T;
};
type State$1<T = unknown> = {
    state: T;
};
type States$1<T = unknown> = {
    states: T;
};
type Stats$1<T = unknown> = {
    stats: T;
};
type Status$1<T = unknown> = {
    status: T;
};
type Strategies$1<T = unknown> = {
    strategies: T;
};
type Strategy$1<T = unknown> = {
    strategy: T;
};
type StrategyId$1<T = unknown> = {
    strategyId: T;
};
type StrategyIds$1<T = unknown> = {
    strategyIds: T;
};
type StrategyName$1<T = unknown> = {
    strategyName: T;
};
type Stream$1<T = unknown> = {
    stream: T;
};
type StreamId$1<T = unknown> = {
    streamId: T;
};
type StreamIds$1<T = unknown> = {
    streamIds: T;
};
type StreamName$1<T = unknown> = {
    streamName: T;
};
type Streams$1<T = unknown> = {
    streams: T;
};
type Subject$1<T = unknown> = {
    subject: T;
};
type SubjectId$1<T = unknown> = {
    subjectId: T;
};
type SubjectIds$1<T = unknown> = {
    subjectIds: T;
};
type Subjects$1<T = unknown> = {
    subjects: T;
};
type Subscriber$1<T = unknown> = {
    subscriber: T;
};
type SubscriberId$1<T = unknown> = {
    subscriberId: T;
};
type SubscriberIds$1<T = unknown> = {
    subscriberIds: T;
};
type Subscribers$1<T = unknown> = {
    subscribers: T;
};
type Subscription$1<T = unknown> = {
    subscription: T;
};
type SubscriptionId$1<T = unknown> = {
    subscriptionId: T;
};
type SubscriptionIds$1<T = unknown> = {
    subscriptionIds: T;
};
type Subscriptions$1<T = unknown> = {
    subscriptions: T;
};
type Success$1<T = unknown> = {
    success: T;
};
type Sum$1<T = unknown> = {
    sum: T;
};
type Summary$1<T = unknown> = {
    summary: T;
};
type Synchronize$1<T = unknown> = {
    synchronize: T;
};
type Table$1<T = unknown> = {
    table: T;
};
type TableId$1<T = unknown> = {
    tableId: T;
};
type TableIds$1<T = unknown> = {
    tableIds: T;
};
type TableName$1<T = unknown> = {
    tableName: T;
};
type Tables$1<T = unknown> = {
    tables: T;
};
type Tag$1<T = unknown> = {
    tag: T;
};
type TagId$1<T = unknown> = {
    tagId: T;
};
type TagIds$1<T = unknown> = {
    tagIds: T;
};
type Tags$1<T = unknown> = {
    tags: T;
};
type Take$1<T = unknown> = {
    take: T;
};
type Target$1<T = unknown> = {
    target: T;
};
type TargetId$1<T = unknown> = {
    targetId: T;
};
type TargetIds$1<T = unknown> = {
    targetIds: T;
};
type Targets$1<T = unknown> = {
    targets: T;
};
type Task$1<T = unknown> = {
    task: T;
};
type TaskId$1<T = unknown> = {
    taskId: T;
};
type TaskIds$1<T = unknown> = {
    taskIds: T;
};
type Tasks$1<T = unknown> = {
    tasks: T;
};
type Taxes$1<T = unknown> = {
    taxes: T;
};
type Template$1<T = unknown> = {
    template: T;
};
type TemplateId$1<T = unknown> = {
    templateId: T;
};
type TemplateIds$1<T = unknown> = {
    templateIds: T;
};
type TemplateName$1<T = unknown> = {
    templateName: T;
};
type TemplatePath$1<T = unknown> = {
    templatePath: T;
};
type TemplateUrl$1<T = unknown> = {
    templateUrl: T;
};
type Templates$1<T = unknown> = {
    templates: T;
};
type Text$1<T = unknown> = {
    text: T;
};
type TextSize$1<T = unknown> = {
    textSize: T;
};
type Throttle$1<T = unknown> = {
    throttle: T;
};
type ThrottleMs$1<T = unknown> = {
    throttleMs: T;
};
type ThrottleSec$1<T = unknown> = {
    throttleSec: T;
};
type Ticket$1<T = unknown> = {
    ticket: T;
};
type TicketId$1<T = unknown> = {
    ticketId: T;
};
type TicketIds$1<T = unknown> = {
    ticketIds: T;
};
type Tickets$1<T = unknown> = {
    tickets: T;
};
type Tiktok$1<T = unknown> = {
    tiktok: T;
};
type Time$1<T = unknown> = {
    time: T;
};
type TimeRange$1<T = unknown> = {
    timeRange: T;
};
type TimeUtc$1<T = unknown> = {
    timeUtc: T;
};
type Timeout$1<T = unknown> = {
    timeout: T;
};
type Timer$1<T = unknown> = {
    timer: T;
};
type Timestamp$1<T = unknown> = {
    timestamp: T;
};
type TimestampUtc$1<T = unknown> = {
    timestampUtc: T;
};
type Timezone$1<T = unknown> = {
    timezone: T;
};
type TimezoneOffset$1<T = unknown> = {
    timezoneOffset: T;
};
type Title$1<T = unknown> = {
    title: T;
};
type Tmp$1<T = unknown> = {
    tmp: T;
};
type TmpPath$1<T = unknown> = {
    tmpPath: T;
};
type ToDate$1<T = unknown> = {
    toDate: T;
};
type Token$1<T = unknown> = {
    token: T;
};
type TokenId$1<T = unknown> = {
    tokenId: T;
};
type TokenIds$1<T = unknown> = {
    tokenIds: T;
};
type TokenType$1<T = unknown> = {
    tokenType: T;
};
type Tokens$1<T = unknown> = {
    tokens: T;
};
type Tool$1<T = unknown> = {
    tool: T;
};
type ToolId$1<T = unknown> = {
    toolId: T;
};
type ToolIds$1<T = unknown> = {
    toolIds: T;
};
type Tools$1<T = unknown> = {
    tools: T;
};
type Top$1<T = unknown> = {
    top: T;
};
type Topic$1<T = unknown> = {
    topic: T;
};
type TopicId$1<T = unknown> = {
    topicId: T;
};
type TopicIds$1<T = unknown> = {
    topicIds: T;
};
type TopicName$1<T = unknown> = {
    topicName: T;
};
type Topics$1<T = unknown> = {
    topics: T;
};
type TotalClicks$1<T = unknown> = {
    totalClicks: T;
};
type TotalCount$1<T = unknown> = {
    totalCount: T;
};
type TotalImpressions$1<T = unknown> = {
    totalImpressions: T;
};
type TotalInstalls$1<T = unknown> = {
    totalInstalls: T;
};
type TotalNumber$1<T = unknown> = {
    totalNumber: T;
};
type TotalSpend$1<T = unknown> = {
    totalSpend: T;
};
type Town$1<T = unknown> = {
    town: T;
};
type Transaction$1<T = unknown> = {
    transaction: T;
};
type TransactionId$1<T = unknown> = {
    transactionId: T;
};
type TransactionIds$1<T = unknown> = {
    transactionIds: T;
};
type TransactionToken$1<T = unknown> = {
    transactionToken: T;
};
type Transactions$1<T = unknown> = {
    transactions: T;
};
type Transformer$1<T = unknown> = {
    transformer: T;
};
type Trial$1<T = unknown> = {
    trial: T;
};
type Ttl$1<T = unknown> = {
    ttl: T;
};
type TtlMs$1<T = unknown> = {
    ttlMs: T;
};
type TtlSec$1<T = unknown> = {
    ttlSec: T;
};
type Type$1<T = unknown> = {
    type: T;
};
type TypeId$1<T = unknown> = {
    typeId: T;
};
type TypeIds$1<T = unknown> = {
    typeIds: T;
};
type Types$1<T = unknown> = {
    types: T;
};
type UUID$1<T = unknown> = {
    uuid: T;
};
type Unique$1<T = unknown> = {
    unique: T;
};
type UniqueId$1<T = unknown> = {
    uniqueId: T;
};
type UniqueIds$1<T = unknown> = {
    uniqueIds: T;
};
type Uniques$1<T = unknown> = {
    uniques: T;
};
type Until$1<T = unknown> = {
    until: T;
};
type Update$1<T = unknown> = {
    update: T;
};
type UpdatedAt$1<T = unknown> = {
    updatedAt: T;
};
type Uri$1<T = unknown> = {
    uri: T;
};
type Url$1<T = unknown> = {
    url: T;
};
type User$1<T = unknown> = {
    user: T;
};
type UserAgent$1<T = unknown> = {
    userAgent: T;
};
type UserData$1<T = unknown> = {
    userData: T;
};
type UserId$1<T = unknown> = {
    userId: T;
};
type UserIds$1<T = unknown> = {
    userIds: T;
};
type UserName$1<T = unknown> = {
    userName: T;
};
type UserPassword$1<T = unknown> = {
    userPassword: T;
};
type UserProperties$1<T = unknown> = {
    userProperties: T;
};
type Username$1<T = unknown> = {
    username: T;
};
type Users$1<T = unknown> = {
    users: T;
};
type Utc$1<T = unknown> = {
    utc: T;
};
type Value$1<T = unknown> = {
    value: T;
};
type Values$1<T = unknown> = {
    values: T;
};
type Vars$1<T = unknown> = {
    vars: T;
};
type Vector$1<T = unknown> = {
    vector: T;
};
type VendorId$1<T = unknown> = {
    vendorId: T;
};
type VendorIds$1<T = unknown> = {
    vendorIds: T;
};
type Verbose$1<T = unknown> = {
    verbose: T;
};
type Version$1<T = unknown> = {
    version: T;
};
type Video$1<T = unknown> = {
    video: T;
};
type VideoId$1<T = unknown> = {
    videoId: T;
};
type VideoIds$1<T = unknown> = {
    videoIds: T;
};
type VideoName$1<T = unknown> = {
    videoName: T;
};
type VideoUrl$1<T = unknown> = {
    videoUrl: T;
};
type Videos$1<T = unknown> = {
    videos: T;
};
type View$1<T = unknown> = {
    view: T;
};
type ViewId$1<T = unknown> = {
    viewId: T;
};
type ViewIds$1<T = unknown> = {
    viewIds: T;
};
type Views$1<T = unknown> = {
    views: T;
};
type Visitor$1<T = unknown> = {
    visitor: T;
};
type VisitorId$1<T = unknown> = {
    visitorId: T;
};
type VisitorIds$1<T = unknown> = {
    visitorIds: T;
};
type Visitors$1<T = unknown> = {
    visitors: T;
};
type Warning$1<T = unknown> = {
    warning: T;
};
type Web$1<T = unknown> = {
    web: T;
};
type Webhook$1<T = unknown> = {
    webhook: T;
};
type WebhookUrl$1<T = unknown> = {
    webhookUrl: T;
};
type Webhooks$1<T = unknown> = {
    webhooks: T;
};
type Week$1<T = unknown> = {
    week: T;
};
type Weeks$1<T = unknown> = {
    weeks: T;
};
type Weight$1<T = unknown> = {
    weight: T;
};
type Where$1<T = unknown> = {
    where: T;
};
type Whitelist$1<T = unknown> = {
    whitelist: T;
};
type Width$1<T = unknown> = {
    width: T;
};
type Workspace$1<T = unknown> = {
    workspace: T;
};
type WorkspaceId$1<T = unknown> = {
    workspaceId: T;
};
type WorkspaceIds$1<T = unknown> = {
    workspaceIds: T;
};
type Workspaces$1<T = unknown> = {
    workspaces: T;
};
type X$1<T = unknown> = {
    x: T;
};
type Y$1<T = unknown> = {
    y: T;
};
type Year$1<T = unknown> = {
    year: T;
};
type Years$1<T = unknown> = {
    years: T;
};
type Z$1<T = unknown> = {
    z: T;
};
type ZIndex$1<T = unknown> = {
    zIndex: T;
};
type Zip$1<T = unknown> = {
    zip: T;
};
type ZipCode$1<T = unknown> = {
    zipCode: T;
};
type Ziped$1<T = unknown> = {
    ziped: T;
};

declare namespace index$1 {
  export type { AAID$1 as AAID, About$1 as About, AccessKey$1 as AccessKey, AccessKeyId$1 as AccessKeyId, AccessKeyName$1 as AccessKeyName, AccessPoint$1 as AccessPoint, AccessToken$1 as AccessToken, Account$1 as Account, AccountId$1 as AccountId, AccountIds$1 as AccountIds, AccountName$1 as AccountName, Accounts$1 as Accounts, Action$1 as Action, Activator$1 as Activator, ActivatorId$1 as ActivatorId, ActivatorIds$1 as ActivatorIds, ActivatorName$1 as ActivatorName, Activators$1 as Activators, Ad$1 as Ad, AdGroup$1 as AdGroup, AdGroupId$1 as AdGroupId, AdGroupIds$1 as AdGroupIds, AdGroupName$1 as AdGroupName, AdId$1 as AdId, AdIds$1 as AdIds, AdName$1 as AdName, Add$1 as Add, Address$1 as Address, Addresses$1 as Addresses, Adgroups$1 as Adgroups, Admin$1 as Admin, AdminId$1 as AdminId, AdminIds$1 as AdminIds, Admins$1 as Admins, Ads$1 as Ads, Adset$1 as Adset, AdsetId$1 as AdsetId, AdsetIds$1 as AdsetIds, AdsetName$1 as AdsetName, Advertiser$1 as Advertiser, AdvertiserId$1 as AdvertiserId, AdvertiserIds$1 as AdvertiserIds, Advertisers$1 as Advertisers, Age$1 as Age, AgeGroup$1 as AgeGroup, Airtable$1 as Airtable, Albom$1 as Albom, AlbomId$1 as AlbomId, AlbomIds$1 as AlbomIds, AlbomName$1 as AlbomName, Alboms$1 as Alboms, Alg$1 as Alg, Alias$1 as Alias, Align$1 as Align, All$1 as All, Amount$1 as Amount, Amplitude$1 as Amplitude, Android$1 as Android, Answer$1 as Answer, AnswerId$1 as AnswerId, AnswerIds$1 as AnswerIds, Answers$1 as Answers, Api$1 as Api, ApiKey$1 as ApiKey, ApiKeys$1 as ApiKeys, ApiSecret$1 as ApiSecret, ApiUrl$1 as ApiUrl, App$1 as App, AppId$1 as AppId, AppIds$1 as AppIds, Apple$1 as Apple, Application$1 as Application, ApplicationId$1 as ApplicationId, ApplicationIds$1 as ApplicationIds, Applications$1 as Applications, Applovin$1 as Applovin, Apps$1 as Apps, Appsflayer$1 as Appsflayer, AppslyerId$1 as AppslyerId, Arg$1 as Arg, Args$1 as Args, Asset$1 as Asset, AssetHash$1 as AssetHash, AssetId$1 as AssetId, AssetIds$1 as AssetIds, AssetName$1 as AssetName, Assets$1 as Assets, Attempt$1 as Attempt, Attempts$1 as Attempts, Attribute$1 as Attribute, AttributeId$1 as AttributeId, AttributeIds$1 as AttributeIds, Attributes$1 as Attributes, Auth$1 as Auth, AuthProvider$1 as AuthProvider, Authorized$1 as Authorized, Auto$1 as Auto, AutoLoad$1 as AutoLoad, AutoRun$1 as AutoRun, Aws$1 as Aws, BID$1 as BID, Background$1 as Background, BackgroundColor$1 as BackgroundColor, Badge$1 as Badge, BadgeId$1 as BadgeId, BadgeIds$1 as BadgeIds, Badges$1 as Badges, BaseUrl$1 as BaseUrl, Blacklist$1 as Blacklist, Block$1 as Block, BlockId$1 as BlockId, BlockIds$1 as BlockIds, Blocked$1 as Blocked, Blocks$1 as Blocks, Blueprint$1 as Blueprint, BlueprintId$1 as BlueprintId, BlueprintIds$1 as BlueprintIds, BlueprintName$1 as BlueprintName, Blueprints$1 as Blueprints, Body$1 as Body, Border$1 as Border, Bottom$1 as Bottom, Bucket$1 as Bucket, BucketId$1 as BucketId, BucketIds$1 as BucketIds, BucketName$1 as BucketName, BucketUrl$1 as BucketUrl, Buckets$1 as Buckets, Budget$1 as Budget, BudgetMode$1 as BudgetMode, Buffer$1 as Buffer, Builder$1 as Builder, Bundle$1 as Bundle, BundleId$1 as BundleId, BundleIds$1 as BundleIds, Bundles$1 as Bundles, Cache$1 as Cache, CacheId$1 as CacheId, CacheIds$1 as CacheIds, CacheKey$1 as CacheKey, Callback$1 as Callback, Calls$1 as Calls, Campaign$1 as Campaign, CampaignId$1 as CampaignId, CampaignIds$1 as CampaignIds, CampaignName$1 as CampaignName, CampaignNames$1 as CampaignNames, Campaigns$1 as Campaigns, Cancel$1 as Cancel, Canceled$1 as Canceled, Card$1 as Card, CardId$1 as CardId, CardIds$1 as CardIds, Cards$1 as Cards, Cascade$1 as Cascade, Categories$1 as Categories, Category$1 as Category, CategoryId$1 as CategoryId, CategoryIds$1 as CategoryIds, CategoryName$1 as CategoryName, Cert$1 as Cert, Certificate$1 as Certificate, CertificateId$1 as CertificateId, CertificateIds$1 as CertificateIds, Certificates$1 as Certificates, Channel$1 as Channel, ChannelId$1 as ChannelId, ChannelIds$1 as ChannelIds, ChannelName$1 as ChannelName, Channels$1 as Channels, ChargedAt$1 as ChargedAt, Chunk$1 as Chunk, ChunkId$1 as ChunkId, ChunkIds$1 as ChunkIds, ChunkSize$1 as ChunkSize, Chunks$1 as Chunks, City$1 as City, Class$1 as Class, ClassId$1 as ClassId, ClassIds$1 as ClassIds, Classes$1 as Classes, ClickId$1 as ClickId, ClickIds$1 as ClickIds, Clicks$1 as Clicks, Client$1 as Client, ClientId$1 as ClientId, ClientIds$1 as ClientIds, Clients$1 as Clients, CloseConnectionTimeout$1 as CloseConnectionTimeout, Cluster$1 as Cluster, ClusterId$1 as ClusterId, ClusterIds$1 as ClusterIds, ClusterMode$1 as ClusterMode, Clusters$1 as Clusters, Code$1 as Code, Codes$1 as Codes, Collection$1 as Collection, CollectionId$1 as CollectionId, CollectionIds$1 as CollectionIds, CollectionName$1 as CollectionName, Collections$1 as Collections, Color$1 as Color, Colors$1 as Colors, Column$1 as Column, ColumnId$1 as ColumnId, ColumnIds$1 as ColumnIds, ColumnName$1 as ColumnName, Columns$1 as Columns, Comment$1 as Comment, CommentId$1 as CommentId, CommentIds$1 as CommentIds, Comments$1 as Comments, CompletedAt$1 as CompletedAt, Compressed$1 as Compressed, Config$1 as Config, ConfigId$1 as ConfigId, ConfigIds$1 as ConfigIds, ConfigName$1 as ConfigName, ConfigPath$1 as ConfigPath, ConfigUrl$1 as ConfigUrl, Configs$1 as Configs, Constant$1 as Constant, Constraint$1 as Constraint, Constraints$1 as Constraints, Constructor$2 as Constructor, Consumer$1 as Consumer, ConsumerId$1 as ConsumerId, ConsumerIds$1 as ConsumerIds, Consumers$1 as Consumers, Content$1 as Content, ContentId$1 as ContentId, ContentIds$1 as ContentIds, Contents$1 as Contents, Context$1 as Context, Controller$1 as Controller, Controllers$1 as Controllers, Cors$1 as Cors, Cost$1 as Cost, Costs$1 as Costs, Count$1 as Count, Country$1 as Country, CountryCode$1 as CountryCode, Create$1 as Create, CreatedAt$1 as CreatedAt, Creative$1 as Creative, CreativeId$1 as CreativeId, CreativeIds$1 as CreativeIds, CreativeName$1 as CreativeName, Creatives$1 as Creatives, Credentials$1 as Credentials, Csv$1 as Csv, Currencies$1 as Currencies, Currency$1 as Currency, CurrencyCode$1 as CurrencyCode, Cursor$1 as Cursor, Customer$1 as Customer, CustomerEmail$1 as CustomerEmail, CustomerId$1 as CustomerId, CustomerIds$1 as CustomerIds, Customers$1 as Customers, Data$1 as Data, Database$1 as Database, DatabaseHost$1 as DatabaseHost, DatabaseName$1 as DatabaseName, DatabasePort$1 as DatabasePort, DatabaseUrl$1 as DatabaseUrl, Databases$1 as Databases, Date$1 as Date, DateRange$1 as DateRange, DateStart$1 as DateStart, DateStop$1 as DateStop, DateUtc$1 as DateUtc, Dates$1 as Dates, Day$1 as Day, Days$1 as Days, DeadLetter$1 as DeadLetter, DeadLetters$1 as DeadLetters, DeadLettersUrl$1 as DeadLettersUrl, Debug$1 as Debug, Decrement$1 as Decrement, Default$1 as Default, DefaultId$1 as DefaultId, DefaultIds$1 as DefaultIds, Defaults$1 as Defaults, Delay$1 as Delay, DelayMs$1 as DelayMs, DelaySec$1 as DelaySec, Delete$1 as Delete, DeletedAt$1 as DeletedAt, Dependences$1 as Dependences, Depends$1 as Depends, DependsOn$1 as DependsOn, Depth$1 as Depth, Description$1 as Description, DescriptionId$1 as DescriptionId, DescriptionIds$1 as DescriptionIds, Descriptions$1 as Descriptions, Desktop$1 as Desktop, Detail$1 as Detail, DetailId$1 as DetailId, DetailIds$1 as DetailIds, Details$1 as Details, Dev$1 as Dev, DevKey$1 as DevKey, Developer$1 as Developer, DeveloperId$1 as DeveloperId, DeveloperIds$1 as DeveloperIds, Developers$1 as Developers, Device$1 as Device, DeviceId$1 as DeviceId, DeviceIds$1 as DeviceIds, Devices$1 as Devices, Dict$1 as Dict, Dictionaries$1 as Dictionaries, Dictionary$1 as Dictionary, Dimension$1 as Dimension, Dimensions$1 as Dimensions, Directories$1 as Directories, Directory$1 as Directory, DirectoryName$1 as DirectoryName, DirectoryPath$1 as DirectoryPath, Disabled$1 as Disabled, Discount$1 as Discount, DiscountId$1 as DiscountId, DiscountIds$1 as DiscountIds, Discounts$1 as Discounts, Display$1 as Display, Docs$1 as Docs, Document$1 as Document, DocumentId$1 as DocumentId, DocumentIds$1 as DocumentIds, Documents$1 as Documents, Domain$1 as Domain, DomainId$1 as DomainId, DomainIds$1 as DomainIds, DomainName$1 as DomainName, DomainUrl$1 as DomainUrl, Domains$1 as Domains, Dto$1 as Dto, Dtos$1 as Dtos, Duplicate$1 as Duplicate, DuplicateId$1 as DuplicateId, DuplicateIds$1 as DuplicateIds, DuplicateName$1 as DuplicateName, Duplicates$1 as Duplicates, Duration$1 as Duration, Element$1 as Element, ElementId$1 as ElementId, ElementIds$1 as ElementIds, Elements$1 as Elements, Email$1 as Email, Employee$1 as Employee, EmployeeId$1 as EmployeeId, EmployeeIds$1 as EmployeeIds, Employees$1 as Employees, Employer$1 as Employer, EmployerId$1 as EmployerId, EmployerIds$1 as EmployerIds, Employers$1 as Employers, Enabled$1 as Enabled, Encoded$1 as Encoded, Encoding$1 as Encoding, EndDate$1 as EndDate, EndTime$1 as EndTime, Endpoint$1 as Endpoint, Endpoints$1 as Endpoints, Entities$1 as Entities, Entity$1 as Entity, EntityId$1 as EntityId, EntityIds$1 as EntityIds, Entries$1 as Entries, Entry$1 as Entry, EntryId$1 as EntryId, EntryIds$1 as EntryIds, Enum$1 as Enum, Env$1 as Env, EnvFilePath$1 as EnvFilePath, EnvKey$1 as EnvKey, EnvKeys$1 as EnvKeys, Envar$1 as Envar, EnvarKey$1 as EnvarKey, Envars$1 as Envars, Equals$1 as Equals, Error$1 as Error, Errors$1 as Errors, Event$1 as Event, EventId$1 as EventId, EventIds$1 as EventIds, EventName$1 as EventName, EventProperties$1 as EventProperties, EventProperty$1 as EventProperty, EventTime$1 as EventTime, EventType$1 as EventType, Events$1 as Events, Exact$1 as Exact, Example$1 as Example, ExampleId$1 as ExampleId, ExampleIds$1 as ExampleIds, ExamplePath$1 as ExamplePath, ExampleUrl$1 as ExampleUrl, Examples$1 as Examples, Exclude$2 as Exclude, ExcludePath$1 as ExcludePath, ExcludePaths$1 as ExcludePaths, Exists$1 as Exists, ExpireAt$1 as ExpireAt, Expired$1 as Expired, ExpiredToken$1 as ExpiredToken, ExpiredTokens$1 as ExpiredTokens, Expires$1 as Expires, Export$1 as Export, Exports$1 as Exports, ExposedHeaders$1 as ExposedHeaders, Extention$1 as Extention, Extentions$1 as Extentions, External$1 as External, ExternalId$1 as ExternalId, ExternalIds$1 as ExternalIds, Externals$1 as Externals, Facebook$1 as Facebook, Factory$1 as Factory, Fail$1 as Fail, Failed$1 as Failed, Fails$1 as Fails, Failure$1 as Failure, Feature$1 as Feature, FeatureId$1 as FeatureId, FeatureIds$1 as FeatureIds, FeatureName$1 as FeatureName, Features$1 as Features, Field$1 as Field, FieldId$1 as FieldId, FieldIds$1 as FieldIds, FieldName$1 as FieldName, Fields$1 as Fields, Fifo$1 as Fifo, File$1 as File, FileId$1 as FileId, FileIds$1 as FileIds, FileName$1 as FileName, FilePath$1 as FilePath, FileSize$1 as FileSize, Files$1 as Files, Filter$1 as Filter, FilterId$1 as FilterId, FilterIds$1 as FilterIds, Filters$1 as Filters, FinishedAt$1 as FinishedAt, FirstName$1 as FirstName, Folder$1 as Folder, FolderId$1 as FolderId, FolderIds$1 as FolderIds, FolderPath$1 as FolderPath, Folders$1 as Folders, Font$1 as Font, FontFamily$1 as FontFamily, FontId$1 as FontId, FontIds$1 as FontIds, FontName$1 as FontName, FontPath$1 as FontPath, FontUrl$1 as FontUrl, Fonts$1 as Fonts, Force$1 as Force, Form$1 as Form, FormId$1 as FormId, FormIds$1 as FormIds, Format$1 as Format, Formats$1 as Formats, Forms$1 as Forms, FromDate$1 as FromDate, FullName$1 as FullName, GID$1 as GID, GUID$1 as GUID, Game$1 as Game, GameId$1 as GameId, GameIds$1 as GameIds, Games$1 as Games, Gender$1 as Gender, Git$1 as Git, Gitignore$1 as Gitignore, Google$1 as Google, Group$1 as Group, GroupId$1 as GroupId, GroupIds$1 as GroupIds, GroupName$1 as GroupName, Groups$1 as Groups, Hash$1 as Hash, Header$1 as Header, Headers$1 as Headers, HeadersTimeout$1 as HeadersTimeout, Height$1 as Height, Hidden$1 as Hidden, Home$1 as Home, Homepage$1 as Homepage, Hour$1 as Hour, Hours$1 as Hours, Html$1 as Html, HttpOptions$1 as HttpOptions, ID$1 as ID, IDFA$1 as IDFA, IDFV$1 as IDFV, IOS$1 as IOS, Icon$1 as Icon, IconId$1 as IconId, IconIds$1 as IconIds, IconPath$1 as IconPath, IconUrl$1 as IconUrl, Icons$1 as Icons, Image$1 as Image, ImageId$1 as ImageId, ImageIds$1 as ImageIds, ImageName$1 as ImageName, ImagePath$1 as ImagePath, ImageUrl$1 as ImageUrl, Images$1 as Images, Import$1 as Import, Imports$1 as Imports, Impression$1 as Impression, Impressions$1 as Impressions, Imutable$1 as Imutable, Include$1 as Include, IncludeId$1 as IncludeId, IncludeIds$1 as IncludeIds, IncludePath$1 as IncludePath, IncludePaths$1 as IncludePaths, Includes$1 as Includes, Increment$1 as Increment, Index$1 as Index, Info$1 as Info, Inject$1 as Inject, Insert$1 as Insert, Insights$1 as Insights, Installs$1 as Installs, Internal$1 as Internal, InternalId$1 as InternalId, InternalIds$1 as InternalIds, Internals$1 as Internals, Invoice$1 as Invoice, InvoiceId$1 as InvoiceId, InvoiceIds$1 as InvoiceIds, InvoiceStatus$1 as InvoiceStatus, Ip$1 as Ip, IpAddress$1 as IpAddress, IpV4$1 as IpV4, IpV6$1 as IpV6, IsDebug$1 as IsDebug, IsDirty$1 as IsDirty, IsEnable$1 as IsEnable, IsNullable$1 as IsNullable, IsProduction$1 as IsProduction, IsTrial$1 as IsTrial, Iso$1 as Iso, Iss$1 as Iss, Issue$1 as Issue, IssueId$1 as IssueId, IssueIds$1 as IssueIds, Issuer$1 as Issuer, Issues$1 as Issues, Item$1 as Item, ItemId$1 as ItemId, ItemIds$1 as ItemIds, ItemName$1 as ItemName, Items$1 as Items, Job$1 as Job, JobId$1 as JobId, JobIds$1 as JobIds, Jobs$1 as Jobs, Json$1 as Json, KID$1 as KID, KeepAliveTimeout$1 as KeepAliveTimeout, Key$1 as Key, KeyId$1 as KeyId, KeyIds$1 as KeyIds, KeyName$1 as KeyName, Keys$1 as Keys, Keyword$1 as Keyword, Keywords$1 as Keywords, Kind$1 as Kind, Lable$1 as Lable, Language$1 as Language, Languages$1 as Languages, LastName$1 as LastName, Left$1 as Left, Length$1 as Length, Letter$1 as Letter, LetterId$1 as LetterId, LetterIds$1 as LetterIds, Letters$1 as Letters, Level$1 as Level, LevelId$1 as LevelId, LevelIds$1 as LevelIds, Levels$1 as Levels, License$1 as License, Lifo$1 as Lifo, Limit$1 as Limit, Limited$1 as Limited, Link$1 as Link, Links$1 as Links, List$1 as List, ListId$1 as ListId, ListIds$1 as ListIds, Listener$1 as Listener, ListenerId$1 as ListenerId, ListenerIds$1 as ListenerIds, Listeners$1 as Listeners, Lists$1 as Lists, Load$1 as Load, Local$1 as Local, LocalEnv$1 as LocalEnv, Localhost$1 as Localhost, Location$1 as Location, LocationId$1 as LocationId, LocationIds$1 as LocationIds, LocationName$1 as LocationName, Locations$1 as Locations, Log$1 as Log, LogGroup$1 as LogGroup, LogGroups$1 as LogGroups, LogLevel$1 as LogLevel, LogLevels$1 as LogLevels, Logger$1 as Logger, Logging$1 as Logging, Login$1 as Login, Logs$1 as Logs, Main$1 as Main, Margin$1 as Margin, MarginBottom$1 as MarginBottom, MarginLeft$1 as MarginLeft, MarginRight$1 as MarginRight, Marked$1 as Marked, Master$1 as Master, MasterId$1 as MasterId, MasterIds$1 as MasterIds, Masters$1 as Masters, Material$1 as Material, MaterialId$1 as MaterialId, MaterialIds$1 as MaterialIds, Materials$1 as Materials, Matrix$1 as Matrix, Max$1 as Max, MaxLength$1 as MaxLength, Merchant$1 as Merchant, MerchantId$1 as MerchantId, MerchantIds$1 as MerchantIds, Merchants$1 as Merchants, Message$1 as Message, MessageId$1 as MessageId, MessageIds$1 as MessageIds, Messages$1 as Messages, Meta$1 as Meta, Metadata$1 as Metadata, Method$1 as Method, Methods$1 as Methods, Metric$1 as Metric, MetricId$1 as MetricId, MetricIds$1 as MetricIds, Metrics$1 as Metrics, Middleware$1 as Middleware, Migration$1 as Migration, Migrations$1 as Migrations, Milliseconds$1 as Milliseconds, MimeType$1 as MimeType, Min$1 as Min, MinLength$1 as MinLength, Minutes$1 as Minutes, Missing$1 as Missing, MissingId$1 as MissingId, MissingIds$1 as MissingIds, MissingName$1 as MissingName, Missings$1 as Missings, Mode$1 as Mode, Model$1 as Model, ModelId$1 as ModelId, ModelIds$1 as ModelIds, ModelName$1 as ModelName, Models$1 as Models, Modes$1 as Modes, Module$1 as Module, Modules$1 as Modules, Months$1 as Months, Multiplier$1 as Multiplier, Mutable$1 as Mutable, Name$1 as Name, Namespace$1 as Namespace, NamespaceId$1 as NamespaceId, NamespaceIds$1 as NamespaceIds, Namespaces$1 as Namespaces, Next$1 as Next, NextDate$1 as NextDate, NextPageUrl$1 as NextPageUrl, Node$1 as Node, NodeId$1 as NodeId, NodeIds$1 as NodeIds, Nodes$1 as Nodes, Note$1 as Note, NoteId$1 as NoteId, NoteIds$1 as NoteIds, Notes$1 as Notes, Notification$1 as Notification, NotificationId$1 as NotificationId, NotificationIds$1 as NotificationIds, NotificationType$1 as NotificationType, Notifications$1 as Notifications, Nulluble$1 as Nulluble, OS$1 as OS, Object$2 as Object, ObjectId$1 as ObjectId, ObjectIds$1 as ObjectIds, ObjectiveType$1 as ObjectiveType, Objects$1 as Objects, Offer$1 as Offer, OfferId$1 as OfferId, OfferIds$1 as OfferIds, Offers$1 as Offers, Offset$1 as Offset, OffsetX$1 as OffsetX, OffsetY$1 as OffsetY, OffsetZ$1 as OffsetZ, Offsets$1 as Offsets, OnCreate$1 as OnCreate, OnDelete$1 as OnDelete, OnUpdate$1 as OnUpdate, Option$1 as Option, Options$1 as Options, Order$1 as Order, OrderId$1 as OrderId, OrderIds$1 as OrderIds, Ordered$1 as Ordered, Orders$1 as Orders, Origin$1 as Origin, OriginId$1 as OriginId, OriginIds$1 as OriginIds, Origins$1 as Origins, Owner$1 as Owner, OwnerId$1 as OwnerId, OwnerIds$1 as OwnerIds, OwnerName$1 as OwnerName, Owners$1 as Owners, PID$1 as PID, PIN$1 as PIN, PUK$1 as PUK, Package$1 as Package, PackageId$1 as PackageId, PackageIds$1 as PackageIds, PackageName$1 as PackageName, Packages$1 as Packages, Padding$1 as Padding, PaddingBottom$1 as PaddingBottom, PaddingLeft$1 as PaddingLeft, PaddingRight$1 as PaddingRight, Page$1 as Page, PageId$1 as PageId, PageIds$1 as PageIds, PageInfo$1 as PageInfo, PageSize$1 as PageSize, PageUrl$1 as PageUrl, Pagination$1 as Pagination, Paging$1 as Paging, Param$1 as Param, Params$1 as Params, Part$1 as Part, PartId$1 as PartId, PartIds$1 as PartIds, Parts$1 as Parts, Password$1 as Password, Path$1 as Path, Paths$1 as Paths, Pause$1 as Pause, Paused$1 as Paused, PausedAt$1 as PausedAt, PausedFrom$1 as PausedFrom, PausedTo$1 as PausedTo, Payer$1 as Payer, PayerId$1 as PayerId, PayerIds$1 as PayerIds, Payers$1 as Payers, Payload$1 as Payload, Payment$1 as Payment, PaymentId$1 as PaymentId, PaymentIds$1 as PaymentIds, PaymentNumber$1 as PaymentNumber, Payments$1 as Payments, PaymentsNumber$1 as PaymentsNumber, Permission$1 as Permission, PermissionId$1 as PermissionId, PermissionIds$1 as PermissionIds, Permissions$1 as Permissions, PhoneNumber$1 as PhoneNumber, PixelCode$1 as PixelCode, Placement$1 as Placement, PlacementId$1 as PlacementId, PlacementIds$1 as PlacementIds, Placements$1 as Placements, Platform$1 as Platform, PlatformId$1 as PlatformId, PlatformIds$1 as PlatformIds, PlatformName$1 as PlatformName, Platforms$1 as Platforms, Player$1 as Player, PlayerId$1 as PlayerId, PlayerIds$1 as PlayerIds, Players$1 as Players, Point$1 as Point, PointId$1 as PointId, PointIds$1 as PointIds, Pointer$1 as Pointer, Points$1 as Points, Port$1 as Port, Possition$1 as Possition, PossitionX$1 as PossitionX, PossitionY$1 as PossitionY, PossitionZ$1 as PossitionZ, Possitions$1 as Possitions, Post$1 as Post, PostId$1 as PostId, PostIds$1 as PostIds, PostalCode$1 as PostalCode, Posts$1 as Posts, Preferences$1 as Preferences, Prefix$1 as Prefix, Price$1 as Price, Primary$1 as Primary, Priority$1 as Priority, Private$1 as Private, PrivateKey$1 as PrivateKey, Prod$1 as Prod, Product$1 as Product, ProductId$1 as ProductId, ProductIds$1 as ProductIds, ProductName$1 as ProductName, Production$1 as Production, Products$1 as Products, Profile$1 as Profile, ProfileId$1 as ProfileId, ProfileIds$1 as ProfileIds, Profiles$1 as Profiles, Project$1 as Project, ProjectId$1 as ProjectId, ProjectIds$1 as ProjectIds, Projects$1 as Projects, Properties$1 as Properties, Property$1 as Property, PropertyId$1 as PropertyId, PropertyIds$1 as PropertyIds, Props$1 as Props, Provider$1 as Provider, Providers$1 as Providers, Public$1 as Public, PublicKey$1 as PublicKey, PublicPath$1 as PublicPath, Publication$1 as Publication, PublicationId$1 as PublicationId, PublicationIds$1 as PublicationIds, Publications$1 as Publications, Published$1 as Published, PublishedAt$1 as PublishedAt, Publisher$1 as Publisher, PublisherId$1 as PublisherId, PublisherIds$1 as PublisherIds, PublisherName$1 as PublisherName, Publishers$1 as Publishers, Purchase$1 as Purchase, PurchaseDate$1 as PurchaseDate, PurchaseId$1 as PurchaseId, PurchaseIds$1 as PurchaseIds, PurchaseName$1 as PurchaseName, PurchaseToken$1 as PurchaseToken, PurchaseType$1 as PurchaseType, Purchases$1 as Purchases, Quantity$1 as Quantity, Queries$1 as Queries, Query$1 as Query, Question$1 as Question, QuestionId$1 as QuestionId, QuestionIds$1 as QuestionIds, Questions$1 as Questions, Queue$1 as Queue, QueueId$1 as QueueId, QueueIds$1 as QueueIds, QueueName$1 as QueueName, QueueUrl$1 as QueueUrl, Queues$1 as Queues, Radius$1 as Radius, Range$1 as Range, Ranges$1 as Ranges, Ratio$1 as Ratio, Raw$1 as Raw, RawBody$1 as RawBody, Reason$1 as Reason, ReasonId$1 as ReasonId, ReasonIds$1 as ReasonIds, Reasons$1 as Reasons, Receipt$1 as Receipt, ReceiptId$1 as ReceiptId, ReceiptIds$1 as ReceiptIds, Receipts$1 as Receipts, Redis$1 as Redis, Ref$1 as Ref, Reference$1 as Reference, References$1 as References, Referrer$1 as Referrer, RefreshToken$1 as RefreshToken, RefundedAt$1 as RefundedAt, Region$1 as Region, RegionCode$1 as RegionCode, Regions$1 as Regions, Relation$1 as Relation, RelationId$1 as RelationId, RelationIds$1 as RelationIds, Relations$1 as Relations, Remote$1 as Remote, Remove$1 as Remove, Replica$1 as Replica, ReplicaId$1 as ReplicaId, ReplicaIds$1 as ReplicaIds, ReplicaName$1 as ReplicaName, ReplicaUrl$1 as ReplicaUrl, Replicas$1 as Replicas, Replication$1 as Replication, ReplicationId$1 as ReplicationId, ReplicationIds$1 as ReplicationIds, Replications$1 as Replications, Report$1 as Report, ReportId$1 as ReportId, ReportIds$1 as ReportIds, Reports$1 as Reports, Repositories$1 as Repositories, Repository$1 as Repository, RepositoryUrl$1 as RepositoryUrl, Req$1 as Req, Request$1 as Request, RequestId$1 as RequestId, RequestIds$1 as RequestIds, Requests$1 as Requests, Res$1 as Res, Resource$1 as Resource, ResourceId$1 as ResourceId, ResourceIds$1 as ResourceIds, ResourceName$1 as ResourceName, ResourcePath$1 as ResourcePath, ResourceUrl$1 as ResourceUrl, Resources$1 as Resources, Response$1 as Response, ResponseId$1 as ResponseId, ResponseIds$1 as ResponseIds, Responses$1 as Responses, Result$1 as Result, ResultId$1 as ResultId, ResultIds$1 as ResultIds, Results$1 as Results, Retry$1 as Retry, RetryCount$1 as RetryCount, Right$1 as Right, Role$1 as Role, RoleId$1 as RoleId, RoleIds$1 as RoleIds, RoleName$1 as RoleName, Roles$1 as Roles, Rotation$1 as Rotation, RotationX$1 as RotationX, RotationY$1 as RotationY, RotationZ$1 as RotationZ, Rotations$1 as Rotations, Route$1 as Route, Routes$1 as Routes, Row$1 as Row, RowId$1 as RowId, RowIds$1 as RowIds, Rows$1 as Rows, SETID$1 as SETID, SSL$1 as SSL, Salt$1 as Salt, Scale$1 as Scale, ScaleX$1 as ScaleX, ScaleY$1 as ScaleY, ScaleZ$1 as ScaleZ, Scales$1 as Scales, Scenario$1 as Scenario, ScenarioId$1 as ScenarioId, ScenarioIds$1 as ScenarioIds, Scenarios$1 as Scenarios, Schedule$1 as Schedule, Scheduled$1 as Scheduled, Scheduler$1 as Scheduler, Schema$1 as Schema, SchemaId$1 as SchemaId, SchemaIds$1 as SchemaIds, SchemaName$1 as SchemaName, Schemas$1 as Schemas, Scope$1 as Scope, Scopes$1 as Scopes, Screen$1 as Screen, Sdk$1 as Sdk, Secondary$1 as Secondary, Seconds$1 as Seconds, Secret$1 as Secret, SecretKey$1 as SecretKey, Select$1 as Select, Selected$1 as Selected, Selector$1 as Selector, Sender$1 as Sender, SenderId$1 as SenderId, SenderIds$1 as SenderIds, SenderName$1 as SenderName, Senders$1 as Senders, Separator$1 as Separator, Sequence$1 as Sequence, SequenceId$1 as SequenceId, SequenceIds$1 as SequenceIds, Sequences$1 as Sequences, Server$1 as Server, ServerHost$1 as ServerHost, ServerPort$1 as ServerPort, ServerUrl$1 as ServerUrl, Service$1 as Service, ServiceId$1 as ServiceId, ServiceIds$1 as ServiceIds, ServiceName$1 as ServiceName, ServicePath$1 as ServicePath, ServiceUrl$1 as ServiceUrl, Services$1 as Services, Session$1 as Session, SessionId$1 as SessionId, SessionIds$1 as SessionIds, Sessions$1 as Sessions, Set$1 as Set, SetId$1 as SetId, SetIds$1 as SetIds, Sets$1 as Sets, Settings$1 as Settings, Setup$1 as Setup, SetupId$1 as SetupId, SetupIds$1 as SetupIds, Setups$1 as Setups, ShutdownDelay$1 as ShutdownDelay, Signature$1 as Signature, Since$1 as Since, Size$1 as Size, Skip$1 as Skip, Slack$1 as Slack, Slave$1 as Slave, SlaveId$1 as SlaveId, SlaveIds$1 as SlaveIds, Slaves$1 as Slaves, Snapshot$1 as Snapshot, SnapshotId$1 as SnapshotId, SnapshotIds$1 as SnapshotIds, SnapshotUrl$1 as SnapshotUrl, Snapshots$1 as Snapshots, Sort$1 as Sort, Source$1 as Source, Spend$1 as Spend, Spends$1 as Spends, Stage$1 as Stage, StartDate$1 as StartDate, StartTime$1 as StartTime, StartedAt$1 as StartedAt, State$1 as State, States$1 as States, Stats$1 as Stats, Status$1 as Status, Strategies$1 as Strategies, Strategy$1 as Strategy, StrategyId$1 as StrategyId, StrategyIds$1 as StrategyIds, StrategyName$1 as StrategyName, Stream$1 as Stream, StreamId$1 as StreamId, StreamIds$1 as StreamIds, StreamName$1 as StreamName, Streams$1 as Streams, Subject$1 as Subject, SubjectId$1 as SubjectId, SubjectIds$1 as SubjectIds, Subjects$1 as Subjects, Subscriber$1 as Subscriber, SubscriberId$1 as SubscriberId, SubscriberIds$1 as SubscriberIds, Subscribers$1 as Subscribers, Subscription$1 as Subscription, SubscriptionId$1 as SubscriptionId, SubscriptionIds$1 as SubscriptionIds, Subscriptions$1 as Subscriptions, Success$1 as Success, Sum$1 as Sum, Summary$1 as Summary, Synchronize$1 as Synchronize, Table$1 as Table, TableId$1 as TableId, TableIds$1 as TableIds, TableName$1 as TableName, Tables$1 as Tables, Tag$1 as Tag, TagId$1 as TagId, TagIds$1 as TagIds, Tags$1 as Tags, Take$1 as Take, Target$1 as Target, TargetId$1 as TargetId, TargetIds$1 as TargetIds, Targets$1 as Targets, Task$1 as Task, TaskId$1 as TaskId, TaskIds$1 as TaskIds, Tasks$1 as Tasks, Taxes$1 as Taxes, Template$1 as Template, TemplateId$1 as TemplateId, TemplateIds$1 as TemplateIds, TemplateName$1 as TemplateName, TemplatePath$1 as TemplatePath, TemplateUrl$1 as TemplateUrl, Templates$1 as Templates, Text$1 as Text, TextSize$1 as TextSize, Throttle$1 as Throttle, ThrottleMs$1 as ThrottleMs, ThrottleSec$1 as ThrottleSec, Ticket$1 as Ticket, TicketId$1 as TicketId, TicketIds$1 as TicketIds, Tickets$1 as Tickets, Tiktok$1 as Tiktok, Time$1 as Time, TimeRange$1 as TimeRange, TimeUtc$1 as TimeUtc, Timeout$1 as Timeout, Timer$1 as Timer, Timestamp$1 as Timestamp, TimestampUtc$1 as TimestampUtc, Timezone$1 as Timezone, TimezoneOffset$1 as TimezoneOffset, Title$1 as Title, Tmp$1 as Tmp, TmpPath$1 as TmpPath, ToDate$1 as ToDate, Token$1 as Token, TokenId$1 as TokenId, TokenIds$1 as TokenIds, TokenType$1 as TokenType, Tokens$1 as Tokens, Tool$1 as Tool, ToolId$1 as ToolId, ToolIds$1 as ToolIds, Tools$1 as Tools, Top$1 as Top, Topic$1 as Topic, TopicId$1 as TopicId, TopicIds$1 as TopicIds, TopicName$1 as TopicName, Topics$1 as Topics, TotalClicks$1 as TotalClicks, TotalCount$1 as TotalCount, TotalImpressions$1 as TotalImpressions, TotalInstalls$1 as TotalInstalls, TotalNumber$1 as TotalNumber, TotalSpend$1 as TotalSpend, Town$1 as Town, Transaction$1 as Transaction, TransactionId$1 as TransactionId, TransactionIds$1 as TransactionIds, TransactionToken$1 as TransactionToken, Transactions$1 as Transactions, Transformer$1 as Transformer, Trial$1 as Trial, Ttl$1 as Ttl, TtlMs$1 as TtlMs, TtlSec$1 as TtlSec, Type$1 as Type, TypeId$1 as TypeId, TypeIds$1 as TypeIds, Types$1 as Types, UUID$1 as UUID, Unique$1 as Unique, UniqueId$1 as UniqueId, UniqueIds$1 as UniqueIds, Uniques$1 as Uniques, Until$1 as Until, Update$1 as Update, UpdatedAt$1 as UpdatedAt, Uri$1 as Uri, Url$1 as Url, User$1 as User, UserAgent$1 as UserAgent, UserData$1 as UserData, UserId$1 as UserId, UserIds$1 as UserIds, UserName$1 as UserName, UserPassword$1 as UserPassword, UserProperties$1 as UserProperties, Username$1 as Username, Users$1 as Users, Utc$1 as Utc, Value$1 as Value, Values$1 as Values, Vars$1 as Vars, Vector$1 as Vector, VendorId$1 as VendorId, VendorIds$1 as VendorIds, Verbose$1 as Verbose, Version$1 as Version, Video$1 as Video, VideoId$1 as VideoId, VideoIds$1 as VideoIds, VideoName$1 as VideoName, VideoUrl$1 as VideoUrl, Videos$1 as Videos, View$1 as View, ViewId$1 as ViewId, ViewIds$1 as ViewIds, Views$1 as Views, Visitor$1 as Visitor, VisitorId$1 as VisitorId, VisitorIds$1 as VisitorIds, Visitors$1 as Visitors, Warning$1 as Warning, Web$1 as Web, Webhook$1 as Webhook, WebhookUrl$1 as WebhookUrl, Webhooks$1 as Webhooks, Week$1 as Week, Weeks$1 as Weeks, Weight$1 as Weight, Where$1 as Where, Whitelist$1 as Whitelist, Width$1 as Width, Workspace$1 as Workspace, WorkspaceId$1 as WorkspaceId, WorkspaceIds$1 as WorkspaceIds, Workspaces$1 as Workspaces, X$1 as X, Y$1 as Y, Year$1 as Year, Years$1 as Years, Z$1 as Z, ZIndex$1 as ZIndex, Zip$1 as Zip, ZipCode$1 as ZipCode, Ziped$1 as Ziped };
}

interface Constructor$1<T extends object> extends Function {
    new (...args: any[]): T;
}
interface PropertySelector<T extends object, K extends keyof T = keyof T> {
    (object: T): T[K];
}
interface InstanceFactory<in out T extends object> {
    empty(): T;
    from(args: T): T;
}

declare function fromJson<T extends object>(value: string, factory?: (args: any) => T): T | undefined;
declare function toJson<T extends object>(value: T): string | undefined;
declare function deepCopy<T extends object>(data: T): T | undefined;
declare const isNil: (value: unknown) => value is null | undefined;
declare const exact: <T extends object>(arg: T) => T;
declare const mutating: <T extends object>(arg: T) => Mutable$2<T>;
declare const strictAssign: <T1 extends object, T2 extends Reflect<T1>>(instance: T1, args: T2) => T1;

type AAID<T = unknown> = {
    aaid: T;
};
type About<T = unknown> = {
    about: T;
};
type AccessKey<T = unknown> = {
    access_key: T;
};
type AccessKeyId<T = unknown> = {
    access_key_id: T;
};
type AccessKeyName<T = unknown> = {
    access_key_name: T;
};
type AccessPoint<T = unknown> = {
    access_point: T;
};
type AccessToken<T = unknown> = {
    access_token: T;
};
type Account<T = unknown> = {
    account: T;
};
type AccountId<T = unknown> = {
    account_id: T;
};
type AccountIds<T = unknown> = {
    account_ids: T;
};
type AccountName<T = unknown> = {
    account_name: T;
};
type Accounts<T = unknown> = {
    accounts: T;
};
type Action<T = unknown> = {
    action: T;
};
type Activator<T = unknown> = {
    activator: T;
};
type ActivatorId<T = unknown> = {
    activator_id: T;
};
type ActivatorIds<T = unknown> = {
    activator_ids: T;
};
type ActivatorName<T = unknown> = {
    activator_name: T;
};
type Activators<T = unknown> = {
    activators: T;
};
type Ad<T = unknown> = {
    ad: T;
};
type AdGroup<T = unknown> = {
    adgroup: T;
};
type AdGroupId<T = unknown> = {
    adgroup_id: T;
};
type AdGroupIds<T = unknown> = {
    adgroup_ids: T;
};
type AdGroupName<T = unknown> = {
    adgroup_name: T;
};
type AdId<T = unknown> = {
    ad_id: T;
};
type AdIds<T = unknown> = {
    ad_ids: T;
};
type AdName<T = unknown> = {
    ad_name: T;
};
type Add<T = unknown> = {
    add: T;
};
type Address<T = unknown> = {
    address: T;
};
type Addresses<T = unknown> = {
    addresses: T;
};
type Adgroups<T = unknown> = {
    adgroups: T;
};
type Admin<T = unknown> = {
    admin: T;
};
type AdminId<T = unknown> = {
    admin_id: T;
};
type AdminIds<T = unknown> = {
    admin_ids: T;
};
type Admins<T = unknown> = {
    admins: T;
};
type Ads<T = unknown> = {
    ads: T;
};
type Adset<T = unknown> = {
    adset: T;
};
type AdsetId<T = unknown> = {
    adset_id: T;
};
type AdsetIds<T = unknown> = {
    adset_ids: T;
};
type AdsetName<T = unknown> = {
    adset_name: T;
};
type Advertiser<T = unknown> = {
    advertiser: T;
};
type AdvertiserId<T = unknown> = {
    advertiser_id: T;
};
type AdvertiserIds<T = unknown> = {
    advertiser_ids: T;
};
type Advertisers<T = unknown> = {
    advertisers: T;
};
type Age<T = unknown> = {
    age: T;
};
type AgeGroup<T = unknown> = {
    age_group: T;
};
type Airtable<T = unknown> = {
    airtable: T;
};
type Albom<T = unknown> = {
    albom: T;
};
type AlbomId<T = unknown> = {
    albom_id: T;
};
type AlbomIds<T = unknown> = {
    albom_ids: T;
};
type AlbomName<T = unknown> = {
    albom_name: T;
};
type Alboms<T = unknown> = {
    alboms: T;
};
type Alg<T = unknown> = {
    alg: T;
};
type Alias<T = unknown> = {
    alias: T;
};
type Align<T = unknown> = {
    align: T;
};
type All<T = unknown> = {
    all: T;
};
type Amount<T = unknown> = {
    amount: T;
};
type Amplitude<T = unknown> = {
    amplitude: T;
};
type Android<T = unknown> = {
    android: T;
};
type Answer<T = unknown> = {
    answer: T;
};
type AnswerId<T = unknown> = {
    answer_id: T;
};
type AnswerIds<T = unknown> = {
    answer_ids: T;
};
type Answers<T = unknown> = {
    answers: T;
};
type Api<T = unknown> = {
    api: T;
};
type ApiKey<T = unknown> = {
    api_key: T;
};
type ApiKeys<T = unknown> = {
    api_keys: T;
};
type ApiSecret<T = unknown> = {
    api_secret: T;
};
type ApiUrl<T = unknown> = {
    api_url: T;
};
type App<T = unknown> = {
    app: T;
};
type AppId<T = unknown> = {
    app_id: T;
};
type AppIds<T = unknown> = {
    app_ids: T;
};
type Apple<T = unknown> = {
    apple: T;
};
type Application<T = unknown> = {
    application: T;
};
type ApplicationId<T = unknown> = {
    application_id: T;
};
type ApplicationIds<T = unknown> = {
    application_ids: T;
};
type Applications<T = unknown> = {
    applications: T;
};
type Applovin<T = unknown> = {
    applovin: T;
};
type Apps<T = unknown> = {
    apps: T;
};
type Appsflayer<T = unknown> = {
    appsflayer: T;
};
type AppslyerId<T = unknown> = {
    appsflyer_id: T;
};
type Arg<T = unknown> = {
    arg: T;
};
type Args<T = unknown> = {
    args: T;
};
type Asset<T = unknown> = {
    asset: T;
};
type AssetHash<T = unknown> = {
    asset_hash: T;
};
type AssetId<T = unknown> = {
    asset_id: T;
};
type AssetIds<T = unknown> = {
    asset_ids: T;
};
type AssetName<T = unknown> = {
    asset_name: T;
};
type Assets<T = unknown> = {
    assets: T;
};
type Attempt<T = unknown> = {
    attempt: T;
};
type Attempts<T = unknown> = {
    attempts: T;
};
type Attribute<T = unknown> = {
    attribute: T;
};
type AttributeId<T = unknown> = {
    attribute_id: T;
};
type AttributeIds<T = unknown> = {
    attribute_ids: T;
};
type Attributes<T = unknown> = {
    attributes: T;
};
type Auth<T = unknown> = {
    auth: T;
};
type AuthProvider<T = unknown> = {
    auth_provider: T;
};
type Authorized<T = unknown> = {
    authorized: T;
};
type Auto<T = unknown> = {
    auto: T;
};
type AutoLoad<T = unknown> = {
    auto_load: T;
};
type AutoRun<T = unknown> = {
    auto_run: T;
};
type Aws<T = unknown> = {
    aws: T;
};
type BID<T = unknown> = {
    bid: T;
};
type Background<T = unknown> = {
    background: T;
};
type BackgroundColor<T = unknown> = {
    background_color: T;
};
type Badge<T = unknown> = {
    badge: T;
};
type BadgeId<T = unknown> = {
    badge_id: T;
};
type BadgeIds<T = unknown> = {
    badge_ids: T;
};
type Badges<T = unknown> = {
    badges: T;
};
type BaseUrl<T = unknown> = {
    base_url: T;
};
type Blacklist<T = unknown> = {
    blacklist: T;
};
type Block<T = unknown> = {
    block: T;
};
type BlockId<T = unknown> = {
    block_id: T;
};
type BlockIds<T = unknown> = {
    block_ids: T;
};
type Blocked<T = unknown> = {
    blocked: T;
};
type Blocks<T = unknown> = {
    blocks: T;
};
type Blueprint<T = unknown> = {
    blueprint: T;
};
type BlueprintId<T = unknown> = {
    blueprint_id: T;
};
type BlueprintIds<T = unknown> = {
    blueprint_ids: T;
};
type BlueprintName<T = unknown> = {
    blueprint_name: T;
};
type Blueprints<T = unknown> = {
    blueprints: T;
};
type Body<T = unknown> = {
    body: T;
};
type Border<T = unknown> = {
    border: T;
};
type Bottom<T = unknown> = {
    bottom: T;
};
type Bucket<T = unknown> = {
    bucket: T;
};
type BucketId<T = unknown> = {
    bucket_id: T;
};
type BucketIds<T = unknown> = {
    bucket_ids: T;
};
type BucketName<T = unknown> = {
    bucket_name: T;
};
type BucketUrl<T = unknown> = {
    bucket_url: T;
};
type Buckets<T = unknown> = {
    buckets: T;
};
type Budget<T = unknown> = {
    budget: T;
};
type BudgetMode<T = unknown> = {
    budget_mode: T;
};
type Buffer<T = unknown> = {
    buffer: T;
};
type Builder<T = unknown> = {
    builder: T;
};
type Bundle<T = unknown> = {
    bundle: T;
};
type BundleId<T = unknown> = {
    bundle_id: T;
};
type BundleIds<T = unknown> = {
    bundle_ids: T;
};
type Bundles<T = unknown> = {
    bundles: T;
};
type Cache<T = unknown> = {
    cache: T;
};
type CacheId<T = unknown> = {
    cache_id: T;
};
type CacheIds<T = unknown> = {
    cache_ids: T;
};
type CacheKey<T = unknown> = {
    cache_key: T;
};
type Callback<T = unknown> = {
    callback: T;
};
type Calls<T = unknown> = {
    calls: T;
};
type Campaign<T = unknown> = {
    campaign: T;
};
type CampaignId<T = unknown> = {
    campaign_id: T;
};
type CampaignIds<T = unknown> = {
    campaign_ids: T;
};
type CampaignName<T = unknown> = {
    campaign_name: T;
};
type CampaignNames<T = unknown> = {
    campaign_names: T;
};
type Campaigns<T = unknown> = {
    campaigns: T;
};
type Cancel<T = unknown> = {
    cancel: T;
};
type Canceled<T = unknown> = {
    canceled: T;
};
type Card<T = unknown> = {
    card: T;
};
type CardId<T = unknown> = {
    card_id: T;
};
type CardIds<T = unknown> = {
    card_ids: T;
};
type Cards<T = unknown> = {
    cards: T;
};
type Cascade<T = unknown> = {
    cascade: T;
};
type Categories<T = unknown> = {
    categories: T;
};
type Category<T = unknown> = {
    category: T;
};
type CategoryId<T = unknown> = {
    category_id: T;
};
type CategoryIds<T = unknown> = {
    category_ids: T;
};
type CategoryName<T = unknown> = {
    category_name: T;
};
type Cert<T = unknown> = {
    cert: T;
};
type Certificate<T = unknown> = {
    certificate: T;
};
type CertificateId<T = unknown> = {
    certificat_id: T;
};
type CertificateIds<T = unknown> = {
    certificat_ids: T;
};
type Certificates<T = unknown> = {
    certificates: T;
};
type Channel<T = unknown> = {
    channel: T;
};
type ChannelId<T = unknown> = {
    channel_id: T;
};
type ChannelIds<T = unknown> = {
    channel_ids: T;
};
type ChannelName<T = unknown> = {
    channel_name: T;
};
type Channels<T = unknown> = {
    channels: T;
};
type ChargedAt<T = unknown> = {
    charged_at: T;
};
type Chunk<T = unknown> = {
    chunk: T;
};
type ChunkId<T = unknown> = {
    chunk_id: T;
};
type ChunkIds<T = unknown> = {
    chunk_ids: T;
};
type ChunkSize<T = unknown> = {
    chunk_size: T;
};
type Chunks<T = unknown> = {
    chunks: T;
};
type City<T = unknown> = {
    city: T;
};
type Class<T = unknown> = {
    class: T;
};
type ClassId<T = unknown> = {
    class_id: T;
};
type ClassIds<T = unknown> = {
    class_ids: T;
};
type Classes<T = unknown> = {
    classes: T;
};
type ClickId<T = unknown> = {
    click_id: T;
};
type ClickIds<T = unknown> = {
    click_ids: T;
};
type Clicks<T = unknown> = {
    clicks: T;
};
type Client<T = unknown> = {
    client: T;
};
type ClientId<T = unknown> = {
    client_id: T;
};
type ClientIds<T = unknown> = {
    client_ids: T;
};
type Clients<T = unknown> = {
    clients: T;
};
type CloseConnectionTimeout<T = unknown> = {
    close_connection_timeout: T;
};
type Cluster<T = unknown> = {
    cluster: T;
};
type ClusterId<T = unknown> = {
    cluster_id: T;
};
type ClusterIds<T = unknown> = {
    cluster_ids: T;
};
type ClusterMode<T = unknown> = {
    cluster_mode: T;
};
type Clusters<T = unknown> = {
    clusters: T;
};
type Code<T = unknown> = {
    code: T;
};
type Codes<T = unknown> = {
    codes: T;
};
type Collection<T = unknown> = {
    collection: T;
};
type CollectionId<T = unknown> = {
    collection_id: T;
};
type CollectionIds<T = unknown> = {
    collection_ids: T;
};
type CollectionName<T = unknown> = {
    collection_name: T;
};
type Collections<T = unknown> = {
    collections: T;
};
type Color<T = unknown> = {
    color: T;
};
type Colors<T = unknown> = {
    colors: T;
};
type Column<T = unknown> = {
    column: T;
};
type ColumnId<T = unknown> = {
    column_id: T;
};
type ColumnIds<T = unknown> = {
    column_ids: T;
};
type ColumnName<T = unknown> = {
    column_name: T;
};
type Columns<T = unknown> = {
    columns: T;
};
type Comment<T = unknown> = {
    comment: T;
};
type CommentId<T = unknown> = {
    comment_id: T;
};
type CommentIds<T = unknown> = {
    comment_ids: T;
};
type Comments<T = unknown> = {
    comments: T;
};
type CompletedAt<T = unknown> = {
    completed_at: T;
};
type Compressed<T = unknown> = {
    compressed: T;
};
type Config<T = unknown> = {
    config: T;
};
type ConfigId<T = unknown> = {
    config_id: T;
};
type ConfigIds<T = unknown> = {
    config_ids: T;
};
type ConfigName<T = unknown> = {
    config_name: T;
};
type ConfigPath<T = unknown> = {
    config_path: T;
};
type ConfigUrl<T = unknown> = {
    config_url: T;
};
type Configs<T = unknown> = {
    configs: T;
};
type Constant<T = unknown> = {
    constant: T;
};
type Constraint<T = unknown> = {
    constraint: T;
};
type Constraints<T = unknown> = {
    constraints: T;
};
type Constructor<T = unknown> = {
    constructor: T;
};
type Consumer<T = unknown> = {
    consumer: T;
};
type ConsumerId<T = unknown> = {
    consumer_id: T;
};
type ConsumerIds<T = unknown> = {
    consumer_ids: T;
};
type Consumers<T = unknown> = {
    consumers: T;
};
type Content<T = unknown> = {
    content: T;
};
type ContentId<T = unknown> = {
    content_id: T;
};
type ContentIds<T = unknown> = {
    content_ids: T;
};
type Contents<T = unknown> = {
    contents: T;
};
type Context<T = unknown> = {
    context: T;
};
type Controller<T = unknown> = {
    controller: T;
};
type Controllers<T = unknown> = {
    controllers: T;
};
type Cors<T = unknown> = {
    cors: T;
};
type Cost<T = unknown> = {
    cost: T;
};
type Costs<T = unknown> = {
    costs: T;
};
type Count<T = unknown> = {
    count: T;
};
type Country<T = unknown> = {
    country: T;
};
type CountryCode<T = unknown> = {
    country_code: T;
};
type Create<T = unknown> = {
    create: T;
};
type CreatedAt<T = unknown> = {
    created_at: T;
};
type Creative<T = unknown> = {
    creative: T;
};
type CreativeId<T = unknown> = {
    creative_id: T;
};
type CreativeIds<T = unknown> = {
    creative_ids: T;
};
type CreativeName<T = unknown> = {
    creative_name: T;
};
type Creatives<T = unknown> = {
    creatives: T;
};
type Credentials<T = unknown> = {
    credentials: T;
};
type Csv<T = unknown> = {
    csv: T;
};
type Currencies<T = unknown> = {
    currencies: T;
};
type Currency<T = unknown> = {
    currency: T;
};
type CurrencyCode<T = unknown> = {
    currency_code: T;
};
type Cursor<T = unknown> = {
    cursor: T;
};
type Customer<T = unknown> = {
    customer: T;
};
type CustomerEmail<T = unknown> = {
    customer_email: T;
};
type CustomerId<T = unknown> = {
    customer_id: T;
};
type CustomerIds<T = unknown> = {
    customer_ids: T;
};
type Customers<T = unknown> = {
    customers: T;
};
type Data<T = unknown> = {
    data: T;
};
type Database<T = unknown> = {
    database: T;
};
type DatabaseHost<T = unknown> = {
    database_host: T;
};
type DatabaseName<T = unknown> = {
    database_name: T;
};
type DatabasePort<T = unknown> = {
    database_port: T;
};
type DatabaseUrl<T = unknown> = {
    database_url: T;
};
type Databases<T = unknown> = {
    databases: T;
};
type Date<T = unknown> = {
    date: T;
};
type DateRange<T = unknown> = {
    date_range: T;
};
type DateStart<T = unknown> = {
    date_start: T;
};
type DateStop<T = unknown> = {
    date_stop: T;
};
type DateUtc<T = unknown> = {
    date_utc: T;
};
type Dates<T = unknown> = {
    dates: T;
};
type Day<T = unknown> = {
    day: T;
};
type Days<T = unknown> = {
    days: T;
};
type DeadLetter<T = unknown> = {
    dead_letter: T;
};
type DeadLetters<T = unknown> = {
    dead_letters: T;
};
type DeadLettersUrl<T = unknown> = {
    dead_letters_url: T;
};
type Debug<T = unknown> = {
    debug: T;
};
type Decrement<T = unknown> = {
    decrement: T;
};
type Default<T = unknown> = {
    default: T;
};
type DefaultId<T = unknown> = {
    default_id: T;
};
type DefaultIds<T = unknown> = {
    default_ids: T;
};
type Defaults<T = unknown> = {
    defaults: T;
};
type Delay<T = unknown> = {
    delay: T;
};
type DelayMs<T = unknown> = {
    delay_ms: T;
};
type DelaySec<T = unknown> = {
    delay_sec: T;
};
type Delete<T = unknown> = {
    delete: T;
};
type DeletedAt<T = unknown> = {
    deleted_at: T;
};
type Dependences<T = unknown> = {
    dependences: T;
};
type Depends<T = unknown> = {
    depends: T;
};
type DependsOn<T = unknown> = {
    depends_on: T;
};
type Depth<T = unknown> = {
    depth: T;
};
type Description<T = unknown> = {
    description: T;
};
type DescriptionId<T = unknown> = {
    description_id: T;
};
type DescriptionIds<T = unknown> = {
    description_ids: T;
};
type Descriptions<T = unknown> = {
    descriptions: T;
};
type Desktop<T = unknown> = {
    desktop: T;
};
type Detail<T = unknown> = {
    detail: T;
};
type DetailId<T = unknown> = {
    detail_id: T;
};
type DetailIds<T = unknown> = {
    detail_ids: T;
};
type Details<T = unknown> = {
    details: T;
};
type Dev<T = unknown> = {
    dev: T;
};
type DevKey<T = unknown> = {
    dev_key: T;
};
type Developer<T = unknown> = {
    developer: T;
};
type DeveloperId<T = unknown> = {
    developer_id: T;
};
type DeveloperIds<T = unknown> = {
    developer_ids: T;
};
type Developers<T = unknown> = {
    developers: T;
};
type Device<T = unknown> = {
    device: T;
};
type DeviceId<T = unknown> = {
    device_id: T;
};
type DeviceIds<T = unknown> = {
    device_ids: T;
};
type Devices<T = unknown> = {
    devices: T;
};
type Dict<T = unknown> = {
    dict: T;
};
type Dictionaries<T = unknown> = {
    dictionaries: T;
};
type Dictionary<T = unknown> = {
    dictionary: T;
};
type Dimension<T = unknown> = {
    dimension: T;
};
type Dimensions<T = unknown> = {
    dimensions: T;
};
type Directories<T = unknown> = {
    directories: T;
};
type Directory<T = unknown> = {
    directory: T;
};
type DirectoryName<T = unknown> = {
    directory_name: T;
};
type DirectoryPath<T = unknown> = {
    directory_path: T;
};
type Disabled<T = unknown> = {
    disabled: T;
};
type Discount<T = unknown> = {
    discount: T;
};
type DiscountId<T = unknown> = {
    discount_id: T;
};
type DiscountIds<T = unknown> = {
    discount_ids: T;
};
type Discounts<T = unknown> = {
    discounts: T;
};
type Display<T = unknown> = {
    display: T;
};
type Docs<T = unknown> = {
    docs: T;
};
type Document<T = unknown> = {
    document: T;
};
type DocumentId<T = unknown> = {
    document_id: T;
};
type DocumentIds<T = unknown> = {
    document_ids: T;
};
type Documents<T = unknown> = {
    documents: T;
};
type Domain<T = unknown> = {
    domain: T;
};
type DomainId<T = unknown> = {
    domain_id: T;
};
type DomainIds<T = unknown> = {
    domain_ids: T;
};
type DomainName<T = unknown> = {
    domain_name: T;
};
type DomainUrl<T = unknown> = {
    domain_url: T;
};
type Domains<T = unknown> = {
    domains: T;
};
type Dto<T = unknown> = {
    dto: T;
};
type Dtos<T = unknown> = {
    dtos: T;
};
type Duplicate<T = unknown> = {
    duplicate: T;
};
type DuplicateId<T = unknown> = {
    duplicate_id: T;
};
type DuplicateIds<T = unknown> = {
    duplicate_ids: T;
};
type DuplicateName<T = unknown> = {
    duplicate_name: T;
};
type Duplicates<T = unknown> = {
    duplicates: T;
};
type Duration<T = unknown> = {
    duration: T;
};
type Element<T = unknown> = {
    element: T;
};
type ElementId<T = unknown> = {
    element_id: T;
};
type ElementIds<T = unknown> = {
    element_ids: T;
};
type Elements<T = unknown> = {
    elements: T;
};
type Email<T = unknown> = {
    email: T;
};
type Employee<T = unknown> = {
    employee: T;
};
type EmployeeId<T = unknown> = {
    employee_id: T;
};
type EmployeeIds<T = unknown> = {
    employee_ids: T;
};
type Employees<T = unknown> = {
    employees: T;
};
type Employer<T = unknown> = {
    employer: T;
};
type EmployerId<T = unknown> = {
    employer_id: T;
};
type EmployerIds<T = unknown> = {
    employer_ids: T;
};
type Employers<T = unknown> = {
    employers: T;
};
type Enabled<T = unknown> = {
    enabled: T;
};
type Encoded<T = unknown> = {
    encoded: T;
};
type Encoding<T = unknown> = {
    encoding: T;
};
type EndDate<T = unknown> = {
    end_date: T;
};
type EndTime<T = unknown> = {
    end_time: T;
};
type Endpoint<T = unknown> = {
    endpoint: T;
};
type Endpoints<T = unknown> = {
    endpoints: T;
};
type Entities<T = unknown> = {
    entities: T;
};
type Entity<T = unknown> = {
    entity: T;
};
type EntityId<T = unknown> = {
    entity_id: T;
};
type EntityIds<T = unknown> = {
    entity_ids: T;
};
type Entries<T = unknown> = {
    entries: T;
};
type Entry<T = unknown> = {
    entry: T;
};
type EntryId<T = unknown> = {
    entry_id: T;
};
type EntryIds<T = unknown> = {
    entry_ids: T;
};
type Enum<T = unknown> = {
    enum: T;
};
type Env<T = unknown> = {
    env: T;
};
type EnvFilePath<T = unknown> = {
    env_file_path: T;
};
type EnvKey<T = unknown> = {
    env_key: T;
};
type EnvKeys<T = unknown> = {
    env_keys: T;
};
type Envar<T = unknown> = {
    envar: T;
};
type EnvarKey<T = unknown> = {
    envar_key: T;
};
type Envars<T = unknown> = {
    envars: T;
};
type Equals<T = unknown> = {
    equals: T;
};
type Error<T = unknown> = {
    error: T;
};
type Errors<T = unknown> = {
    errors: T;
};
type Event<T = unknown> = {
    event: T;
};
type EventId<T = unknown> = {
    event_id: T;
};
type EventIds<T = unknown> = {
    event_ids: T;
};
type EventName<T = unknown> = {
    event_name: T;
};
type EventProperties<T = unknown> = {
    event_properties: T;
};
type EventProperty<T = unknown> = {
    event_property: T;
};
type EventTime<T = unknown> = {
    event_time: T;
};
type EventType<T = unknown> = {
    event_type: T;
};
type Events<T = unknown> = {
    events: T;
};
type Exact<T = unknown> = {
    exact: T;
};
type Example<T = unknown> = {
    example: T;
};
type ExampleId<T = unknown> = {
    example_id: T;
};
type ExampleIds<T = unknown> = {
    example_ids: T;
};
type ExamplePath<T = unknown> = {
    example_path: T;
};
type ExampleUrl<T = unknown> = {
    example_url: T;
};
type Examples<T = unknown> = {
    examples: T;
};
type Exclude$1<T = unknown> = {
    exclude: T;
};
type ExcludePath<T = unknown> = {
    exclude_path: T;
};
type ExcludePaths<T = unknown> = {
    exclude_paths: T;
};
type Exists<T = unknown> = {
    exists: T;
};
type ExpireAt<T = unknown> = {
    expire_at: T;
};
type Expired<T = unknown> = {
    expired: T;
};
type ExpiredToken<T = unknown> = {
    expired_token: T;
};
type ExpiredTokens<T = unknown> = {
    expired_tokens: T;
};
type Expires<T = unknown> = {
    expires: T;
};
type Export<T = unknown> = {
    export: T;
};
type Exports<T = unknown> = {
    exports: T;
};
type ExposedHeaders<T = unknown> = {
    exposed_headers: T;
};
type Extention<T = unknown> = {
    extention: T;
};
type Extentions<T = unknown> = {
    extentions: T;
};
type External<T = unknown> = {
    external: T;
};
type ExternalId<T = unknown> = {
    external_id: T;
};
type ExternalIds<T = unknown> = {
    external_ids: T;
};
type Externals<T = unknown> = {
    externals: T;
};
type Facebook<T = unknown> = {
    facebook: T;
};
type Factory<T = unknown> = {
    factory: T;
};
type Fail<T = unknown> = {
    fail: T;
};
type Failed<T = unknown> = {
    failed: T;
};
type Fails<T = unknown> = {
    fails: T;
};
type Failure<T = unknown> = {
    failure: T;
};
type Feature<T = unknown> = {
    feature: T;
};
type FeatureId<T = unknown> = {
    feature_id: T;
};
type FeatureIds<T = unknown> = {
    feature_ids: T;
};
type FeatureName<T = unknown> = {
    feature_name: T;
};
type Features<T = unknown> = {
    features: T;
};
type Field<T = unknown> = {
    field: T;
};
type FieldId<T = unknown> = {
    field_id: T;
};
type FieldIds<T = unknown> = {
    field_ids: T;
};
type FieldName<T = unknown> = {
    field_name: T;
};
type Fields<T = unknown> = {
    fields: T;
};
type Fifo<T = unknown> = {
    fifo: T;
};
type File<T = unknown> = {
    file: T;
};
type FileId<T = unknown> = {
    file_id: T;
};
type FileIds<T = unknown> = {
    file_ids: T;
};
type FileName<T = unknown> = {
    file_name: T;
};
type FilePath<T = unknown> = {
    file_path: T;
};
type FileSize<T = unknown> = {
    file_size: T;
};
type Files<T = unknown> = {
    files: T;
};
type Filter<T = unknown> = {
    filter: T;
};
type FilterId<T = unknown> = {
    filter_id: T;
};
type FilterIds<T = unknown> = {
    filter_ids: T;
};
type Filters<T = unknown> = {
    filters: T;
};
type FinishedAt<T = unknown> = {
    finished_at: T;
};
type FirstName<T = unknown> = {
    first_name: T;
};
type Folder<T = unknown> = {
    folder: T;
};
type FolderId<T = unknown> = {
    folder_id: T;
};
type FolderIds<T = unknown> = {
    folder_ids: T;
};
type FolderPath<T = unknown> = {
    folder_path: T;
};
type Folders<T = unknown> = {
    folders: T;
};
type Font<T = unknown> = {
    font: T;
};
type FontFamily<T = unknown> = {
    font_family: T;
};
type FontId<T = unknown> = {
    font_id: T;
};
type FontIds<T = unknown> = {
    font_ids: T;
};
type FontName<T = unknown> = {
    font_name: T;
};
type FontPath<T = unknown> = {
    font_path: T;
};
type FontUrl<T = unknown> = {
    font_url: T;
};
type Fonts<T = unknown> = {
    fonts: T;
};
type Force<T = unknown> = {
    force: T;
};
type Form<T = unknown> = {
    form: T;
};
type FormId<T = unknown> = {
    form_id: T;
};
type FormIds<T = unknown> = {
    form_ids: T;
};
type Format<T = unknown> = {
    format: T;
};
type Formats<T = unknown> = {
    formats: T;
};
type Forms<T = unknown> = {
    forms: T;
};
type FromDate<T = unknown> = {
    from_date: T;
};
type FullName<T = unknown> = {
    full_name: T;
};
type GID<T = unknown> = {
    gid: T;
};
type GUID<T = unknown> = {
    guid: T;
};
type Game<T = unknown> = {
    game: T;
};
type GameId<T = unknown> = {
    game_id: T;
};
type GameIds<T = unknown> = {
    game_ids: T;
};
type Games<T = unknown> = {
    games: T;
};
type Gender<T = unknown> = {
    gender: T;
};
type Git<T = unknown> = {
    git: T;
};
type Gitignore<T = unknown> = {
    gitignore: T;
};
type Google<T = unknown> = {
    google: T;
};
type Group<T = unknown> = {
    group: T;
};
type GroupId<T = unknown> = {
    group_id: T;
};
type GroupIds<T = unknown> = {
    group_ids: T;
};
type GroupName<T = unknown> = {
    group_name: T;
};
type Groups<T = unknown> = {
    groups: T;
};
type Hash<T = unknown> = {
    hash: T;
};
type Header<T = unknown> = {
    header: T;
};
type Headers<T = unknown> = {
    headers: T;
};
type HeadersTimeout<T = unknown> = {
    headers_timeout: T;
};
type Height<T = unknown> = {
    height: T;
};
type Hidden<T = unknown> = {
    hidden: T;
};
type Home<T = unknown> = {
    home: T;
};
type Homepage<T = unknown> = {
    homepage: T;
};
type Hour<T = unknown> = {
    hour: T;
};
type Hours<T = unknown> = {
    hours: T;
};
type Html<T = unknown> = {
    html: T;
};
type HttpOptions<T = unknown> = {
    http_options: T;
};
type ID<T = unknown> = {
    id: T;
};
type IDFA<T = unknown> = {
    idfa: T;
};
type IDFV<T = unknown> = {
    idfv: T;
};
type IOS<T = unknown> = {
    ios: T;
};
type Icon<T = unknown> = {
    icon: T;
};
type IconId<T = unknown> = {
    icon_id: T;
};
type IconIds<T = unknown> = {
    icon_ids: T;
};
type IconPath<T = unknown> = {
    icon_path: T;
};
type IconUrl<T = unknown> = {
    icon_url: T;
};
type Icons<T = unknown> = {
    icons: T;
};
type Image<T = unknown> = {
    image: T;
};
type ImageId<T = unknown> = {
    image_id: T;
};
type ImageIds<T = unknown> = {
    image_ids: T;
};
type ImageName<T = unknown> = {
    image_name: T;
};
type ImagePath<T = unknown> = {
    image_path: T;
};
type ImageUrl<T = unknown> = {
    image_url: T;
};
type Images<T = unknown> = {
    images: T;
};
type Import<T = unknown> = {
    import: T;
};
type Imports<T = unknown> = {
    imports: T;
};
type Impression<T = unknown> = {
    impression: T;
};
type Impressions<T = unknown> = {
    impressions: T;
};
type Imutable<T = unknown> = {
    immutable: T;
};
type Include<T = unknown> = {
    include: T;
};
type IncludeId<T = unknown> = {
    include_id: T;
};
type IncludeIds<T = unknown> = {
    include_ids: T;
};
type IncludePath<T = unknown> = {
    include_path: T;
};
type IncludePaths<T = unknown> = {
    include_paths: T;
};
type Includes<T = unknown> = {
    includes: T;
};
type Increment<T = unknown> = {
    increment: T;
};
type Index<T = unknown> = {
    index: T;
};
type Info<T = unknown> = {
    info: T;
};
type Inject<T = unknown> = {
    inject: T;
};
type Insert<T = unknown> = {
    insert: T;
};
type Insights<T = unknown> = {
    insights: T;
};
type Installs<T = unknown> = {
    installs: T;
};
type Internal<T = unknown> = {
    internal: T;
};
type InternalId<T = unknown> = {
    internal_id: T;
};
type InternalIds<T = unknown> = {
    internal_ids: T;
};
type Internals<T = unknown> = {
    internals: T;
};
type Invoice<T = unknown> = {
    invoice: T;
};
type InvoiceId<T = unknown> = {
    invoice_id: T;
};
type InvoiceIds<T = unknown> = {
    invoice_ids: T;
};
type InvoiceStatus<T = unknown> = {
    invoice_status: T;
};
type Ip<T = unknown> = {
    ip: T;
};
type IpAddress<T = unknown> = {
    ip_address: T;
};
type IpV4<T = unknown> = {
    ip_v4: T;
};
type IpV6<T = unknown> = {
    ip_v6: T;
};
type IsDebug<T = unknown> = {
    is_debug: T;
};
type IsDirty<T = unknown> = {
    is_dirty: T;
};
type IsEnable<T = unknown> = {
    is_enable: T;
};
type IsNullable<T = unknown> = {
    is_nullable: T;
};
type IsProduction<T = unknown> = {
    is_production: T;
};
type IsTrial<T = unknown> = {
    is_trial: T;
};
type Iso<T = unknown> = {
    iso: T;
};
type Iss<T = unknown> = {
    iss: T;
};
type Issue<T = unknown> = {
    issue: T;
};
type IssueId<T = unknown> = {
    issue_id: T;
};
type IssueIds<T = unknown> = {
    issue_ids: T;
};
type Issuer<T = unknown> = {
    issuer: T;
};
type Issues<T = unknown> = {
    issues: T;
};
type Item<T = unknown> = {
    item: T;
};
type ItemId<T = unknown> = {
    item_id: T;
};
type ItemIds<T = unknown> = {
    item_ids: T;
};
type ItemName<T = unknown> = {
    item_name: T;
};
type Items<T = unknown> = {
    items: T;
};
type Job<T = unknown> = {
    job: T;
};
type JobId<T = unknown> = {
    job_id: T;
};
type JobIds<T = unknown> = {
    job_ids: T;
};
type Jobs<T = unknown> = {
    jobs: T;
};
type Json<T = unknown> = {
    json: T;
};
type KID<T = unknown> = {
    kid: T;
};
type KeepAliveTimeout<T = unknown> = {
    keep_alive_timeout: T;
};
type Key<T = unknown> = {
    key: T;
};
type KeyId<T = unknown> = {
    key_id: T;
};
type KeyIds<T = unknown> = {
    key_ids: T;
};
type KeyName<T = unknown> = {
    key_name: T;
};
type Keys<T = unknown> = {
    keys: T;
};
type Keyword<T = unknown> = {
    keyword: T;
};
type Keywords<T = unknown> = {
    keywords: T;
};
type Kind<T = unknown> = {
    kind: T;
};
type Lable<T = unknown> = {
    lable: T;
};
type Language<T = unknown> = {
    language: T;
};
type Languages<T = unknown> = {
    languages: T;
};
type LastName<T = unknown> = {
    last_name: T;
};
type Left<T = unknown> = {
    left: T;
};
type Length<T = unknown> = {
    length: T;
};
type Letter<T = unknown> = {
    letter: T;
};
type LetterId<T = unknown> = {
    letter_id: T;
};
type LetterIds<T = unknown> = {
    letter_ids: T;
};
type Letters<T = unknown> = {
    letters: T;
};
type Level<T = unknown> = {
    level: T;
};
type LevelId<T = unknown> = {
    level_id: T;
};
type LevelIds<T = unknown> = {
    level_ids: T;
};
type Levels<T = unknown> = {
    levels: T;
};
type License<T = unknown> = {
    license: T;
};
type Lifo<T = unknown> = {
    lifo: T;
};
type Limit<T = unknown> = {
    limit: T;
};
type Limited<T = unknown> = {
    limited: T;
};
type Link<T = unknown> = {
    link: T;
};
type Links<T = unknown> = {
    links: T;
};
type List<T = unknown> = {
    list: T;
};
type ListId<T = unknown> = {
    list_id: T;
};
type ListIds<T = unknown> = {
    list_ids: T;
};
type Listener<T = unknown> = {
    listener: T;
};
type ListenerId<T = unknown> = {
    listener_id: T;
};
type ListenerIds<T = unknown> = {
    listener_ids: T;
};
type Listeners<T = unknown> = {
    listeners: T;
};
type Lists<T = unknown> = {
    lists: T;
};
type Load<T = unknown> = {
    load: T;
};
type Local<T = unknown> = {
    local: T;
};
type LocalEnv<T = unknown> = {
    local_env: T;
};
type Localhost<T = unknown> = {
    localhost: T;
};
type Location<T = unknown> = {
    location: T;
};
type LocationId<T = unknown> = {
    location_id: T;
};
type LocationIds<T = unknown> = {
    location_ids: T;
};
type LocationName<T = unknown> = {
    location_name: T;
};
type Locations<T = unknown> = {
    locations: T;
};
type Log<T = unknown> = {
    log: T;
};
type LogGroup<T = unknown> = {
    log_group: T;
};
type LogGroups<T = unknown> = {
    log_groups: T;
};
type LogLevel<T = unknown> = {
    log_level: T;
};
type LogLevels<T = unknown> = {
    log_levels: T;
};
type Logger<T = unknown> = {
    logger: T;
};
type Logging<T = unknown> = {
    logging: T;
};
type Login<T = unknown> = {
    login: T;
};
type Logs<T = unknown> = {
    logs: T;
};
type Main<T = unknown> = {
    main: T;
};
type Margin<T = unknown> = {
    margin: T;
};
type MarginBottom<T = unknown> = {
    margin_bottom: T;
};
type MarginLeft<T = unknown> = {
    margin_left: T;
};
type MarginRight<T = unknown> = {
    margin_right: T;
};
type Marked<T = unknown> = {
    marked: T;
};
type Master<T = unknown> = {
    master: T;
};
type MasterId<T = unknown> = {
    master_id: T;
};
type MasterIds<T = unknown> = {
    master_ids: T;
};
type Masters<T = unknown> = {
    masters: T;
};
type Material<T = unknown> = {
    material: T;
};
type MaterialId<T = unknown> = {
    material_id: T;
};
type MaterialIds<T = unknown> = {
    material_ids: T;
};
type Materials<T = unknown> = {
    materials: T;
};
type Matrix<T = unknown> = {
    matrix: T;
};
type Max<T = unknown> = {
    max: T;
};
type MaxLength<T = unknown> = {
    max_length: T;
};
type Merchant<T = unknown> = {
    merchant: T;
};
type MerchantId<T = unknown> = {
    merchant_id: T;
};
type MerchantIds<T = unknown> = {
    merchant_ids: T;
};
type Merchants<T = unknown> = {
    merchants: T;
};
type Message<T = unknown> = {
    message: T;
};
type MessageId<T = unknown> = {
    message_id: T;
};
type MessageIds<T = unknown> = {
    message_ids: T;
};
type Messages<T = unknown> = {
    messages: T;
};
type Meta<T = unknown> = {
    meta: T;
};
type Metadata<T = unknown> = {
    metadata: T;
};
type Method<T = unknown> = {
    method: T;
};
type Methods<T = unknown> = {
    methods: T;
};
type Metric<T = unknown> = {
    metric: T;
};
type MetricId<T = unknown> = {
    metric_id: T;
};
type MetricIds<T = unknown> = {
    metric_ids: T;
};
type Metrics<T = unknown> = {
    metrics: T;
};
type Middleware<T = unknown> = {
    middleware: T;
};
type Migration<T = unknown> = {
    migration: T;
};
type Migrations<T = unknown> = {
    migrations: T;
};
type Milliseconds<T = unknown> = {
    milliseconds: T;
};
type MimeType<T = unknown> = {
    mime_type: T;
};
type Min<T = unknown> = {
    min: T;
};
type MinLength<T = unknown> = {
    min_length: T;
};
type Minutes<T = unknown> = {
    minutes: T;
};
type Missing<T = unknown> = {
    missing: T;
};
type MissingId<T = unknown> = {
    missing_id: T;
};
type MissingIds<T = unknown> = {
    missing_ids: T;
};
type MissingName<T = unknown> = {
    missing_name: T;
};
type Missings<T = unknown> = {
    missings: T;
};
type Mode<T = unknown> = {
    mode: T;
};
type Model<T = unknown> = {
    model: T;
};
type ModelId<T = unknown> = {
    model_id: T;
};
type ModelIds<T = unknown> = {
    model_ids: T;
};
type ModelName<T = unknown> = {
    model_name: T;
};
type Models<T = unknown> = {
    models: T;
};
type Modes<T = unknown> = {
    modes: T;
};
type Module<T = unknown> = {
    module: T;
};
type Modules<T = unknown> = {
    modules: T;
};
type Months<T = unknown> = {
    months: T;
};
type Multiplier<T = unknown> = {
    multiplier: T;
};
type Mutable<T = unknown> = {
    mutable: T;
};
type Name<T = unknown> = {
    name: T;
};
type Namespace<T = unknown> = {
    namespace: T;
};
type NamespaceId<T = unknown> = {
    namespace_id: T;
};
type NamespaceIds<T = unknown> = {
    namespace_ids: T;
};
type Namespaces<T = unknown> = {
    namespaces: T;
};
type Next<T = unknown> = {
    next: T;
};
type NextDate<T = unknown> = {
    next_date: T;
};
type NextPageUrl<T = unknown> = {
    next_page_url: T;
};
type Node<T = unknown> = {
    node: T;
};
type NodeId<T = unknown> = {
    node_id: T;
};
type NodeIds<T = unknown> = {
    node_ids: T;
};
type Nodes<T = unknown> = {
    nodes: T;
};
type Note<T = unknown> = {
    note: T;
};
type NoteId<T = unknown> = {
    note_id: T;
};
type NoteIds<T = unknown> = {
    note_ids: T;
};
type Notes<T = unknown> = {
    notes: T;
};
type Notification<T = unknown> = {
    notification: T;
};
type NotificationId<T = unknown> = {
    notification_id: T;
};
type NotificationIds<T = unknown> = {
    notification_ids: T;
};
type NotificationType<T = unknown> = {
    notification_type: T;
};
type Notifications<T = unknown> = {
    notifications: T;
};
type Nulluble<T = unknown> = {
    nullable: T;
};
type OS<T = unknown> = {
    os: T;
};
type Object$1<T = unknown> = {
    object: T;
};
type ObjectId<T = unknown> = {
    object_id: T;
};
type ObjectIds<T = unknown> = {
    object_ids: T;
};
type ObjectiveType<T = unknown> = {
    objective_type: T;
};
type Objects<T = unknown> = {
    objects: T;
};
type Offer<T = unknown> = {
    offer: T;
};
type OfferId<T = unknown> = {
    offer_id: T;
};
type OfferIds<T = unknown> = {
    offer_ids: T;
};
type Offers<T = unknown> = {
    offers: T;
};
type Offset<T = unknown> = {
    offset: T;
};
type OffsetX<T = unknown> = {
    offset_x: T;
};
type OffsetY<T = unknown> = {
    offset_y: T;
};
type OffsetZ<T = unknown> = {
    offset_z: T;
};
type Offsets<T = unknown> = {
    offsets: T;
};
type OnCreate<T = unknown> = {
    on_create: T;
};
type OnDelete<T = unknown> = {
    on_delete: T;
};
type OnUpdate<T = unknown> = {
    on_update: T;
};
type Option<T = unknown> = {
    option: T;
};
type Options<T = unknown> = {
    options: T;
};
type Order<T = unknown> = {
    order: T;
};
type OrderId<T = unknown> = {
    order_id: T;
};
type OrderIds<T = unknown> = {
    order_ids: T;
};
type Ordered<T = unknown> = {
    ordered: T;
};
type Orders<T = unknown> = {
    orders: T;
};
type Origin<T = unknown> = {
    origin: T;
};
type OriginId<T = unknown> = {
    origin_id: T;
};
type OriginIds<T = unknown> = {
    origin_ids: T;
};
type Origins<T = unknown> = {
    origins: T;
};
type Owner<T = unknown> = {
    owner: T;
};
type OwnerId<T = unknown> = {
    owner_id: T;
};
type OwnerIds<T = unknown> = {
    owner_ids: T;
};
type OwnerName<T = unknown> = {
    owner_name: T;
};
type Owners<T = unknown> = {
    owners: T;
};
type PID<T = unknown> = {
    pid: T;
};
type PIN<T = unknown> = {
    pin: T;
};
type PUK<T = unknown> = {
    puk: T;
};
type Package<T = unknown> = {
    package: T;
};
type PackageId<T = unknown> = {
    package_id: T;
};
type PackageIds<T = unknown> = {
    package_ids: T;
};
type PackageName<T = unknown> = {
    package_name: T;
};
type Packages<T = unknown> = {
    packages: T;
};
type Padding<T = unknown> = {
    padding: T;
};
type PaddingBottom<T = unknown> = {
    padding_bottom: T;
};
type PaddingLeft<T = unknown> = {
    padding_left: T;
};
type PaddingRight<T = unknown> = {
    padding_right: T;
};
type Page<T = unknown> = {
    page: T;
};
type PageId<T = unknown> = {
    page_id: T;
};
type PageIds<T = unknown> = {
    page_ids: T;
};
type PageInfo<T = unknown> = {
    page_info: T;
};
type PageSize<T = unknown> = {
    page_size: T;
};
type PageUrl<T = unknown> = {
    page_url: T;
};
type Pagination<T = unknown> = {
    pagination: T;
};
type Paging<T = unknown> = {
    paging: T;
};
type Param<T = unknown> = {
    param: T;
};
type Params<T = unknown> = {
    params: T;
};
type Part<T = unknown> = {
    part: T;
};
type PartId<T = unknown> = {
    part_id: T;
};
type PartIds<T = unknown> = {
    part_ids: T;
};
type Parts<T = unknown> = {
    parts: T;
};
type Password<T = unknown> = {
    password: T;
};
type Path<T = unknown> = {
    path: T;
};
type Paths<T = unknown> = {
    paths: T;
};
type Pause<T = unknown> = {
    pause: T;
};
type Paused<T = unknown> = {
    paused: T;
};
type PausedAt<T = unknown> = {
    paused_at: T;
};
type PausedFrom<T = unknown> = {
    paused_from: T;
};
type PausedTo<T = unknown> = {
    paused_to: T;
};
type Payer<T = unknown> = {
    payer: T;
};
type PayerId<T = unknown> = {
    payer_id: T;
};
type PayerIds<T = unknown> = {
    payer_ids: T;
};
type Payers<T = unknown> = {
    payers: T;
};
type Payload<T = unknown> = {
    payload: T;
};
type Payment<T = unknown> = {
    payment: T;
};
type PaymentId<T = unknown> = {
    payment_id: T;
};
type PaymentIds<T = unknown> = {
    payment_ids: T;
};
type PaymentNumber<T = unknown> = {
    payment_number: T;
};
type Payments<T = unknown> = {
    payments: T;
};
type PaymentsNumber<T = unknown> = {
    payments_number: T;
};
type Permission<T = unknown> = {
    permission: T;
};
type PermissionId<T = unknown> = {
    permission_id: T;
};
type PermissionIds<T = unknown> = {
    permission_ids: T;
};
type Permissions<T = unknown> = {
    permissions: T;
};
type PhoneNumber<T = unknown> = {
    phone_number: T;
};
type PixelCode<T = unknown> = {
    pixel_code: T;
};
type Placement<T = unknown> = {
    placement: T;
};
type PlacementId<T = unknown> = {
    placement_id: T;
};
type PlacementIds<T = unknown> = {
    placement_ids: T;
};
type Placements<T = unknown> = {
    placements: T;
};
type Platform<T = unknown> = {
    platform: T;
};
type PlatformId<T = unknown> = {
    platform_id: T;
};
type PlatformIds<T = unknown> = {
    platform_ids: T;
};
type PlatformName<T = unknown> = {
    platform_name: T;
};
type Platforms<T = unknown> = {
    platforms: T;
};
type Player<T = unknown> = {
    player: T;
};
type PlayerId<T = unknown> = {
    player_id: T;
};
type PlayerIds<T = unknown> = {
    player_ids: T;
};
type Players<T = unknown> = {
    players: T;
};
type Point<T = unknown> = {
    point: T;
};
type PointId<T = unknown> = {
    point_id: T;
};
type PointIds<T = unknown> = {
    point_ids: T;
};
type Pointer<T = unknown> = {
    pointer: T;
};
type Points<T = unknown> = {
    points: T;
};
type Port<T = unknown> = {
    port: T;
};
type Possition<T = unknown> = {
    possition: T;
};
type PossitionX<T = unknown> = {
    possition_x: T;
};
type PossitionY<T = unknown> = {
    possition_y: T;
};
type PossitionZ<T = unknown> = {
    possition_z: T;
};
type Possitions<T = unknown> = {
    possitions: T;
};
type Post<T = unknown> = {
    post: T;
};
type PostId<T = unknown> = {
    post_id: T;
};
type PostIds<T = unknown> = {
    post_ids: T;
};
type PostalCode<T = unknown> = {
    postal_code: T;
};
type Posts<T = unknown> = {
    posts: T;
};
type Preferences<T = unknown> = {
    preferences: T;
};
type Prefix<T = unknown> = {
    prefix: T;
};
type Price<T = unknown> = {
    price: T;
};
type Primary<T = unknown> = {
    primary: T;
};
type Priority<T = unknown> = {
    priority: T;
};
type Private<T = unknown> = {
    private: T;
};
type PrivateKey<T = unknown> = {
    private_key: T;
};
type Prod<T = unknown> = {
    prod: T;
};
type Product<T = unknown> = {
    product: T;
};
type ProductId<T = unknown> = {
    product_id: T;
};
type ProductIds<T = unknown> = {
    product_ids: T;
};
type ProductName<T = unknown> = {
    product_name: T;
};
type Production<T = unknown> = {
    production: T;
};
type Products<T = unknown> = {
    products: T;
};
type Profile<T = unknown> = {
    profile: T;
};
type ProfileId<T = unknown> = {
    profile_id: T;
};
type ProfileIds<T = unknown> = {
    profile_ids: T;
};
type Profiles<T = unknown> = {
    profiles: T;
};
type Project<T = unknown> = {
    project: T;
};
type ProjectId<T = unknown> = {
    project_id: T;
};
type ProjectIds<T = unknown> = {
    project_ids: T;
};
type Projects<T = unknown> = {
    projects: T;
};
type Properties<T = unknown> = {
    properties: T;
};
type Property<T = unknown> = {
    property: T;
};
type PropertyId<T = unknown> = {
    property_id: T;
};
type PropertyIds<T = unknown> = {
    property_ids: T;
};
type Props<T = unknown> = {
    props: T;
};
type Provider<T = unknown> = {
    provider: T;
};
type Providers<T = unknown> = {
    providers: T;
};
type Public<T = unknown> = {
    public: T;
};
type PublicKey<T = unknown> = {
    public_key: T;
};
type PublicPath<T = unknown> = {
    public_path: T;
};
type Publication<T = unknown> = {
    publication: T;
};
type PublicationId<T = unknown> = {
    publication_id: T;
};
type PublicationIds<T = unknown> = {
    publication_ids: T;
};
type Publications<T = unknown> = {
    publications: T;
};
type Published<T = unknown> = {
    published: T;
};
type PublishedAt<T = unknown> = {
    published_at: T;
};
type Publisher<T = unknown> = {
    publisher: T;
};
type PublisherId<T = unknown> = {
    publisher_id: T;
};
type PublisherIds<T = unknown> = {
    publisher_ids: T;
};
type PublisherName<T = unknown> = {
    publisher_name: T;
};
type Publishers<T = unknown> = {
    publishers: T;
};
type Purchase<T = unknown> = {
    purchase: T;
};
type PurchaseDate<T = unknown> = {
    purchase_date: T;
};
type PurchaseId<T = unknown> = {
    purchase_id: T;
};
type PurchaseIds<T = unknown> = {
    purchase_ids: T;
};
type PurchaseName<T = unknown> = {
    purchase_name: T;
};
type PurchaseToken<T = unknown> = {
    purchase_token: T;
};
type PurchaseType<T = unknown> = {
    purchase_type: T;
};
type Purchases<T = unknown> = {
    purchases: T;
};
type Quantity<T = unknown> = {
    quantity: T;
};
type Queries<T = unknown> = {
    queries: T;
};
type Query<T = unknown> = {
    query: T;
};
type Question<T = unknown> = {
    question: T;
};
type QuestionId<T = unknown> = {
    question_id: T;
};
type QuestionIds<T = unknown> = {
    question_ids: T;
};
type Questions<T = unknown> = {
    questions: T;
};
type Queue<T = unknown> = {
    queue: T;
};
type QueueId<T = unknown> = {
    queue_id: T;
};
type QueueIds<T = unknown> = {
    queue_ids: T;
};
type QueueName<T = unknown> = {
    queue_name: T;
};
type QueueUrl<T = unknown> = {
    queue_url: T;
};
type Queues<T = unknown> = {
    queues: T;
};
type Radius<T = unknown> = {
    radius: T;
};
type Range<T = unknown> = {
    range: T;
};
type Ranges<T = unknown> = {
    ranges: T;
};
type Ratio<T = unknown> = {
    ratio: T;
};
type Raw<T = unknown> = {
    raw: T;
};
type RawBody<T = unknown> = {
    raw_body: T;
};
type Reason<T = unknown> = {
    reason: T;
};
type ReasonId<T = unknown> = {
    reason_id: T;
};
type ReasonIds<T = unknown> = {
    reason_ids: T;
};
type Reasons<T = unknown> = {
    reasons: T;
};
type Receipt<T = unknown> = {
    receipt: T;
};
type ReceiptId<T = unknown> = {
    receipt_id: T;
};
type ReceiptIds<T = unknown> = {
    receipt_ids: T;
};
type Receipts<T = unknown> = {
    receipts: T;
};
type Redis<T = unknown> = {
    redis: T;
};
type Ref<T = unknown> = {
    ref: T;
};
type Reference<T = unknown> = {
    reference: T;
};
type References<T = unknown> = {
    references: T;
};
type Referrer<T = unknown> = {
    referrer: T;
};
type RefreshToken<T = unknown> = {
    refresh_token: T;
};
type RefundedAt<T = unknown> = {
    refunded_at: T;
};
type Region<T = unknown> = {
    region: T;
};
type RegionCode<T = unknown> = {
    region_code: T;
};
type Regions<T = unknown> = {
    regions: T;
};
type Relation<T = unknown> = {
    relation: T;
};
type RelationId<T = unknown> = {
    relation_id: T;
};
type RelationIds<T = unknown> = {
    relation_ids: T;
};
type Relations<T = unknown> = {
    relations: T;
};
type Remote<T = unknown> = {
    remote: T;
};
type Remove<T = unknown> = {
    remove: T;
};
type Replica<T = unknown> = {
    replica: T;
};
type ReplicaId<T = unknown> = {
    replica_id: T;
};
type ReplicaIds<T = unknown> = {
    replica_ids: T;
};
type ReplicaName<T = unknown> = {
    replica_name: T;
};
type ReplicaUrl<T = unknown> = {
    replica_url: T;
};
type Replicas<T = unknown> = {
    replicas: T;
};
type Replication<T = unknown> = {
    replication: T;
};
type ReplicationId<T = unknown> = {
    replication_id: T;
};
type ReplicationIds<T = unknown> = {
    replication_ids: T;
};
type Replications<T = unknown> = {
    replications: T;
};
type Report<T = unknown> = {
    report: T;
};
type ReportId<T = unknown> = {
    report_id: T;
};
type ReportIds<T = unknown> = {
    report_ids: T;
};
type Reports<T = unknown> = {
    reports: T;
};
type Repositories<T = unknown> = {
    repositories: T;
};
type Repository<T = unknown> = {
    repository: T;
};
type RepositoryUrl<T = unknown> = {
    repository_url: T;
};
type Req<T = unknown> = {
    req: T;
};
type Request<T = unknown> = {
    request: T;
};
type RequestId<T = unknown> = {
    request_id: T;
};
type RequestIds<T = unknown> = {
    request_ids: T;
};
type Requests<T = unknown> = {
    requests: T;
};
type Res<T = unknown> = {
    res: T;
};
type Resource<T = unknown> = {
    resource: T;
};
type ResourceId<T = unknown> = {
    resource_id: T;
};
type ResourceIds<T = unknown> = {
    resource_ids: T;
};
type ResourceName<T = unknown> = {
    resource_name: T;
};
type ResourcePath<T = unknown> = {
    resource_path: T;
};
type ResourceUrl<T = unknown> = {
    resource_url: T;
};
type Resources<T = unknown> = {
    resources: T;
};
type Response<T = unknown> = {
    response: T;
};
type ResponseId<T = unknown> = {
    response_id: T;
};
type ResponseIds<T = unknown> = {
    response_ids: T;
};
type Responses<T = unknown> = {
    responses: T;
};
type Result<T = unknown> = {
    result: T;
};
type ResultId<T = unknown> = {
    result_id: T;
};
type ResultIds<T = unknown> = {
    result_ids: T;
};
type Results<T = unknown> = {
    results: T;
};
type Retry<T = unknown> = {
    retry: T;
};
type RetryCount<T = unknown> = {
    try_count: T;
};
type Right<T = unknown> = {
    right: T;
};
type Role<T = unknown> = {
    role: T;
};
type RoleId<T = unknown> = {
    role_id: T;
};
type RoleIds<T = unknown> = {
    role_ids: T;
};
type RoleName<T = unknown> = {
    role_name: T;
};
type Roles<T = unknown> = {
    roles: T;
};
type Rotation<T = unknown> = {
    rotation: T;
};
type RotationX<T = unknown> = {
    rotation_x: T;
};
type RotationY<T = unknown> = {
    rotation_y: T;
};
type RotationZ<T = unknown> = {
    rotation_z: T;
};
type Rotations<T = unknown> = {
    rotations: T;
};
type Route<T = unknown> = {
    route: T;
};
type Routes<T = unknown> = {
    routes: T;
};
type Row<T = unknown> = {
    row: T;
};
type RowId<T = unknown> = {
    row_id: T;
};
type RowIds<T = unknown> = {
    row_ids: T;
};
type Rows<T = unknown> = {
    rows: T;
};
type SETID<T = unknown> = {
    setid: T;
};
type SSL<T = unknown> = {
    ssl: T;
};
type Salt<T = unknown> = {
    salt: T;
};
type Scale<T = unknown> = {
    scale: T;
};
type ScaleX<T = unknown> = {
    scale_x: T;
};
type ScaleY<T = unknown> = {
    scale_y: T;
};
type ScaleZ<T = unknown> = {
    scale_z: T;
};
type Scales<T = unknown> = {
    scales: T;
};
type Scenario<T = unknown> = {
    scenario: T;
};
type ScenarioId<T = unknown> = {
    scenario_id: T;
};
type ScenarioIds<T = unknown> = {
    scenario_ids: T;
};
type Scenarios<T = unknown> = {
    scenarios: T;
};
type Schedule<T = unknown> = {
    schedule: T;
};
type Scheduled<T = unknown> = {
    scheduled: T;
};
type Scheduler<T = unknown> = {
    scheduler: T;
};
type Schema<T = unknown> = {
    schema: T;
};
type SchemaId<T = unknown> = {
    schema_id: T;
};
type SchemaIds<T = unknown> = {
    schema_ids: T;
};
type SchemaName<T = unknown> = {
    schema_name: T;
};
type Schemas<T = unknown> = {
    schemas: T;
};
type Scope<T = unknown> = {
    scope: T;
};
type Scopes<T = unknown> = {
    scopes: T;
};
type Screen<T = unknown> = {
    screen: T;
};
type Sdk<T = unknown> = {
    sdk: T;
};
type Secondary<T = unknown> = {
    secondary: T;
};
type Seconds<T = unknown> = {
    seconds: T;
};
type Secret<T = unknown> = {
    secret: T;
};
type SecretKey<T = unknown> = {
    secret_key: T;
};
type Select<T = unknown> = {
    select: T;
};
type Selected<T = unknown> = {
    selected: T;
};
type Selector<T = unknown> = {
    selector: T;
};
type Sender<T = unknown> = {
    sender: T;
};
type SenderId<T = unknown> = {
    sender_id: T;
};
type SenderIds<T = unknown> = {
    sender_ids: T;
};
type SenderName<T = unknown> = {
    sender_name: T;
};
type Senders<T = unknown> = {
    senders: T;
};
type Separator<T = unknown> = {
    separator: T;
};
type Sequence<T = unknown> = {
    sequence: T;
};
type SequenceId<T = unknown> = {
    sequence_id: T;
};
type SequenceIds<T = unknown> = {
    sequence_ids: T;
};
type Sequences<T = unknown> = {
    sequences: T;
};
type Server<T = unknown> = {
    server: T;
};
type ServerHost<T = unknown> = {
    server_host: T;
};
type ServerPort<T = unknown> = {
    server_port: T;
};
type ServerUrl<T = unknown> = {
    server_url: T;
};
type Service<T = unknown> = {
    service: T;
};
type ServiceId<T = unknown> = {
    service_id: T;
};
type ServiceIds<T = unknown> = {
    service_ids: T;
};
type ServiceName<T = unknown> = {
    service_name: T;
};
type ServicePath<T = unknown> = {
    service_path: T;
};
type ServiceUrl<T = unknown> = {
    service_url: T;
};
type Services<T = unknown> = {
    services: T;
};
type Session<T = unknown> = {
    session: T;
};
type SessionId<T = unknown> = {
    session_id: T;
};
type SessionIds<T = unknown> = {
    session_ids: T;
};
type Sessions<T = unknown> = {
    sessions: T;
};
type Set<T = unknown> = {
    set: T;
};
type SetId<T = unknown> = {
    set_id: T;
};
type SetIds<T = unknown> = {
    set_ids: T;
};
type Sets<T = unknown> = {
    sets: T;
};
type Settings<T = unknown> = {
    settings: T;
};
type Setup<T = unknown> = {
    setup: T;
};
type SetupId<T = unknown> = {
    setup_id: T;
};
type SetupIds<T = unknown> = {
    setup_ids: T;
};
type Setups<T = unknown> = {
    setups: T;
};
type ShutdownDelay<T = unknown> = {
    shutdown_delay: T;
};
type Signature<T = unknown> = {
    signature: T;
};
type Since<T = unknown> = {
    since: T;
};
type Size<T = unknown> = {
    size: T;
};
type Skip<T = unknown> = {
    skip: T;
};
type Slack<T = unknown> = {
    slack: T;
};
type Slave<T = unknown> = {
    slave: T;
};
type SlaveId<T = unknown> = {
    slave_id: T;
};
type SlaveIds<T = unknown> = {
    slave_ids: T;
};
type Slaves<T = unknown> = {
    slaves: T;
};
type Snapshot<T = unknown> = {
    snapshot: T;
};
type SnapshotId<T = unknown> = {
    snapshot_id: T;
};
type SnapshotIds<T = unknown> = {
    snapshot_ids: T;
};
type SnapshotUrl<T = unknown> = {
    snapshot_url: T;
};
type Snapshots<T = unknown> = {
    snapshots: T;
};
type Sort<T = unknown> = {
    sort: T;
};
type Source<T = unknown> = {
    source: T;
};
type Spend<T = unknown> = {
    spend: T;
};
type Spends<T = unknown> = {
    spends: T;
};
type Stage<T = unknown> = {
    stage: T;
};
type StartDate<T = unknown> = {
    start_date: T;
};
type StartTime<T = unknown> = {
    start_time: T;
};
type StartedAt<T = unknown> = {
    started_at: T;
};
type State<T = unknown> = {
    state: T;
};
type States<T = unknown> = {
    states: T;
};
type Stats<T = unknown> = {
    stats: T;
};
type Status<T = unknown> = {
    status: T;
};
type Strategies<T = unknown> = {
    strategies: T;
};
type Strategy<T = unknown> = {
    strategy: T;
};
type StrategyId<T = unknown> = {
    strategy_id: T;
};
type StrategyIds<T = unknown> = {
    strategy_ids: T;
};
type StrategyName<T = unknown> = {
    strategy_name: T;
};
type Stream<T = unknown> = {
    stream: T;
};
type StreamId<T = unknown> = {
    stream_id: T;
};
type StreamIds<T = unknown> = {
    stream_ids: T;
};
type StreamName<T = unknown> = {
    stream_name: T;
};
type Streams<T = unknown> = {
    streams: T;
};
type Subject<T = unknown> = {
    subject: T;
};
type SubjectId<T = unknown> = {
    subject_id: T;
};
type SubjectIds<T = unknown> = {
    subject_ids: T;
};
type Subjects<T = unknown> = {
    subjects: T;
};
type Subscriber<T = unknown> = {
    subscriber: T;
};
type SubscriberId<T = unknown> = {
    subscriber_id: T;
};
type SubscriberIds<T = unknown> = {
    subscriber_ids: T;
};
type Subscribers<T = unknown> = {
    subscribers: T;
};
type Subscription<T = unknown> = {
    subscription: T;
};
type SubscriptionId<T = unknown> = {
    subscription_id: T;
};
type SubscriptionIds<T = unknown> = {
    subscription_ids: T;
};
type Subscriptions<T = unknown> = {
    subscriptions: T;
};
type Success<T = unknown> = {
    success: T;
};
type Sum<T = unknown> = {
    sum: T;
};
type Summary<T = unknown> = {
    summary: T;
};
type Synchronize<T = unknown> = {
    synchronize: T;
};
type Table<T = unknown> = {
    table: T;
};
type TableId<T = unknown> = {
    table_id: T;
};
type TableIds<T = unknown> = {
    table_ids: T;
};
type TableName<T = unknown> = {
    table_name: T;
};
type Tables<T = unknown> = {
    tables: T;
};
type Tag<T = unknown> = {
    tag: T;
};
type TagId<T = unknown> = {
    tag_id: T;
};
type TagIds<T = unknown> = {
    tag_ids: T;
};
type Tags<T = unknown> = {
    tags: T;
};
type Take<T = unknown> = {
    take: T;
};
type Target<T = unknown> = {
    target: T;
};
type TargetId<T = unknown> = {
    target_id: T;
};
type TargetIds<T = unknown> = {
    target_ids: T;
};
type Targets<T = unknown> = {
    targets: T;
};
type Task<T = unknown> = {
    task: T;
};
type TaskId<T = unknown> = {
    task_id: T;
};
type TaskIds<T = unknown> = {
    task_ids: T;
};
type Tasks<T = unknown> = {
    tasks: T;
};
type Taxes<T = unknown> = {
    taxes: T;
};
type Template<T = unknown> = {
    template: T;
};
type TemplateId<T = unknown> = {
    template_id: T;
};
type TemplateIds<T = unknown> = {
    template_ids: T;
};
type TemplateName<T = unknown> = {
    template_name: T;
};
type TemplatePath<T = unknown> = {
    template_path: T;
};
type TemplateUrl<T = unknown> = {
    template_url: T;
};
type Templates<T = unknown> = {
    templates: T;
};
type Text<T = unknown> = {
    text: T;
};
type TextSize<T = unknown> = {
    text_size: T;
};
type Throttle<T = unknown> = {
    throttle: T;
};
type ThrottleMs<T = unknown> = {
    throttle_ms: T;
};
type ThrottleSec<T = unknown> = {
    throttle_sec: T;
};
type Ticket<T = unknown> = {
    ticket: T;
};
type TicketId<T = unknown> = {
    ticket_id: T;
};
type TicketIds<T = unknown> = {
    ticket_ids: T;
};
type Tickets<T = unknown> = {
    tickets: T;
};
type Tiktok<T = unknown> = {
    tiktok: T;
};
type Time<T = unknown> = {
    time: T;
};
type TimeRange<T = unknown> = {
    time_range: T;
};
type TimeUtc<T = unknown> = {
    time_utc: T;
};
type Timeout<T = unknown> = {
    timeout: T;
};
type Timer<T = unknown> = {
    timer: T;
};
type Timestamp<T = unknown> = {
    timestamp: T;
};
type TimestampUtc<T = unknown> = {
    timestamp_utc: T;
};
type Timezone<T = unknown> = {
    timezone: T;
};
type TimezoneOffset<T = unknown> = {
    timezone_offset: T;
};
type Title<T = unknown> = {
    title: T;
};
type Tmp<T = unknown> = {
    tmp: T;
};
type TmpPath<T = unknown> = {
    tmp_path: T;
};
type ToDate<T = unknown> = {
    to_date: T;
};
type Token<T = unknown> = {
    token: T;
};
type TokenId<T = unknown> = {
    token_id: T;
};
type TokenIds<T = unknown> = {
    token_ids: T;
};
type TokenType<T = unknown> = {
    token_type: T;
};
type Tokens<T = unknown> = {
    tokens: T;
};
type Tool<T = unknown> = {
    tool: T;
};
type ToolId<T = unknown> = {
    tool_id: T;
};
type ToolIds<T = unknown> = {
    tool_ids: T;
};
type Tools<T = unknown> = {
    tools: T;
};
type Top<T = unknown> = {
    top: T;
};
type Topic<T = unknown> = {
    topic: T;
};
type TopicId<T = unknown> = {
    topic_id: T;
};
type TopicIds<T = unknown> = {
    topic_ids: T;
};
type TopicName<T = unknown> = {
    topic_name: T;
};
type Topics<T = unknown> = {
    topics: T;
};
type TotalClicks<T = unknown> = {
    total_clicks: T;
};
type TotalCount<T = unknown> = {
    total_count: T;
};
type TotalImpressions<T = unknown> = {
    total_impressions: T;
};
type TotalInstalls<T = unknown> = {
    total_installs: T;
};
type TotalNumber<T = unknown> = {
    total_number: T;
};
type TotalSpend<T = unknown> = {
    total_spend: T;
};
type Town<T = unknown> = {
    town: T;
};
type Transaction<T = unknown> = {
    transaction: T;
};
type TransactionId<T = unknown> = {
    transaction_id: T;
};
type TransactionIds<T = unknown> = {
    transaction_ids: T;
};
type TransactionToken<T = unknown> = {
    transaction_token: T;
};
type Transactions<T = unknown> = {
    transactions: T;
};
type Transformer<T = unknown> = {
    transformer: T;
};
type Trial<T = unknown> = {
    trial: T;
};
type Ttl<T = unknown> = {
    ttl: T;
};
type TtlMs<T = unknown> = {
    ttl_ms: T;
};
type TtlSec<T = unknown> = {
    ttl_sec: T;
};
type Type<T = unknown> = {
    type: T;
};
type TypeId<T = unknown> = {
    type_id: T;
};
type TypeIds<T = unknown> = {
    type_ids: T;
};
type Types<T = unknown> = {
    types: T;
};
type UUID<T = unknown> = {
    uuid: T;
};
type Unique<T = unknown> = {
    unique: T;
};
type UniqueId<T = unknown> = {
    unique_id: T;
};
type UniqueIds<T = unknown> = {
    unique_ids: T;
};
type Uniques<T = unknown> = {
    uniques: T;
};
type Until<T = unknown> = {
    until: T;
};
type Update<T = unknown> = {
    update: T;
};
type UpdatedAt<T = unknown> = {
    updated_at: T;
};
type Uri<T = unknown> = {
    uri: T;
};
type Url<T = unknown> = {
    url: T;
};
type User<T = unknown> = {
    user: T;
};
type UserAgent<T = unknown> = {
    user_agent: T;
};
type UserData<T = unknown> = {
    user_data: T;
};
type UserId<T = unknown> = {
    user_id: T;
};
type UserIds<T = unknown> = {
    user_ids: T;
};
type UserName<T = unknown> = {
    user_name: T;
};
type UserPassword<T = unknown> = {
    user_password: T;
};
type UserProperties<T = unknown> = {
    user_properties: T;
};
type Username<T = unknown> = {
    username: T;
};
type Users<T = unknown> = {
    users: T;
};
type Utc<T = unknown> = {
    utc: T;
};
type Value<T = unknown> = {
    value: T;
};
type Values<T = unknown> = {
    values: T;
};
type Vars<T = unknown> = {
    vars: T;
};
type Vector<T = unknown> = {
    vector: T;
};
type VendorId<T = unknown> = {
    vendor_id: T;
};
type VendorIds<T = unknown> = {
    vendor_ids: T;
};
type Verbose<T = unknown> = {
    verbose: T;
};
type Version<T = unknown> = {
    version: T;
};
type Video<T = unknown> = {
    video: T;
};
type VideoId<T = unknown> = {
    video_id: T;
};
type VideoIds<T = unknown> = {
    video_ids: T;
};
type VideoName<T = unknown> = {
    video_name: T;
};
type VideoUrl<T = unknown> = {
    video_url: T;
};
type Videos<T = unknown> = {
    videos: T;
};
type View<T = unknown> = {
    view: T;
};
type ViewId<T = unknown> = {
    view_id: T;
};
type ViewIds<T = unknown> = {
    view_ids: T;
};
type Views<T = unknown> = {
    views: T;
};
type Visitor<T = unknown> = {
    visitor: T;
};
type VisitorId<T = unknown> = {
    visitor_id: T;
};
type VisitorIds<T = unknown> = {
    visitor_ids: T;
};
type Visitors<T = unknown> = {
    visitors: T;
};
type Warning<T = unknown> = {
    warning: T;
};
type Web<T = unknown> = {
    web: T;
};
type Webhook<T = unknown> = {
    webhook: T;
};
type WebhookUrl<T = unknown> = {
    webhook_url: T;
};
type Webhooks<T = unknown> = {
    webhooks: T;
};
type Week<T = unknown> = {
    week: T;
};
type Weeks<T = unknown> = {
    weeks: T;
};
type Weight<T = unknown> = {
    weight: T;
};
type Where<T = unknown> = {
    where: T;
};
type Whitelist<T = unknown> = {
    whitelist: T;
};
type Width<T = unknown> = {
    width: T;
};
type Workspace<T = unknown> = {
    workspace: T;
};
type WorkspaceId<T = unknown> = {
    workspace_id: T;
};
type WorkspaceIds<T = unknown> = {
    workspace_ids: T;
};
type Workspaces<T = unknown> = {
    workspaces: T;
};
type X<T = unknown> = {
    x: T;
};
type Y<T = unknown> = {
    y: T;
};
type Year<T = unknown> = {
    year: T;
};
type Years<T = unknown> = {
    years: T;
};
type Z<T = unknown> = {
    z: T;
};
type ZIndex<T = unknown> = {
    z_index: T;
};
type Zip<T = unknown> = {
    zip: T;
};
type ZipCode<T = unknown> = {
    zip_code: T;
};
type Ziped<T = unknown> = {
    ziped: T;
};

type index_AAID<T = unknown> = AAID<T>;
type index_About<T = unknown> = About<T>;
type index_AccessKey<T = unknown> = AccessKey<T>;
type index_AccessKeyId<T = unknown> = AccessKeyId<T>;
type index_AccessKeyName<T = unknown> = AccessKeyName<T>;
type index_AccessPoint<T = unknown> = AccessPoint<T>;
type index_AccessToken<T = unknown> = AccessToken<T>;
type index_Account<T = unknown> = Account<T>;
type index_AccountId<T = unknown> = AccountId<T>;
type index_AccountIds<T = unknown> = AccountIds<T>;
type index_AccountName<T = unknown> = AccountName<T>;
type index_Accounts<T = unknown> = Accounts<T>;
type index_Action<T = unknown> = Action<T>;
type index_Activator<T = unknown> = Activator<T>;
type index_ActivatorId<T = unknown> = ActivatorId<T>;
type index_ActivatorIds<T = unknown> = ActivatorIds<T>;
type index_ActivatorName<T = unknown> = ActivatorName<T>;
type index_Activators<T = unknown> = Activators<T>;
type index_Ad<T = unknown> = Ad<T>;
type index_AdGroup<T = unknown> = AdGroup<T>;
type index_AdGroupId<T = unknown> = AdGroupId<T>;
type index_AdGroupIds<T = unknown> = AdGroupIds<T>;
type index_AdGroupName<T = unknown> = AdGroupName<T>;
type index_AdId<T = unknown> = AdId<T>;
type index_AdIds<T = unknown> = AdIds<T>;
type index_AdName<T = unknown> = AdName<T>;
type index_Add<T = unknown> = Add<T>;
type index_Address<T = unknown> = Address<T>;
type index_Addresses<T = unknown> = Addresses<T>;
type index_Adgroups<T = unknown> = Adgroups<T>;
type index_Admin<T = unknown> = Admin<T>;
type index_AdminId<T = unknown> = AdminId<T>;
type index_AdminIds<T = unknown> = AdminIds<T>;
type index_Admins<T = unknown> = Admins<T>;
type index_Ads<T = unknown> = Ads<T>;
type index_Adset<T = unknown> = Adset<T>;
type index_AdsetId<T = unknown> = AdsetId<T>;
type index_AdsetIds<T = unknown> = AdsetIds<T>;
type index_AdsetName<T = unknown> = AdsetName<T>;
type index_Advertiser<T = unknown> = Advertiser<T>;
type index_AdvertiserId<T = unknown> = AdvertiserId<T>;
type index_AdvertiserIds<T = unknown> = AdvertiserIds<T>;
type index_Advertisers<T = unknown> = Advertisers<T>;
type index_Age<T = unknown> = Age<T>;
type index_AgeGroup<T = unknown> = AgeGroup<T>;
type index_Airtable<T = unknown> = Airtable<T>;
type index_Albom<T = unknown> = Albom<T>;
type index_AlbomId<T = unknown> = AlbomId<T>;
type index_AlbomIds<T = unknown> = AlbomIds<T>;
type index_AlbomName<T = unknown> = AlbomName<T>;
type index_Alboms<T = unknown> = Alboms<T>;
type index_Alg<T = unknown> = Alg<T>;
type index_Alias<T = unknown> = Alias<T>;
type index_Align<T = unknown> = Align<T>;
type index_All<T = unknown> = All<T>;
type index_Amount<T = unknown> = Amount<T>;
type index_Amplitude<T = unknown> = Amplitude<T>;
type index_Android<T = unknown> = Android<T>;
type index_Answer<T = unknown> = Answer<T>;
type index_AnswerId<T = unknown> = AnswerId<T>;
type index_AnswerIds<T = unknown> = AnswerIds<T>;
type index_Answers<T = unknown> = Answers<T>;
type index_Api<T = unknown> = Api<T>;
type index_ApiKey<T = unknown> = ApiKey<T>;
type index_ApiKeys<T = unknown> = ApiKeys<T>;
type index_ApiSecret<T = unknown> = ApiSecret<T>;
type index_ApiUrl<T = unknown> = ApiUrl<T>;
type index_App<T = unknown> = App<T>;
type index_AppId<T = unknown> = AppId<T>;
type index_AppIds<T = unknown> = AppIds<T>;
type index_Apple<T = unknown> = Apple<T>;
type index_Application<T = unknown> = Application<T>;
type index_ApplicationId<T = unknown> = ApplicationId<T>;
type index_ApplicationIds<T = unknown> = ApplicationIds<T>;
type index_Applications<T = unknown> = Applications<T>;
type index_Applovin<T = unknown> = Applovin<T>;
type index_Apps<T = unknown> = Apps<T>;
type index_Appsflayer<T = unknown> = Appsflayer<T>;
type index_AppslyerId<T = unknown> = AppslyerId<T>;
type index_Arg<T = unknown> = Arg<T>;
type index_Args<T = unknown> = Args<T>;
type index_Asset<T = unknown> = Asset<T>;
type index_AssetHash<T = unknown> = AssetHash<T>;
type index_AssetId<T = unknown> = AssetId<T>;
type index_AssetIds<T = unknown> = AssetIds<T>;
type index_AssetName<T = unknown> = AssetName<T>;
type index_Assets<T = unknown> = Assets<T>;
type index_Attempt<T = unknown> = Attempt<T>;
type index_Attempts<T = unknown> = Attempts<T>;
type index_Attribute<T = unknown> = Attribute<T>;
type index_AttributeId<T = unknown> = AttributeId<T>;
type index_AttributeIds<T = unknown> = AttributeIds<T>;
type index_Attributes<T = unknown> = Attributes<T>;
type index_Auth<T = unknown> = Auth<T>;
type index_AuthProvider<T = unknown> = AuthProvider<T>;
type index_Authorized<T = unknown> = Authorized<T>;
type index_Auto<T = unknown> = Auto<T>;
type index_AutoLoad<T = unknown> = AutoLoad<T>;
type index_AutoRun<T = unknown> = AutoRun<T>;
type index_Aws<T = unknown> = Aws<T>;
type index_BID<T = unknown> = BID<T>;
type index_Background<T = unknown> = Background<T>;
type index_BackgroundColor<T = unknown> = BackgroundColor<T>;
type index_Badge<T = unknown> = Badge<T>;
type index_BadgeId<T = unknown> = BadgeId<T>;
type index_BadgeIds<T = unknown> = BadgeIds<T>;
type index_Badges<T = unknown> = Badges<T>;
type index_BaseUrl<T = unknown> = BaseUrl<T>;
type index_Blacklist<T = unknown> = Blacklist<T>;
type index_Block<T = unknown> = Block<T>;
type index_BlockId<T = unknown> = BlockId<T>;
type index_BlockIds<T = unknown> = BlockIds<T>;
type index_Blocked<T = unknown> = Blocked<T>;
type index_Blocks<T = unknown> = Blocks<T>;
type index_Blueprint<T = unknown> = Blueprint<T>;
type index_BlueprintId<T = unknown> = BlueprintId<T>;
type index_BlueprintIds<T = unknown> = BlueprintIds<T>;
type index_BlueprintName<T = unknown> = BlueprintName<T>;
type index_Blueprints<T = unknown> = Blueprints<T>;
type index_Body<T = unknown> = Body<T>;
type index_Border<T = unknown> = Border<T>;
type index_Bottom<T = unknown> = Bottom<T>;
type index_Bucket<T = unknown> = Bucket<T>;
type index_BucketId<T = unknown> = BucketId<T>;
type index_BucketIds<T = unknown> = BucketIds<T>;
type index_BucketName<T = unknown> = BucketName<T>;
type index_BucketUrl<T = unknown> = BucketUrl<T>;
type index_Buckets<T = unknown> = Buckets<T>;
type index_Budget<T = unknown> = Budget<T>;
type index_BudgetMode<T = unknown> = BudgetMode<T>;
type index_Buffer<T = unknown> = Buffer<T>;
type index_Builder<T = unknown> = Builder<T>;
type index_Bundle<T = unknown> = Bundle<T>;
type index_BundleId<T = unknown> = BundleId<T>;
type index_BundleIds<T = unknown> = BundleIds<T>;
type index_Bundles<T = unknown> = Bundles<T>;
type index_Cache<T = unknown> = Cache<T>;
type index_CacheId<T = unknown> = CacheId<T>;
type index_CacheIds<T = unknown> = CacheIds<T>;
type index_CacheKey<T = unknown> = CacheKey<T>;
type index_Callback<T = unknown> = Callback<T>;
type index_Calls<T = unknown> = Calls<T>;
type index_Campaign<T = unknown> = Campaign<T>;
type index_CampaignId<T = unknown> = CampaignId<T>;
type index_CampaignIds<T = unknown> = CampaignIds<T>;
type index_CampaignName<T = unknown> = CampaignName<T>;
type index_CampaignNames<T = unknown> = CampaignNames<T>;
type index_Campaigns<T = unknown> = Campaigns<T>;
type index_Cancel<T = unknown> = Cancel<T>;
type index_Canceled<T = unknown> = Canceled<T>;
type index_Card<T = unknown> = Card<T>;
type index_CardId<T = unknown> = CardId<T>;
type index_CardIds<T = unknown> = CardIds<T>;
type index_Cards<T = unknown> = Cards<T>;
type index_Cascade<T = unknown> = Cascade<T>;
type index_Categories<T = unknown> = Categories<T>;
type index_Category<T = unknown> = Category<T>;
type index_CategoryId<T = unknown> = CategoryId<T>;
type index_CategoryIds<T = unknown> = CategoryIds<T>;
type index_CategoryName<T = unknown> = CategoryName<T>;
type index_Cert<T = unknown> = Cert<T>;
type index_Certificate<T = unknown> = Certificate<T>;
type index_CertificateId<T = unknown> = CertificateId<T>;
type index_CertificateIds<T = unknown> = CertificateIds<T>;
type index_Certificates<T = unknown> = Certificates<T>;
type index_Channel<T = unknown> = Channel<T>;
type index_ChannelId<T = unknown> = ChannelId<T>;
type index_ChannelIds<T = unknown> = ChannelIds<T>;
type index_ChannelName<T = unknown> = ChannelName<T>;
type index_Channels<T = unknown> = Channels<T>;
type index_ChargedAt<T = unknown> = ChargedAt<T>;
type index_Chunk<T = unknown> = Chunk<T>;
type index_ChunkId<T = unknown> = ChunkId<T>;
type index_ChunkIds<T = unknown> = ChunkIds<T>;
type index_ChunkSize<T = unknown> = ChunkSize<T>;
type index_Chunks<T = unknown> = Chunks<T>;
type index_City<T = unknown> = City<T>;
type index_Class<T = unknown> = Class<T>;
type index_ClassId<T = unknown> = ClassId<T>;
type index_ClassIds<T = unknown> = ClassIds<T>;
type index_Classes<T = unknown> = Classes<T>;
type index_ClickId<T = unknown> = ClickId<T>;
type index_ClickIds<T = unknown> = ClickIds<T>;
type index_Clicks<T = unknown> = Clicks<T>;
type index_Client<T = unknown> = Client<T>;
type index_ClientId<T = unknown> = ClientId<T>;
type index_ClientIds<T = unknown> = ClientIds<T>;
type index_Clients<T = unknown> = Clients<T>;
type index_CloseConnectionTimeout<T = unknown> = CloseConnectionTimeout<T>;
type index_Cluster<T = unknown> = Cluster<T>;
type index_ClusterId<T = unknown> = ClusterId<T>;
type index_ClusterIds<T = unknown> = ClusterIds<T>;
type index_ClusterMode<T = unknown> = ClusterMode<T>;
type index_Clusters<T = unknown> = Clusters<T>;
type index_Code<T = unknown> = Code<T>;
type index_Codes<T = unknown> = Codes<T>;
type index_Collection<T = unknown> = Collection<T>;
type index_CollectionId<T = unknown> = CollectionId<T>;
type index_CollectionIds<T = unknown> = CollectionIds<T>;
type index_CollectionName<T = unknown> = CollectionName<T>;
type index_Collections<T = unknown> = Collections<T>;
type index_Color<T = unknown> = Color<T>;
type index_Colors<T = unknown> = Colors<T>;
type index_Column<T = unknown> = Column<T>;
type index_ColumnId<T = unknown> = ColumnId<T>;
type index_ColumnIds<T = unknown> = ColumnIds<T>;
type index_ColumnName<T = unknown> = ColumnName<T>;
type index_Columns<T = unknown> = Columns<T>;
type index_Comment<T = unknown> = Comment<T>;
type index_CommentId<T = unknown> = CommentId<T>;
type index_CommentIds<T = unknown> = CommentIds<T>;
type index_Comments<T = unknown> = Comments<T>;
type index_CompletedAt<T = unknown> = CompletedAt<T>;
type index_Compressed<T = unknown> = Compressed<T>;
type index_Config<T = unknown> = Config<T>;
type index_ConfigId<T = unknown> = ConfigId<T>;
type index_ConfigIds<T = unknown> = ConfigIds<T>;
type index_ConfigName<T = unknown> = ConfigName<T>;
type index_ConfigPath<T = unknown> = ConfigPath<T>;
type index_ConfigUrl<T = unknown> = ConfigUrl<T>;
type index_Configs<T = unknown> = Configs<T>;
type index_Constant<T = unknown> = Constant<T>;
type index_Constraint<T = unknown> = Constraint<T>;
type index_Constraints<T = unknown> = Constraints<T>;
type index_Constructor<T = unknown> = Constructor<T>;
type index_Consumer<T = unknown> = Consumer<T>;
type index_ConsumerId<T = unknown> = ConsumerId<T>;
type index_ConsumerIds<T = unknown> = ConsumerIds<T>;
type index_Consumers<T = unknown> = Consumers<T>;
type index_Content<T = unknown> = Content<T>;
type index_ContentId<T = unknown> = ContentId<T>;
type index_ContentIds<T = unknown> = ContentIds<T>;
type index_Contents<T = unknown> = Contents<T>;
type index_Context<T = unknown> = Context<T>;
type index_Controller<T = unknown> = Controller<T>;
type index_Controllers<T = unknown> = Controllers<T>;
type index_Cors<T = unknown> = Cors<T>;
type index_Cost<T = unknown> = Cost<T>;
type index_Costs<T = unknown> = Costs<T>;
type index_Count<T = unknown> = Count<T>;
type index_Country<T = unknown> = Country<T>;
type index_CountryCode<T = unknown> = CountryCode<T>;
type index_Create<T = unknown> = Create<T>;
type index_CreatedAt<T = unknown> = CreatedAt<T>;
type index_Creative<T = unknown> = Creative<T>;
type index_CreativeId<T = unknown> = CreativeId<T>;
type index_CreativeIds<T = unknown> = CreativeIds<T>;
type index_CreativeName<T = unknown> = CreativeName<T>;
type index_Creatives<T = unknown> = Creatives<T>;
type index_Credentials<T = unknown> = Credentials<T>;
type index_Csv<T = unknown> = Csv<T>;
type index_Currencies<T = unknown> = Currencies<T>;
type index_Currency<T = unknown> = Currency<T>;
type index_CurrencyCode<T = unknown> = CurrencyCode<T>;
type index_Cursor<T = unknown> = Cursor<T>;
type index_Customer<T = unknown> = Customer<T>;
type index_CustomerEmail<T = unknown> = CustomerEmail<T>;
type index_CustomerId<T = unknown> = CustomerId<T>;
type index_CustomerIds<T = unknown> = CustomerIds<T>;
type index_Customers<T = unknown> = Customers<T>;
type index_Data<T = unknown> = Data<T>;
type index_Database<T = unknown> = Database<T>;
type index_DatabaseHost<T = unknown> = DatabaseHost<T>;
type index_DatabaseName<T = unknown> = DatabaseName<T>;
type index_DatabasePort<T = unknown> = DatabasePort<T>;
type index_DatabaseUrl<T = unknown> = DatabaseUrl<T>;
type index_Databases<T = unknown> = Databases<T>;
type index_Date<T = unknown> = Date<T>;
type index_DateRange<T = unknown> = DateRange<T>;
type index_DateStart<T = unknown> = DateStart<T>;
type index_DateStop<T = unknown> = DateStop<T>;
type index_DateUtc<T = unknown> = DateUtc<T>;
type index_Dates<T = unknown> = Dates<T>;
type index_Day<T = unknown> = Day<T>;
type index_Days<T = unknown> = Days<T>;
type index_DeadLetter<T = unknown> = DeadLetter<T>;
type index_DeadLetters<T = unknown> = DeadLetters<T>;
type index_DeadLettersUrl<T = unknown> = DeadLettersUrl<T>;
type index_Debug<T = unknown> = Debug<T>;
type index_Decrement<T = unknown> = Decrement<T>;
type index_Default<T = unknown> = Default<T>;
type index_DefaultId<T = unknown> = DefaultId<T>;
type index_DefaultIds<T = unknown> = DefaultIds<T>;
type index_Defaults<T = unknown> = Defaults<T>;
type index_Delay<T = unknown> = Delay<T>;
type index_DelayMs<T = unknown> = DelayMs<T>;
type index_DelaySec<T = unknown> = DelaySec<T>;
type index_Delete<T = unknown> = Delete<T>;
type index_DeletedAt<T = unknown> = DeletedAt<T>;
type index_Dependences<T = unknown> = Dependences<T>;
type index_Depends<T = unknown> = Depends<T>;
type index_DependsOn<T = unknown> = DependsOn<T>;
type index_Depth<T = unknown> = Depth<T>;
type index_Description<T = unknown> = Description<T>;
type index_DescriptionId<T = unknown> = DescriptionId<T>;
type index_DescriptionIds<T = unknown> = DescriptionIds<T>;
type index_Descriptions<T = unknown> = Descriptions<T>;
type index_Desktop<T = unknown> = Desktop<T>;
type index_Detail<T = unknown> = Detail<T>;
type index_DetailId<T = unknown> = DetailId<T>;
type index_DetailIds<T = unknown> = DetailIds<T>;
type index_Details<T = unknown> = Details<T>;
type index_Dev<T = unknown> = Dev<T>;
type index_DevKey<T = unknown> = DevKey<T>;
type index_Developer<T = unknown> = Developer<T>;
type index_DeveloperId<T = unknown> = DeveloperId<T>;
type index_DeveloperIds<T = unknown> = DeveloperIds<T>;
type index_Developers<T = unknown> = Developers<T>;
type index_Device<T = unknown> = Device<T>;
type index_DeviceId<T = unknown> = DeviceId<T>;
type index_DeviceIds<T = unknown> = DeviceIds<T>;
type index_Devices<T = unknown> = Devices<T>;
type index_Dict<T = unknown> = Dict<T>;
type index_Dictionaries<T = unknown> = Dictionaries<T>;
type index_Dictionary<T = unknown> = Dictionary<T>;
type index_Dimension<T = unknown> = Dimension<T>;
type index_Dimensions<T = unknown> = Dimensions<T>;
type index_Directories<T = unknown> = Directories<T>;
type index_Directory<T = unknown> = Directory<T>;
type index_DirectoryName<T = unknown> = DirectoryName<T>;
type index_DirectoryPath<T = unknown> = DirectoryPath<T>;
type index_Disabled<T = unknown> = Disabled<T>;
type index_Discount<T = unknown> = Discount<T>;
type index_DiscountId<T = unknown> = DiscountId<T>;
type index_DiscountIds<T = unknown> = DiscountIds<T>;
type index_Discounts<T = unknown> = Discounts<T>;
type index_Display<T = unknown> = Display<T>;
type index_Docs<T = unknown> = Docs<T>;
type index_Document<T = unknown> = Document<T>;
type index_DocumentId<T = unknown> = DocumentId<T>;
type index_DocumentIds<T = unknown> = DocumentIds<T>;
type index_Documents<T = unknown> = Documents<T>;
type index_Domain<T = unknown> = Domain<T>;
type index_DomainId<T = unknown> = DomainId<T>;
type index_DomainIds<T = unknown> = DomainIds<T>;
type index_DomainName<T = unknown> = DomainName<T>;
type index_DomainUrl<T = unknown> = DomainUrl<T>;
type index_Domains<T = unknown> = Domains<T>;
type index_Dto<T = unknown> = Dto<T>;
type index_Dtos<T = unknown> = Dtos<T>;
type index_Duplicate<T = unknown> = Duplicate<T>;
type index_DuplicateId<T = unknown> = DuplicateId<T>;
type index_DuplicateIds<T = unknown> = DuplicateIds<T>;
type index_DuplicateName<T = unknown> = DuplicateName<T>;
type index_Duplicates<T = unknown> = Duplicates<T>;
type index_Duration<T = unknown> = Duration<T>;
type index_Element<T = unknown> = Element<T>;
type index_ElementId<T = unknown> = ElementId<T>;
type index_ElementIds<T = unknown> = ElementIds<T>;
type index_Elements<T = unknown> = Elements<T>;
type index_Email<T = unknown> = Email<T>;
type index_Employee<T = unknown> = Employee<T>;
type index_EmployeeId<T = unknown> = EmployeeId<T>;
type index_EmployeeIds<T = unknown> = EmployeeIds<T>;
type index_Employees<T = unknown> = Employees<T>;
type index_Employer<T = unknown> = Employer<T>;
type index_EmployerId<T = unknown> = EmployerId<T>;
type index_EmployerIds<T = unknown> = EmployerIds<T>;
type index_Employers<T = unknown> = Employers<T>;
type index_Enabled<T = unknown> = Enabled<T>;
type index_Encoded<T = unknown> = Encoded<T>;
type index_Encoding<T = unknown> = Encoding<T>;
type index_EndDate<T = unknown> = EndDate<T>;
type index_EndTime<T = unknown> = EndTime<T>;
type index_Endpoint<T = unknown> = Endpoint<T>;
type index_Endpoints<T = unknown> = Endpoints<T>;
type index_Entities<T = unknown> = Entities<T>;
type index_Entity<T = unknown> = Entity<T>;
type index_EntityId<T = unknown> = EntityId<T>;
type index_EntityIds<T = unknown> = EntityIds<T>;
type index_Entries<T = unknown> = Entries<T>;
type index_Entry<T = unknown> = Entry<T>;
type index_EntryId<T = unknown> = EntryId<T>;
type index_EntryIds<T = unknown> = EntryIds<T>;
type index_Enum<T = unknown> = Enum<T>;
type index_Env<T = unknown> = Env<T>;
type index_EnvFilePath<T = unknown> = EnvFilePath<T>;
type index_EnvKey<T = unknown> = EnvKey<T>;
type index_EnvKeys<T = unknown> = EnvKeys<T>;
type index_Envar<T = unknown> = Envar<T>;
type index_EnvarKey<T = unknown> = EnvarKey<T>;
type index_Envars<T = unknown> = Envars<T>;
type index_Equals<T = unknown> = Equals<T>;
type index_Error<T = unknown> = Error<T>;
type index_Errors<T = unknown> = Errors<T>;
type index_Event<T = unknown> = Event<T>;
type index_EventId<T = unknown> = EventId<T>;
type index_EventIds<T = unknown> = EventIds<T>;
type index_EventName<T = unknown> = EventName<T>;
type index_EventProperties<T = unknown> = EventProperties<T>;
type index_EventProperty<T = unknown> = EventProperty<T>;
type index_EventTime<T = unknown> = EventTime<T>;
type index_EventType<T = unknown> = EventType<T>;
type index_Events<T = unknown> = Events<T>;
type index_Exact<T = unknown> = Exact<T>;
type index_Example<T = unknown> = Example<T>;
type index_ExampleId<T = unknown> = ExampleId<T>;
type index_ExampleIds<T = unknown> = ExampleIds<T>;
type index_ExamplePath<T = unknown> = ExamplePath<T>;
type index_ExampleUrl<T = unknown> = ExampleUrl<T>;
type index_Examples<T = unknown> = Examples<T>;
type index_ExcludePath<T = unknown> = ExcludePath<T>;
type index_ExcludePaths<T = unknown> = ExcludePaths<T>;
type index_Exists<T = unknown> = Exists<T>;
type index_ExpireAt<T = unknown> = ExpireAt<T>;
type index_Expired<T = unknown> = Expired<T>;
type index_ExpiredToken<T = unknown> = ExpiredToken<T>;
type index_ExpiredTokens<T = unknown> = ExpiredTokens<T>;
type index_Expires<T = unknown> = Expires<T>;
type index_Export<T = unknown> = Export<T>;
type index_Exports<T = unknown> = Exports<T>;
type index_ExposedHeaders<T = unknown> = ExposedHeaders<T>;
type index_Extention<T = unknown> = Extention<T>;
type index_Extentions<T = unknown> = Extentions<T>;
type index_External<T = unknown> = External<T>;
type index_ExternalId<T = unknown> = ExternalId<T>;
type index_ExternalIds<T = unknown> = ExternalIds<T>;
type index_Externals<T = unknown> = Externals<T>;
type index_Facebook<T = unknown> = Facebook<T>;
type index_Factory<T = unknown> = Factory<T>;
type index_Fail<T = unknown> = Fail<T>;
type index_Failed<T = unknown> = Failed<T>;
type index_Fails<T = unknown> = Fails<T>;
type index_Failure<T = unknown> = Failure<T>;
type index_Feature<T = unknown> = Feature<T>;
type index_FeatureId<T = unknown> = FeatureId<T>;
type index_FeatureIds<T = unknown> = FeatureIds<T>;
type index_FeatureName<T = unknown> = FeatureName<T>;
type index_Features<T = unknown> = Features<T>;
type index_Field<T = unknown> = Field<T>;
type index_FieldId<T = unknown> = FieldId<T>;
type index_FieldIds<T = unknown> = FieldIds<T>;
type index_FieldName<T = unknown> = FieldName<T>;
type index_Fields<T = unknown> = Fields<T>;
type index_Fifo<T = unknown> = Fifo<T>;
type index_File<T = unknown> = File<T>;
type index_FileId<T = unknown> = FileId<T>;
type index_FileIds<T = unknown> = FileIds<T>;
type index_FileName<T = unknown> = FileName<T>;
type index_FilePath<T = unknown> = FilePath<T>;
type index_FileSize<T = unknown> = FileSize<T>;
type index_Files<T = unknown> = Files<T>;
type index_Filter<T = unknown> = Filter<T>;
type index_FilterId<T = unknown> = FilterId<T>;
type index_FilterIds<T = unknown> = FilterIds<T>;
type index_Filters<T = unknown> = Filters<T>;
type index_FinishedAt<T = unknown> = FinishedAt<T>;
type index_FirstName<T = unknown> = FirstName<T>;
type index_Folder<T = unknown> = Folder<T>;
type index_FolderId<T = unknown> = FolderId<T>;
type index_FolderIds<T = unknown> = FolderIds<T>;
type index_FolderPath<T = unknown> = FolderPath<T>;
type index_Folders<T = unknown> = Folders<T>;
type index_Font<T = unknown> = Font<T>;
type index_FontFamily<T = unknown> = FontFamily<T>;
type index_FontId<T = unknown> = FontId<T>;
type index_FontIds<T = unknown> = FontIds<T>;
type index_FontName<T = unknown> = FontName<T>;
type index_FontPath<T = unknown> = FontPath<T>;
type index_FontUrl<T = unknown> = FontUrl<T>;
type index_Fonts<T = unknown> = Fonts<T>;
type index_Force<T = unknown> = Force<T>;
type index_Form<T = unknown> = Form<T>;
type index_FormId<T = unknown> = FormId<T>;
type index_FormIds<T = unknown> = FormIds<T>;
type index_Format<T = unknown> = Format<T>;
type index_Formats<T = unknown> = Formats<T>;
type index_Forms<T = unknown> = Forms<T>;
type index_FromDate<T = unknown> = FromDate<T>;
type index_FullName<T = unknown> = FullName<T>;
type index_GID<T = unknown> = GID<T>;
type index_GUID<T = unknown> = GUID<T>;
type index_Game<T = unknown> = Game<T>;
type index_GameId<T = unknown> = GameId<T>;
type index_GameIds<T = unknown> = GameIds<T>;
type index_Games<T = unknown> = Games<T>;
type index_Gender<T = unknown> = Gender<T>;
type index_Git<T = unknown> = Git<T>;
type index_Gitignore<T = unknown> = Gitignore<T>;
type index_Google<T = unknown> = Google<T>;
type index_Group<T = unknown> = Group<T>;
type index_GroupId<T = unknown> = GroupId<T>;
type index_GroupIds<T = unknown> = GroupIds<T>;
type index_GroupName<T = unknown> = GroupName<T>;
type index_Groups<T = unknown> = Groups<T>;
type index_Hash<T = unknown> = Hash<T>;
type index_Header<T = unknown> = Header<T>;
type index_Headers<T = unknown> = Headers<T>;
type index_HeadersTimeout<T = unknown> = HeadersTimeout<T>;
type index_Height<T = unknown> = Height<T>;
type index_Hidden<T = unknown> = Hidden<T>;
type index_Home<T = unknown> = Home<T>;
type index_Homepage<T = unknown> = Homepage<T>;
type index_Hour<T = unknown> = Hour<T>;
type index_Hours<T = unknown> = Hours<T>;
type index_Html<T = unknown> = Html<T>;
type index_HttpOptions<T = unknown> = HttpOptions<T>;
type index_ID<T = unknown> = ID<T>;
type index_IDFA<T = unknown> = IDFA<T>;
type index_IDFV<T = unknown> = IDFV<T>;
type index_IOS<T = unknown> = IOS<T>;
type index_Icon<T = unknown> = Icon<T>;
type index_IconId<T = unknown> = IconId<T>;
type index_IconIds<T = unknown> = IconIds<T>;
type index_IconPath<T = unknown> = IconPath<T>;
type index_IconUrl<T = unknown> = IconUrl<T>;
type index_Icons<T = unknown> = Icons<T>;
type index_Image<T = unknown> = Image<T>;
type index_ImageId<T = unknown> = ImageId<T>;
type index_ImageIds<T = unknown> = ImageIds<T>;
type index_ImageName<T = unknown> = ImageName<T>;
type index_ImagePath<T = unknown> = ImagePath<T>;
type index_ImageUrl<T = unknown> = ImageUrl<T>;
type index_Images<T = unknown> = Images<T>;
type index_Import<T = unknown> = Import<T>;
type index_Imports<T = unknown> = Imports<T>;
type index_Impression<T = unknown> = Impression<T>;
type index_Impressions<T = unknown> = Impressions<T>;
type index_Imutable<T = unknown> = Imutable<T>;
type index_Include<T = unknown> = Include<T>;
type index_IncludeId<T = unknown> = IncludeId<T>;
type index_IncludeIds<T = unknown> = IncludeIds<T>;
type index_IncludePath<T = unknown> = IncludePath<T>;
type index_IncludePaths<T = unknown> = IncludePaths<T>;
type index_Includes<T = unknown> = Includes<T>;
type index_Increment<T = unknown> = Increment<T>;
type index_Index<T = unknown> = Index<T>;
type index_Info<T = unknown> = Info<T>;
type index_Inject<T = unknown> = Inject<T>;
type index_Insert<T = unknown> = Insert<T>;
type index_Insights<T = unknown> = Insights<T>;
type index_Installs<T = unknown> = Installs<T>;
type index_Internal<T = unknown> = Internal<T>;
type index_InternalId<T = unknown> = InternalId<T>;
type index_InternalIds<T = unknown> = InternalIds<T>;
type index_Internals<T = unknown> = Internals<T>;
type index_Invoice<T = unknown> = Invoice<T>;
type index_InvoiceId<T = unknown> = InvoiceId<T>;
type index_InvoiceIds<T = unknown> = InvoiceIds<T>;
type index_InvoiceStatus<T = unknown> = InvoiceStatus<T>;
type index_Ip<T = unknown> = Ip<T>;
type index_IpAddress<T = unknown> = IpAddress<T>;
type index_IpV4<T = unknown> = IpV4<T>;
type index_IpV6<T = unknown> = IpV6<T>;
type index_IsDebug<T = unknown> = IsDebug<T>;
type index_IsDirty<T = unknown> = IsDirty<T>;
type index_IsEnable<T = unknown> = IsEnable<T>;
type index_IsNullable<T = unknown> = IsNullable<T>;
type index_IsProduction<T = unknown> = IsProduction<T>;
type index_IsTrial<T = unknown> = IsTrial<T>;
type index_Iso<T = unknown> = Iso<T>;
type index_Iss<T = unknown> = Iss<T>;
type index_Issue<T = unknown> = Issue<T>;
type index_IssueId<T = unknown> = IssueId<T>;
type index_IssueIds<T = unknown> = IssueIds<T>;
type index_Issuer<T = unknown> = Issuer<T>;
type index_Issues<T = unknown> = Issues<T>;
type index_Item<T = unknown> = Item<T>;
type index_ItemId<T = unknown> = ItemId<T>;
type index_ItemIds<T = unknown> = ItemIds<T>;
type index_ItemName<T = unknown> = ItemName<T>;
type index_Items<T = unknown> = Items<T>;
type index_Job<T = unknown> = Job<T>;
type index_JobId<T = unknown> = JobId<T>;
type index_JobIds<T = unknown> = JobIds<T>;
type index_Jobs<T = unknown> = Jobs<T>;
type index_Json<T = unknown> = Json<T>;
type index_KID<T = unknown> = KID<T>;
type index_KeepAliveTimeout<T = unknown> = KeepAliveTimeout<T>;
type index_Key<T = unknown> = Key<T>;
type index_KeyId<T = unknown> = KeyId<T>;
type index_KeyIds<T = unknown> = KeyIds<T>;
type index_KeyName<T = unknown> = KeyName<T>;
type index_Keys<T = unknown> = Keys<T>;
type index_Keyword<T = unknown> = Keyword<T>;
type index_Keywords<T = unknown> = Keywords<T>;
type index_Kind<T = unknown> = Kind<T>;
type index_Lable<T = unknown> = Lable<T>;
type index_Language<T = unknown> = Language<T>;
type index_Languages<T = unknown> = Languages<T>;
type index_LastName<T = unknown> = LastName<T>;
type index_Left<T = unknown> = Left<T>;
type index_Length<T = unknown> = Length<T>;
type index_Letter<T = unknown> = Letter<T>;
type index_LetterId<T = unknown> = LetterId<T>;
type index_LetterIds<T = unknown> = LetterIds<T>;
type index_Letters<T = unknown> = Letters<T>;
type index_Level<T = unknown> = Level<T>;
type index_LevelId<T = unknown> = LevelId<T>;
type index_LevelIds<T = unknown> = LevelIds<T>;
type index_Levels<T = unknown> = Levels<T>;
type index_License<T = unknown> = License<T>;
type index_Lifo<T = unknown> = Lifo<T>;
type index_Limit<T = unknown> = Limit<T>;
type index_Limited<T = unknown> = Limited<T>;
type index_Link<T = unknown> = Link<T>;
type index_Links<T = unknown> = Links<T>;
type index_List<T = unknown> = List<T>;
type index_ListId<T = unknown> = ListId<T>;
type index_ListIds<T = unknown> = ListIds<T>;
type index_Listener<T = unknown> = Listener<T>;
type index_ListenerId<T = unknown> = ListenerId<T>;
type index_ListenerIds<T = unknown> = ListenerIds<T>;
type index_Listeners<T = unknown> = Listeners<T>;
type index_Lists<T = unknown> = Lists<T>;
type index_Load<T = unknown> = Load<T>;
type index_Local<T = unknown> = Local<T>;
type index_LocalEnv<T = unknown> = LocalEnv<T>;
type index_Localhost<T = unknown> = Localhost<T>;
type index_Location<T = unknown> = Location<T>;
type index_LocationId<T = unknown> = LocationId<T>;
type index_LocationIds<T = unknown> = LocationIds<T>;
type index_LocationName<T = unknown> = LocationName<T>;
type index_Locations<T = unknown> = Locations<T>;
type index_Log<T = unknown> = Log<T>;
type index_LogGroup<T = unknown> = LogGroup<T>;
type index_LogGroups<T = unknown> = LogGroups<T>;
type index_LogLevel<T = unknown> = LogLevel<T>;
type index_LogLevels<T = unknown> = LogLevels<T>;
type index_Logger<T = unknown> = Logger<T>;
type index_Logging<T = unknown> = Logging<T>;
type index_Login<T = unknown> = Login<T>;
type index_Logs<T = unknown> = Logs<T>;
type index_Main<T = unknown> = Main<T>;
type index_Margin<T = unknown> = Margin<T>;
type index_MarginBottom<T = unknown> = MarginBottom<T>;
type index_MarginLeft<T = unknown> = MarginLeft<T>;
type index_MarginRight<T = unknown> = MarginRight<T>;
type index_Marked<T = unknown> = Marked<T>;
type index_Master<T = unknown> = Master<T>;
type index_MasterId<T = unknown> = MasterId<T>;
type index_MasterIds<T = unknown> = MasterIds<T>;
type index_Masters<T = unknown> = Masters<T>;
type index_Material<T = unknown> = Material<T>;
type index_MaterialId<T = unknown> = MaterialId<T>;
type index_MaterialIds<T = unknown> = MaterialIds<T>;
type index_Materials<T = unknown> = Materials<T>;
type index_Matrix<T = unknown> = Matrix<T>;
type index_Max<T = unknown> = Max<T>;
type index_MaxLength<T = unknown> = MaxLength<T>;
type index_Merchant<T = unknown> = Merchant<T>;
type index_MerchantId<T = unknown> = MerchantId<T>;
type index_MerchantIds<T = unknown> = MerchantIds<T>;
type index_Merchants<T = unknown> = Merchants<T>;
type index_Message<T = unknown> = Message<T>;
type index_MessageId<T = unknown> = MessageId<T>;
type index_MessageIds<T = unknown> = MessageIds<T>;
type index_Messages<T = unknown> = Messages<T>;
type index_Meta<T = unknown> = Meta<T>;
type index_Metadata<T = unknown> = Metadata<T>;
type index_Method<T = unknown> = Method<T>;
type index_Methods<T = unknown> = Methods<T>;
type index_Metric<T = unknown> = Metric<T>;
type index_MetricId<T = unknown> = MetricId<T>;
type index_MetricIds<T = unknown> = MetricIds<T>;
type index_Metrics<T = unknown> = Metrics<T>;
type index_Middleware<T = unknown> = Middleware<T>;
type index_Migration<T = unknown> = Migration<T>;
type index_Migrations<T = unknown> = Migrations<T>;
type index_Milliseconds<T = unknown> = Milliseconds<T>;
type index_MimeType<T = unknown> = MimeType<T>;
type index_Min<T = unknown> = Min<T>;
type index_MinLength<T = unknown> = MinLength<T>;
type index_Minutes<T = unknown> = Minutes<T>;
type index_Missing<T = unknown> = Missing<T>;
type index_MissingId<T = unknown> = MissingId<T>;
type index_MissingIds<T = unknown> = MissingIds<T>;
type index_MissingName<T = unknown> = MissingName<T>;
type index_Missings<T = unknown> = Missings<T>;
type index_Mode<T = unknown> = Mode<T>;
type index_Model<T = unknown> = Model<T>;
type index_ModelId<T = unknown> = ModelId<T>;
type index_ModelIds<T = unknown> = ModelIds<T>;
type index_ModelName<T = unknown> = ModelName<T>;
type index_Models<T = unknown> = Models<T>;
type index_Modes<T = unknown> = Modes<T>;
type index_Module<T = unknown> = Module<T>;
type index_Modules<T = unknown> = Modules<T>;
type index_Months<T = unknown> = Months<T>;
type index_Multiplier<T = unknown> = Multiplier<T>;
type index_Mutable<T = unknown> = Mutable<T>;
type index_Name<T = unknown> = Name<T>;
type index_Namespace<T = unknown> = Namespace<T>;
type index_NamespaceId<T = unknown> = NamespaceId<T>;
type index_NamespaceIds<T = unknown> = NamespaceIds<T>;
type index_Namespaces<T = unknown> = Namespaces<T>;
type index_Next<T = unknown> = Next<T>;
type index_NextDate<T = unknown> = NextDate<T>;
type index_NextPageUrl<T = unknown> = NextPageUrl<T>;
type index_Node<T = unknown> = Node<T>;
type index_NodeId<T = unknown> = NodeId<T>;
type index_NodeIds<T = unknown> = NodeIds<T>;
type index_Nodes<T = unknown> = Nodes<T>;
type index_Note<T = unknown> = Note<T>;
type index_NoteId<T = unknown> = NoteId<T>;
type index_NoteIds<T = unknown> = NoteIds<T>;
type index_Notes<T = unknown> = Notes<T>;
type index_Notification<T = unknown> = Notification<T>;
type index_NotificationId<T = unknown> = NotificationId<T>;
type index_NotificationIds<T = unknown> = NotificationIds<T>;
type index_NotificationType<T = unknown> = NotificationType<T>;
type index_Notifications<T = unknown> = Notifications<T>;
type index_Nulluble<T = unknown> = Nulluble<T>;
type index_OS<T = unknown> = OS<T>;
type index_ObjectId<T = unknown> = ObjectId<T>;
type index_ObjectIds<T = unknown> = ObjectIds<T>;
type index_ObjectiveType<T = unknown> = ObjectiveType<T>;
type index_Objects<T = unknown> = Objects<T>;
type index_Offer<T = unknown> = Offer<T>;
type index_OfferId<T = unknown> = OfferId<T>;
type index_OfferIds<T = unknown> = OfferIds<T>;
type index_Offers<T = unknown> = Offers<T>;
type index_Offset<T = unknown> = Offset<T>;
type index_OffsetX<T = unknown> = OffsetX<T>;
type index_OffsetY<T = unknown> = OffsetY<T>;
type index_OffsetZ<T = unknown> = OffsetZ<T>;
type index_Offsets<T = unknown> = Offsets<T>;
type index_OnCreate<T = unknown> = OnCreate<T>;
type index_OnDelete<T = unknown> = OnDelete<T>;
type index_OnUpdate<T = unknown> = OnUpdate<T>;
type index_Option<T = unknown> = Option<T>;
type index_Options<T = unknown> = Options<T>;
type index_Order<T = unknown> = Order<T>;
type index_OrderId<T = unknown> = OrderId<T>;
type index_OrderIds<T = unknown> = OrderIds<T>;
type index_Ordered<T = unknown> = Ordered<T>;
type index_Orders<T = unknown> = Orders<T>;
type index_Origin<T = unknown> = Origin<T>;
type index_OriginId<T = unknown> = OriginId<T>;
type index_OriginIds<T = unknown> = OriginIds<T>;
type index_Origins<T = unknown> = Origins<T>;
type index_Owner<T = unknown> = Owner<T>;
type index_OwnerId<T = unknown> = OwnerId<T>;
type index_OwnerIds<T = unknown> = OwnerIds<T>;
type index_OwnerName<T = unknown> = OwnerName<T>;
type index_Owners<T = unknown> = Owners<T>;
type index_PID<T = unknown> = PID<T>;
type index_PIN<T = unknown> = PIN<T>;
type index_PUK<T = unknown> = PUK<T>;
type index_Package<T = unknown> = Package<T>;
type index_PackageId<T = unknown> = PackageId<T>;
type index_PackageIds<T = unknown> = PackageIds<T>;
type index_PackageName<T = unknown> = PackageName<T>;
type index_Packages<T = unknown> = Packages<T>;
type index_Padding<T = unknown> = Padding<T>;
type index_PaddingBottom<T = unknown> = PaddingBottom<T>;
type index_PaddingLeft<T = unknown> = PaddingLeft<T>;
type index_PaddingRight<T = unknown> = PaddingRight<T>;
type index_Page<T = unknown> = Page<T>;
type index_PageId<T = unknown> = PageId<T>;
type index_PageIds<T = unknown> = PageIds<T>;
type index_PageInfo<T = unknown> = PageInfo<T>;
type index_PageSize<T = unknown> = PageSize<T>;
type index_PageUrl<T = unknown> = PageUrl<T>;
type index_Pagination<T = unknown> = Pagination<T>;
type index_Paging<T = unknown> = Paging<T>;
type index_Param<T = unknown> = Param<T>;
type index_Params<T = unknown> = Params<T>;
type index_Part<T = unknown> = Part<T>;
type index_PartId<T = unknown> = PartId<T>;
type index_PartIds<T = unknown> = PartIds<T>;
type index_Parts<T = unknown> = Parts<T>;
type index_Password<T = unknown> = Password<T>;
type index_Path<T = unknown> = Path<T>;
type index_Paths<T = unknown> = Paths<T>;
type index_Pause<T = unknown> = Pause<T>;
type index_Paused<T = unknown> = Paused<T>;
type index_PausedAt<T = unknown> = PausedAt<T>;
type index_PausedFrom<T = unknown> = PausedFrom<T>;
type index_PausedTo<T = unknown> = PausedTo<T>;
type index_Payer<T = unknown> = Payer<T>;
type index_PayerId<T = unknown> = PayerId<T>;
type index_PayerIds<T = unknown> = PayerIds<T>;
type index_Payers<T = unknown> = Payers<T>;
type index_Payload<T = unknown> = Payload<T>;
type index_Payment<T = unknown> = Payment<T>;
type index_PaymentId<T = unknown> = PaymentId<T>;
type index_PaymentIds<T = unknown> = PaymentIds<T>;
type index_PaymentNumber<T = unknown> = PaymentNumber<T>;
type index_Payments<T = unknown> = Payments<T>;
type index_PaymentsNumber<T = unknown> = PaymentsNumber<T>;
type index_Permission<T = unknown> = Permission<T>;
type index_PermissionId<T = unknown> = PermissionId<T>;
type index_PermissionIds<T = unknown> = PermissionIds<T>;
type index_Permissions<T = unknown> = Permissions<T>;
type index_PhoneNumber<T = unknown> = PhoneNumber<T>;
type index_PixelCode<T = unknown> = PixelCode<T>;
type index_Placement<T = unknown> = Placement<T>;
type index_PlacementId<T = unknown> = PlacementId<T>;
type index_PlacementIds<T = unknown> = PlacementIds<T>;
type index_Placements<T = unknown> = Placements<T>;
type index_Platform<T = unknown> = Platform<T>;
type index_PlatformId<T = unknown> = PlatformId<T>;
type index_PlatformIds<T = unknown> = PlatformIds<T>;
type index_PlatformName<T = unknown> = PlatformName<T>;
type index_Platforms<T = unknown> = Platforms<T>;
type index_Player<T = unknown> = Player<T>;
type index_PlayerId<T = unknown> = PlayerId<T>;
type index_PlayerIds<T = unknown> = PlayerIds<T>;
type index_Players<T = unknown> = Players<T>;
type index_Point<T = unknown> = Point<T>;
type index_PointId<T = unknown> = PointId<T>;
type index_PointIds<T = unknown> = PointIds<T>;
type index_Pointer<T = unknown> = Pointer<T>;
type index_Points<T = unknown> = Points<T>;
type index_Port<T = unknown> = Port<T>;
type index_Possition<T = unknown> = Possition<T>;
type index_PossitionX<T = unknown> = PossitionX<T>;
type index_PossitionY<T = unknown> = PossitionY<T>;
type index_PossitionZ<T = unknown> = PossitionZ<T>;
type index_Possitions<T = unknown> = Possitions<T>;
type index_Post<T = unknown> = Post<T>;
type index_PostId<T = unknown> = PostId<T>;
type index_PostIds<T = unknown> = PostIds<T>;
type index_PostalCode<T = unknown> = PostalCode<T>;
type index_Posts<T = unknown> = Posts<T>;
type index_Preferences<T = unknown> = Preferences<T>;
type index_Prefix<T = unknown> = Prefix<T>;
type index_Price<T = unknown> = Price<T>;
type index_Primary<T = unknown> = Primary<T>;
type index_Priority<T = unknown> = Priority<T>;
type index_Private<T = unknown> = Private<T>;
type index_PrivateKey<T = unknown> = PrivateKey<T>;
type index_Prod<T = unknown> = Prod<T>;
type index_Product<T = unknown> = Product<T>;
type index_ProductId<T = unknown> = ProductId<T>;
type index_ProductIds<T = unknown> = ProductIds<T>;
type index_ProductName<T = unknown> = ProductName<T>;
type index_Production<T = unknown> = Production<T>;
type index_Products<T = unknown> = Products<T>;
type index_Profile<T = unknown> = Profile<T>;
type index_ProfileId<T = unknown> = ProfileId<T>;
type index_ProfileIds<T = unknown> = ProfileIds<T>;
type index_Profiles<T = unknown> = Profiles<T>;
type index_Project<T = unknown> = Project<T>;
type index_ProjectId<T = unknown> = ProjectId<T>;
type index_ProjectIds<T = unknown> = ProjectIds<T>;
type index_Projects<T = unknown> = Projects<T>;
type index_Properties<T = unknown> = Properties<T>;
type index_Property<T = unknown> = Property<T>;
type index_PropertyId<T = unknown> = PropertyId<T>;
type index_PropertyIds<T = unknown> = PropertyIds<T>;
type index_Props<T = unknown> = Props<T>;
type index_Provider<T = unknown> = Provider<T>;
type index_Providers<T = unknown> = Providers<T>;
type index_Public<T = unknown> = Public<T>;
type index_PublicKey<T = unknown> = PublicKey<T>;
type index_PublicPath<T = unknown> = PublicPath<T>;
type index_Publication<T = unknown> = Publication<T>;
type index_PublicationId<T = unknown> = PublicationId<T>;
type index_PublicationIds<T = unknown> = PublicationIds<T>;
type index_Publications<T = unknown> = Publications<T>;
type index_Published<T = unknown> = Published<T>;
type index_PublishedAt<T = unknown> = PublishedAt<T>;
type index_Publisher<T = unknown> = Publisher<T>;
type index_PublisherId<T = unknown> = PublisherId<T>;
type index_PublisherIds<T = unknown> = PublisherIds<T>;
type index_PublisherName<T = unknown> = PublisherName<T>;
type index_Publishers<T = unknown> = Publishers<T>;
type index_Purchase<T = unknown> = Purchase<T>;
type index_PurchaseDate<T = unknown> = PurchaseDate<T>;
type index_PurchaseId<T = unknown> = PurchaseId<T>;
type index_PurchaseIds<T = unknown> = PurchaseIds<T>;
type index_PurchaseName<T = unknown> = PurchaseName<T>;
type index_PurchaseToken<T = unknown> = PurchaseToken<T>;
type index_PurchaseType<T = unknown> = PurchaseType<T>;
type index_Purchases<T = unknown> = Purchases<T>;
type index_Quantity<T = unknown> = Quantity<T>;
type index_Queries<T = unknown> = Queries<T>;
type index_Query<T = unknown> = Query<T>;
type index_Question<T = unknown> = Question<T>;
type index_QuestionId<T = unknown> = QuestionId<T>;
type index_QuestionIds<T = unknown> = QuestionIds<T>;
type index_Questions<T = unknown> = Questions<T>;
type index_Queue<T = unknown> = Queue<T>;
type index_QueueId<T = unknown> = QueueId<T>;
type index_QueueIds<T = unknown> = QueueIds<T>;
type index_QueueName<T = unknown> = QueueName<T>;
type index_QueueUrl<T = unknown> = QueueUrl<T>;
type index_Queues<T = unknown> = Queues<T>;
type index_Radius<T = unknown> = Radius<T>;
type index_Range<T = unknown> = Range<T>;
type index_Ranges<T = unknown> = Ranges<T>;
type index_Ratio<T = unknown> = Ratio<T>;
type index_Raw<T = unknown> = Raw<T>;
type index_RawBody<T = unknown> = RawBody<T>;
type index_Reason<T = unknown> = Reason<T>;
type index_ReasonId<T = unknown> = ReasonId<T>;
type index_ReasonIds<T = unknown> = ReasonIds<T>;
type index_Reasons<T = unknown> = Reasons<T>;
type index_Receipt<T = unknown> = Receipt<T>;
type index_ReceiptId<T = unknown> = ReceiptId<T>;
type index_ReceiptIds<T = unknown> = ReceiptIds<T>;
type index_Receipts<T = unknown> = Receipts<T>;
type index_Redis<T = unknown> = Redis<T>;
type index_Ref<T = unknown> = Ref<T>;
type index_Reference<T = unknown> = Reference<T>;
type index_References<T = unknown> = References<T>;
type index_Referrer<T = unknown> = Referrer<T>;
type index_RefreshToken<T = unknown> = RefreshToken<T>;
type index_RefundedAt<T = unknown> = RefundedAt<T>;
type index_Region<T = unknown> = Region<T>;
type index_RegionCode<T = unknown> = RegionCode<T>;
type index_Regions<T = unknown> = Regions<T>;
type index_Relation<T = unknown> = Relation<T>;
type index_RelationId<T = unknown> = RelationId<T>;
type index_RelationIds<T = unknown> = RelationIds<T>;
type index_Relations<T = unknown> = Relations<T>;
type index_Remote<T = unknown> = Remote<T>;
type index_Remove<T = unknown> = Remove<T>;
type index_Replica<T = unknown> = Replica<T>;
type index_ReplicaId<T = unknown> = ReplicaId<T>;
type index_ReplicaIds<T = unknown> = ReplicaIds<T>;
type index_ReplicaName<T = unknown> = ReplicaName<T>;
type index_ReplicaUrl<T = unknown> = ReplicaUrl<T>;
type index_Replicas<T = unknown> = Replicas<T>;
type index_Replication<T = unknown> = Replication<T>;
type index_ReplicationId<T = unknown> = ReplicationId<T>;
type index_ReplicationIds<T = unknown> = ReplicationIds<T>;
type index_Replications<T = unknown> = Replications<T>;
type index_Report<T = unknown> = Report<T>;
type index_ReportId<T = unknown> = ReportId<T>;
type index_ReportIds<T = unknown> = ReportIds<T>;
type index_Reports<T = unknown> = Reports<T>;
type index_Repositories<T = unknown> = Repositories<T>;
type index_Repository<T = unknown> = Repository<T>;
type index_RepositoryUrl<T = unknown> = RepositoryUrl<T>;
type index_Req<T = unknown> = Req<T>;
type index_Request<T = unknown> = Request<T>;
type index_RequestId<T = unknown> = RequestId<T>;
type index_RequestIds<T = unknown> = RequestIds<T>;
type index_Requests<T = unknown> = Requests<T>;
type index_Res<T = unknown> = Res<T>;
type index_Resource<T = unknown> = Resource<T>;
type index_ResourceId<T = unknown> = ResourceId<T>;
type index_ResourceIds<T = unknown> = ResourceIds<T>;
type index_ResourceName<T = unknown> = ResourceName<T>;
type index_ResourcePath<T = unknown> = ResourcePath<T>;
type index_ResourceUrl<T = unknown> = ResourceUrl<T>;
type index_Resources<T = unknown> = Resources<T>;
type index_Response<T = unknown> = Response<T>;
type index_ResponseId<T = unknown> = ResponseId<T>;
type index_ResponseIds<T = unknown> = ResponseIds<T>;
type index_Responses<T = unknown> = Responses<T>;
type index_Result<T = unknown> = Result<T>;
type index_ResultId<T = unknown> = ResultId<T>;
type index_ResultIds<T = unknown> = ResultIds<T>;
type index_Results<T = unknown> = Results<T>;
type index_Retry<T = unknown> = Retry<T>;
type index_RetryCount<T = unknown> = RetryCount<T>;
type index_Right<T = unknown> = Right<T>;
type index_Role<T = unknown> = Role<T>;
type index_RoleId<T = unknown> = RoleId<T>;
type index_RoleIds<T = unknown> = RoleIds<T>;
type index_RoleName<T = unknown> = RoleName<T>;
type index_Roles<T = unknown> = Roles<T>;
type index_Rotation<T = unknown> = Rotation<T>;
type index_RotationX<T = unknown> = RotationX<T>;
type index_RotationY<T = unknown> = RotationY<T>;
type index_RotationZ<T = unknown> = RotationZ<T>;
type index_Rotations<T = unknown> = Rotations<T>;
type index_Route<T = unknown> = Route<T>;
type index_Routes<T = unknown> = Routes<T>;
type index_Row<T = unknown> = Row<T>;
type index_RowId<T = unknown> = RowId<T>;
type index_RowIds<T = unknown> = RowIds<T>;
type index_Rows<T = unknown> = Rows<T>;
type index_SETID<T = unknown> = SETID<T>;
type index_SSL<T = unknown> = SSL<T>;
type index_Salt<T = unknown> = Salt<T>;
type index_Scale<T = unknown> = Scale<T>;
type index_ScaleX<T = unknown> = ScaleX<T>;
type index_ScaleY<T = unknown> = ScaleY<T>;
type index_ScaleZ<T = unknown> = ScaleZ<T>;
type index_Scales<T = unknown> = Scales<T>;
type index_Scenario<T = unknown> = Scenario<T>;
type index_ScenarioId<T = unknown> = ScenarioId<T>;
type index_ScenarioIds<T = unknown> = ScenarioIds<T>;
type index_Scenarios<T = unknown> = Scenarios<T>;
type index_Schedule<T = unknown> = Schedule<T>;
type index_Scheduled<T = unknown> = Scheduled<T>;
type index_Scheduler<T = unknown> = Scheduler<T>;
type index_Schema<T = unknown> = Schema<T>;
type index_SchemaId<T = unknown> = SchemaId<T>;
type index_SchemaIds<T = unknown> = SchemaIds<T>;
type index_SchemaName<T = unknown> = SchemaName<T>;
type index_Schemas<T = unknown> = Schemas<T>;
type index_Scope<T = unknown> = Scope<T>;
type index_Scopes<T = unknown> = Scopes<T>;
type index_Screen<T = unknown> = Screen<T>;
type index_Sdk<T = unknown> = Sdk<T>;
type index_Secondary<T = unknown> = Secondary<T>;
type index_Seconds<T = unknown> = Seconds<T>;
type index_Secret<T = unknown> = Secret<T>;
type index_SecretKey<T = unknown> = SecretKey<T>;
type index_Select<T = unknown> = Select<T>;
type index_Selected<T = unknown> = Selected<T>;
type index_Selector<T = unknown> = Selector<T>;
type index_Sender<T = unknown> = Sender<T>;
type index_SenderId<T = unknown> = SenderId<T>;
type index_SenderIds<T = unknown> = SenderIds<T>;
type index_SenderName<T = unknown> = SenderName<T>;
type index_Senders<T = unknown> = Senders<T>;
type index_Separator<T = unknown> = Separator<T>;
type index_Sequence<T = unknown> = Sequence<T>;
type index_SequenceId<T = unknown> = SequenceId<T>;
type index_SequenceIds<T = unknown> = SequenceIds<T>;
type index_Sequences<T = unknown> = Sequences<T>;
type index_Server<T = unknown> = Server<T>;
type index_ServerHost<T = unknown> = ServerHost<T>;
type index_ServerPort<T = unknown> = ServerPort<T>;
type index_ServerUrl<T = unknown> = ServerUrl<T>;
type index_Service<T = unknown> = Service<T>;
type index_ServiceId<T = unknown> = ServiceId<T>;
type index_ServiceIds<T = unknown> = ServiceIds<T>;
type index_ServiceName<T = unknown> = ServiceName<T>;
type index_ServicePath<T = unknown> = ServicePath<T>;
type index_ServiceUrl<T = unknown> = ServiceUrl<T>;
type index_Services<T = unknown> = Services<T>;
type index_Session<T = unknown> = Session<T>;
type index_SessionId<T = unknown> = SessionId<T>;
type index_SessionIds<T = unknown> = SessionIds<T>;
type index_Sessions<T = unknown> = Sessions<T>;
type index_Set<T = unknown> = Set<T>;
type index_SetId<T = unknown> = SetId<T>;
type index_SetIds<T = unknown> = SetIds<T>;
type index_Sets<T = unknown> = Sets<T>;
type index_Settings<T = unknown> = Settings<T>;
type index_Setup<T = unknown> = Setup<T>;
type index_SetupId<T = unknown> = SetupId<T>;
type index_SetupIds<T = unknown> = SetupIds<T>;
type index_Setups<T = unknown> = Setups<T>;
type index_ShutdownDelay<T = unknown> = ShutdownDelay<T>;
type index_Signature<T = unknown> = Signature<T>;
type index_Since<T = unknown> = Since<T>;
type index_Size<T = unknown> = Size<T>;
type index_Skip<T = unknown> = Skip<T>;
type index_Slack<T = unknown> = Slack<T>;
type index_Slave<T = unknown> = Slave<T>;
type index_SlaveId<T = unknown> = SlaveId<T>;
type index_SlaveIds<T = unknown> = SlaveIds<T>;
type index_Slaves<T = unknown> = Slaves<T>;
type index_Snapshot<T = unknown> = Snapshot<T>;
type index_SnapshotId<T = unknown> = SnapshotId<T>;
type index_SnapshotIds<T = unknown> = SnapshotIds<T>;
type index_SnapshotUrl<T = unknown> = SnapshotUrl<T>;
type index_Snapshots<T = unknown> = Snapshots<T>;
type index_Sort<T = unknown> = Sort<T>;
type index_Source<T = unknown> = Source<T>;
type index_Spend<T = unknown> = Spend<T>;
type index_Spends<T = unknown> = Spends<T>;
type index_Stage<T = unknown> = Stage<T>;
type index_StartDate<T = unknown> = StartDate<T>;
type index_StartTime<T = unknown> = StartTime<T>;
type index_StartedAt<T = unknown> = StartedAt<T>;
type index_State<T = unknown> = State<T>;
type index_States<T = unknown> = States<T>;
type index_Stats<T = unknown> = Stats<T>;
type index_Status<T = unknown> = Status<T>;
type index_Strategies<T = unknown> = Strategies<T>;
type index_Strategy<T = unknown> = Strategy<T>;
type index_StrategyId<T = unknown> = StrategyId<T>;
type index_StrategyIds<T = unknown> = StrategyIds<T>;
type index_StrategyName<T = unknown> = StrategyName<T>;
type index_Stream<T = unknown> = Stream<T>;
type index_StreamId<T = unknown> = StreamId<T>;
type index_StreamIds<T = unknown> = StreamIds<T>;
type index_StreamName<T = unknown> = StreamName<T>;
type index_Streams<T = unknown> = Streams<T>;
type index_Subject<T = unknown> = Subject<T>;
type index_SubjectId<T = unknown> = SubjectId<T>;
type index_SubjectIds<T = unknown> = SubjectIds<T>;
type index_Subjects<T = unknown> = Subjects<T>;
type index_Subscriber<T = unknown> = Subscriber<T>;
type index_SubscriberId<T = unknown> = SubscriberId<T>;
type index_SubscriberIds<T = unknown> = SubscriberIds<T>;
type index_Subscribers<T = unknown> = Subscribers<T>;
type index_Subscription<T = unknown> = Subscription<T>;
type index_SubscriptionId<T = unknown> = SubscriptionId<T>;
type index_SubscriptionIds<T = unknown> = SubscriptionIds<T>;
type index_Subscriptions<T = unknown> = Subscriptions<T>;
type index_Success<T = unknown> = Success<T>;
type index_Sum<T = unknown> = Sum<T>;
type index_Summary<T = unknown> = Summary<T>;
type index_Synchronize<T = unknown> = Synchronize<T>;
type index_Table<T = unknown> = Table<T>;
type index_TableId<T = unknown> = TableId<T>;
type index_TableIds<T = unknown> = TableIds<T>;
type index_TableName<T = unknown> = TableName<T>;
type index_Tables<T = unknown> = Tables<T>;
type index_Tag<T = unknown> = Tag<T>;
type index_TagId<T = unknown> = TagId<T>;
type index_TagIds<T = unknown> = TagIds<T>;
type index_Tags<T = unknown> = Tags<T>;
type index_Take<T = unknown> = Take<T>;
type index_Target<T = unknown> = Target<T>;
type index_TargetId<T = unknown> = TargetId<T>;
type index_TargetIds<T = unknown> = TargetIds<T>;
type index_Targets<T = unknown> = Targets<T>;
type index_Task<T = unknown> = Task<T>;
type index_TaskId<T = unknown> = TaskId<T>;
type index_TaskIds<T = unknown> = TaskIds<T>;
type index_Tasks<T = unknown> = Tasks<T>;
type index_Taxes<T = unknown> = Taxes<T>;
type index_Template<T = unknown> = Template<T>;
type index_TemplateId<T = unknown> = TemplateId<T>;
type index_TemplateIds<T = unknown> = TemplateIds<T>;
type index_TemplateName<T = unknown> = TemplateName<T>;
type index_TemplatePath<T = unknown> = TemplatePath<T>;
type index_TemplateUrl<T = unknown> = TemplateUrl<T>;
type index_Templates<T = unknown> = Templates<T>;
type index_Text<T = unknown> = Text<T>;
type index_TextSize<T = unknown> = TextSize<T>;
type index_Throttle<T = unknown> = Throttle<T>;
type index_ThrottleMs<T = unknown> = ThrottleMs<T>;
type index_ThrottleSec<T = unknown> = ThrottleSec<T>;
type index_Ticket<T = unknown> = Ticket<T>;
type index_TicketId<T = unknown> = TicketId<T>;
type index_TicketIds<T = unknown> = TicketIds<T>;
type index_Tickets<T = unknown> = Tickets<T>;
type index_Tiktok<T = unknown> = Tiktok<T>;
type index_Time<T = unknown> = Time<T>;
type index_TimeRange<T = unknown> = TimeRange<T>;
type index_TimeUtc<T = unknown> = TimeUtc<T>;
type index_Timeout<T = unknown> = Timeout<T>;
type index_Timer<T = unknown> = Timer<T>;
type index_Timestamp<T = unknown> = Timestamp<T>;
type index_TimestampUtc<T = unknown> = TimestampUtc<T>;
type index_Timezone<T = unknown> = Timezone<T>;
type index_TimezoneOffset<T = unknown> = TimezoneOffset<T>;
type index_Title<T = unknown> = Title<T>;
type index_Tmp<T = unknown> = Tmp<T>;
type index_TmpPath<T = unknown> = TmpPath<T>;
type index_ToDate<T = unknown> = ToDate<T>;
type index_Token<T = unknown> = Token<T>;
type index_TokenId<T = unknown> = TokenId<T>;
type index_TokenIds<T = unknown> = TokenIds<T>;
type index_TokenType<T = unknown> = TokenType<T>;
type index_Tokens<T = unknown> = Tokens<T>;
type index_Tool<T = unknown> = Tool<T>;
type index_ToolId<T = unknown> = ToolId<T>;
type index_ToolIds<T = unknown> = ToolIds<T>;
type index_Tools<T = unknown> = Tools<T>;
type index_Top<T = unknown> = Top<T>;
type index_Topic<T = unknown> = Topic<T>;
type index_TopicId<T = unknown> = TopicId<T>;
type index_TopicIds<T = unknown> = TopicIds<T>;
type index_TopicName<T = unknown> = TopicName<T>;
type index_Topics<T = unknown> = Topics<T>;
type index_TotalClicks<T = unknown> = TotalClicks<T>;
type index_TotalCount<T = unknown> = TotalCount<T>;
type index_TotalImpressions<T = unknown> = TotalImpressions<T>;
type index_TotalInstalls<T = unknown> = TotalInstalls<T>;
type index_TotalNumber<T = unknown> = TotalNumber<T>;
type index_TotalSpend<T = unknown> = TotalSpend<T>;
type index_Town<T = unknown> = Town<T>;
type index_Transaction<T = unknown> = Transaction<T>;
type index_TransactionId<T = unknown> = TransactionId<T>;
type index_TransactionIds<T = unknown> = TransactionIds<T>;
type index_TransactionToken<T = unknown> = TransactionToken<T>;
type index_Transactions<T = unknown> = Transactions<T>;
type index_Transformer<T = unknown> = Transformer<T>;
type index_Trial<T = unknown> = Trial<T>;
type index_Ttl<T = unknown> = Ttl<T>;
type index_TtlMs<T = unknown> = TtlMs<T>;
type index_TtlSec<T = unknown> = TtlSec<T>;
type index_Type<T = unknown> = Type<T>;
type index_TypeId<T = unknown> = TypeId<T>;
type index_TypeIds<T = unknown> = TypeIds<T>;
type index_Types<T = unknown> = Types<T>;
type index_UUID<T = unknown> = UUID<T>;
type index_Unique<T = unknown> = Unique<T>;
type index_UniqueId<T = unknown> = UniqueId<T>;
type index_UniqueIds<T = unknown> = UniqueIds<T>;
type index_Uniques<T = unknown> = Uniques<T>;
type index_Until<T = unknown> = Until<T>;
type index_Update<T = unknown> = Update<T>;
type index_UpdatedAt<T = unknown> = UpdatedAt<T>;
type index_Uri<T = unknown> = Uri<T>;
type index_Url<T = unknown> = Url<T>;
type index_User<T = unknown> = User<T>;
type index_UserAgent<T = unknown> = UserAgent<T>;
type index_UserData<T = unknown> = UserData<T>;
type index_UserId<T = unknown> = UserId<T>;
type index_UserIds<T = unknown> = UserIds<T>;
type index_UserName<T = unknown> = UserName<T>;
type index_UserPassword<T = unknown> = UserPassword<T>;
type index_UserProperties<T = unknown> = UserProperties<T>;
type index_Username<T = unknown> = Username<T>;
type index_Users<T = unknown> = Users<T>;
type index_Utc<T = unknown> = Utc<T>;
type index_Value<T = unknown> = Value<T>;
type index_Values<T = unknown> = Values<T>;
type index_Vars<T = unknown> = Vars<T>;
type index_Vector<T = unknown> = Vector<T>;
type index_VendorId<T = unknown> = VendorId<T>;
type index_VendorIds<T = unknown> = VendorIds<T>;
type index_Verbose<T = unknown> = Verbose<T>;
type index_Version<T = unknown> = Version<T>;
type index_Video<T = unknown> = Video<T>;
type index_VideoId<T = unknown> = VideoId<T>;
type index_VideoIds<T = unknown> = VideoIds<T>;
type index_VideoName<T = unknown> = VideoName<T>;
type index_VideoUrl<T = unknown> = VideoUrl<T>;
type index_Videos<T = unknown> = Videos<T>;
type index_View<T = unknown> = View<T>;
type index_ViewId<T = unknown> = ViewId<T>;
type index_ViewIds<T = unknown> = ViewIds<T>;
type index_Views<T = unknown> = Views<T>;
type index_Visitor<T = unknown> = Visitor<T>;
type index_VisitorId<T = unknown> = VisitorId<T>;
type index_VisitorIds<T = unknown> = VisitorIds<T>;
type index_Visitors<T = unknown> = Visitors<T>;
type index_Warning<T = unknown> = Warning<T>;
type index_Web<T = unknown> = Web<T>;
type index_Webhook<T = unknown> = Webhook<T>;
type index_WebhookUrl<T = unknown> = WebhookUrl<T>;
type index_Webhooks<T = unknown> = Webhooks<T>;
type index_Week<T = unknown> = Week<T>;
type index_Weeks<T = unknown> = Weeks<T>;
type index_Weight<T = unknown> = Weight<T>;
type index_Where<T = unknown> = Where<T>;
type index_Whitelist<T = unknown> = Whitelist<T>;
type index_Width<T = unknown> = Width<T>;
type index_Workspace<T = unknown> = Workspace<T>;
type index_WorkspaceId<T = unknown> = WorkspaceId<T>;
type index_WorkspaceIds<T = unknown> = WorkspaceIds<T>;
type index_Workspaces<T = unknown> = Workspaces<T>;
type index_X<T = unknown> = X<T>;
type index_Y<T = unknown> = Y<T>;
type index_Year<T = unknown> = Year<T>;
type index_Years<T = unknown> = Years<T>;
type index_Z<T = unknown> = Z<T>;
type index_ZIndex<T = unknown> = ZIndex<T>;
type index_Zip<T = unknown> = Zip<T>;
type index_ZipCode<T = unknown> = ZipCode<T>;
type index_Ziped<T = unknown> = Ziped<T>;
declare namespace index {
  export type { index_AAID as AAID, index_About as About, index_AccessKey as AccessKey, index_AccessKeyId as AccessKeyId, index_AccessKeyName as AccessKeyName, index_AccessPoint as AccessPoint, index_AccessToken as AccessToken, index_Account as Account, index_AccountId as AccountId, index_AccountIds as AccountIds, index_AccountName as AccountName, index_Accounts as Accounts, index_Action as Action, index_Activator as Activator, index_ActivatorId as ActivatorId, index_ActivatorIds as ActivatorIds, index_ActivatorName as ActivatorName, index_Activators as Activators, index_Ad as Ad, index_AdGroup as AdGroup, index_AdGroupId as AdGroupId, index_AdGroupIds as AdGroupIds, index_AdGroupName as AdGroupName, index_AdId as AdId, index_AdIds as AdIds, index_AdName as AdName, index_Add as Add, index_Address as Address, index_Addresses as Addresses, index_Adgroups as Adgroups, index_Admin as Admin, index_AdminId as AdminId, index_AdminIds as AdminIds, index_Admins as Admins, index_Ads as Ads, index_Adset as Adset, index_AdsetId as AdsetId, index_AdsetIds as AdsetIds, index_AdsetName as AdsetName, index_Advertiser as Advertiser, index_AdvertiserId as AdvertiserId, index_AdvertiserIds as AdvertiserIds, index_Advertisers as Advertisers, index_Age as Age, index_AgeGroup as AgeGroup, index_Airtable as Airtable, index_Albom as Albom, index_AlbomId as AlbomId, index_AlbomIds as AlbomIds, index_AlbomName as AlbomName, index_Alboms as Alboms, index_Alg as Alg, index_Alias as Alias, index_Align as Align, index_All as All, index_Amount as Amount, index_Amplitude as Amplitude, index_Android as Android, index_Answer as Answer, index_AnswerId as AnswerId, index_AnswerIds as AnswerIds, index_Answers as Answers, index_Api as Api, index_ApiKey as ApiKey, index_ApiKeys as ApiKeys, index_ApiSecret as ApiSecret, index_ApiUrl as ApiUrl, index_App as App, index_AppId as AppId, index_AppIds as AppIds, index_Apple as Apple, index_Application as Application, index_ApplicationId as ApplicationId, index_ApplicationIds as ApplicationIds, index_Applications as Applications, index_Applovin as Applovin, index_Apps as Apps, index_Appsflayer as Appsflayer, index_AppslyerId as AppslyerId, index_Arg as Arg, index_Args as Args, index_Asset as Asset, index_AssetHash as AssetHash, index_AssetId as AssetId, index_AssetIds as AssetIds, index_AssetName as AssetName, index_Assets as Assets, index_Attempt as Attempt, index_Attempts as Attempts, index_Attribute as Attribute, index_AttributeId as AttributeId, index_AttributeIds as AttributeIds, index_Attributes as Attributes, index_Auth as Auth, index_AuthProvider as AuthProvider, index_Authorized as Authorized, index_Auto as Auto, index_AutoLoad as AutoLoad, index_AutoRun as AutoRun, index_Aws as Aws, index_BID as BID, index_Background as Background, index_BackgroundColor as BackgroundColor, index_Badge as Badge, index_BadgeId as BadgeId, index_BadgeIds as BadgeIds, index_Badges as Badges, index_BaseUrl as BaseUrl, index_Blacklist as Blacklist, index_Block as Block, index_BlockId as BlockId, index_BlockIds as BlockIds, index_Blocked as Blocked, index_Blocks as Blocks, index_Blueprint as Blueprint, index_BlueprintId as BlueprintId, index_BlueprintIds as BlueprintIds, index_BlueprintName as BlueprintName, index_Blueprints as Blueprints, index_Body as Body, index_Border as Border, index_Bottom as Bottom, index_Bucket as Bucket, index_BucketId as BucketId, index_BucketIds as BucketIds, index_BucketName as BucketName, index_BucketUrl as BucketUrl, index_Buckets as Buckets, index_Budget as Budget, index_BudgetMode as BudgetMode, index_Buffer as Buffer, index_Builder as Builder, index_Bundle as Bundle, index_BundleId as BundleId, index_BundleIds as BundleIds, index_Bundles as Bundles, index_Cache as Cache, index_CacheId as CacheId, index_CacheIds as CacheIds, index_CacheKey as CacheKey, index_Callback as Callback, index_Calls as Calls, index_Campaign as Campaign, index_CampaignId as CampaignId, index_CampaignIds as CampaignIds, index_CampaignName as CampaignName, index_CampaignNames as CampaignNames, index_Campaigns as Campaigns, index_Cancel as Cancel, index_Canceled as Canceled, index_Card as Card, index_CardId as CardId, index_CardIds as CardIds, index_Cards as Cards, index_Cascade as Cascade, index_Categories as Categories, index_Category as Category, index_CategoryId as CategoryId, index_CategoryIds as CategoryIds, index_CategoryName as CategoryName, index_Cert as Cert, index_Certificate as Certificate, index_CertificateId as CertificateId, index_CertificateIds as CertificateIds, index_Certificates as Certificates, index_Channel as Channel, index_ChannelId as ChannelId, index_ChannelIds as ChannelIds, index_ChannelName as ChannelName, index_Channels as Channels, index_ChargedAt as ChargedAt, index_Chunk as Chunk, index_ChunkId as ChunkId, index_ChunkIds as ChunkIds, index_ChunkSize as ChunkSize, index_Chunks as Chunks, index_City as City, index_Class as Class, index_ClassId as ClassId, index_ClassIds as ClassIds, index_Classes as Classes, index_ClickId as ClickId, index_ClickIds as ClickIds, index_Clicks as Clicks, index_Client as Client, index_ClientId as ClientId, index_ClientIds as ClientIds, index_Clients as Clients, index_CloseConnectionTimeout as CloseConnectionTimeout, index_Cluster as Cluster, index_ClusterId as ClusterId, index_ClusterIds as ClusterIds, index_ClusterMode as ClusterMode, index_Clusters as Clusters, index_Code as Code, index_Codes as Codes, index_Collection as Collection, index_CollectionId as CollectionId, index_CollectionIds as CollectionIds, index_CollectionName as CollectionName, index_Collections as Collections, index_Color as Color, index_Colors as Colors, index_Column as Column, index_ColumnId as ColumnId, index_ColumnIds as ColumnIds, index_ColumnName as ColumnName, index_Columns as Columns, index_Comment as Comment, index_CommentId as CommentId, index_CommentIds as CommentIds, index_Comments as Comments, index_CompletedAt as CompletedAt, index_Compressed as Compressed, index_Config as Config, index_ConfigId as ConfigId, index_ConfigIds as ConfigIds, index_ConfigName as ConfigName, index_ConfigPath as ConfigPath, index_ConfigUrl as ConfigUrl, index_Configs as Configs, index_Constant as Constant, index_Constraint as Constraint, index_Constraints as Constraints, index_Constructor as Constructor, index_Consumer as Consumer, index_ConsumerId as ConsumerId, index_ConsumerIds as ConsumerIds, index_Consumers as Consumers, index_Content as Content, index_ContentId as ContentId, index_ContentIds as ContentIds, index_Contents as Contents, index_Context as Context, index_Controller as Controller, index_Controllers as Controllers, index_Cors as Cors, index_Cost as Cost, index_Costs as Costs, index_Count as Count, index_Country as Country, index_CountryCode as CountryCode, index_Create as Create, index_CreatedAt as CreatedAt, index_Creative as Creative, index_CreativeId as CreativeId, index_CreativeIds as CreativeIds, index_CreativeName as CreativeName, index_Creatives as Creatives, index_Credentials as Credentials, index_Csv as Csv, index_Currencies as Currencies, index_Currency as Currency, index_CurrencyCode as CurrencyCode, index_Cursor as Cursor, index_Customer as Customer, index_CustomerEmail as CustomerEmail, index_CustomerId as CustomerId, index_CustomerIds as CustomerIds, index_Customers as Customers, index_Data as Data, index_Database as Database, index_DatabaseHost as DatabaseHost, index_DatabaseName as DatabaseName, index_DatabasePort as DatabasePort, index_DatabaseUrl as DatabaseUrl, index_Databases as Databases, index_Date as Date, index_DateRange as DateRange, index_DateStart as DateStart, index_DateStop as DateStop, index_DateUtc as DateUtc, index_Dates as Dates, index_Day as Day, index_Days as Days, index_DeadLetter as DeadLetter, index_DeadLetters as DeadLetters, index_DeadLettersUrl as DeadLettersUrl, index_Debug as Debug, index_Decrement as Decrement, index_Default as Default, index_DefaultId as DefaultId, index_DefaultIds as DefaultIds, index_Defaults as Defaults, index_Delay as Delay, index_DelayMs as DelayMs, index_DelaySec as DelaySec, index_Delete as Delete, index_DeletedAt as DeletedAt, index_Dependences as Dependences, index_Depends as Depends, index_DependsOn as DependsOn, index_Depth as Depth, index_Description as Description, index_DescriptionId as DescriptionId, index_DescriptionIds as DescriptionIds, index_Descriptions as Descriptions, index_Desktop as Desktop, index_Detail as Detail, index_DetailId as DetailId, index_DetailIds as DetailIds, index_Details as Details, index_Dev as Dev, index_DevKey as DevKey, index_Developer as Developer, index_DeveloperId as DeveloperId, index_DeveloperIds as DeveloperIds, index_Developers as Developers, index_Device as Device, index_DeviceId as DeviceId, index_DeviceIds as DeviceIds, index_Devices as Devices, index_Dict as Dict, index_Dictionaries as Dictionaries, index_Dictionary as Dictionary, index_Dimension as Dimension, index_Dimensions as Dimensions, index_Directories as Directories, index_Directory as Directory, index_DirectoryName as DirectoryName, index_DirectoryPath as DirectoryPath, index_Disabled as Disabled, index_Discount as Discount, index_DiscountId as DiscountId, index_DiscountIds as DiscountIds, index_Discounts as Discounts, index_Display as Display, index_Docs as Docs, index_Document as Document, index_DocumentId as DocumentId, index_DocumentIds as DocumentIds, index_Documents as Documents, index_Domain as Domain, index_DomainId as DomainId, index_DomainIds as DomainIds, index_DomainName as DomainName, index_DomainUrl as DomainUrl, index_Domains as Domains, index_Dto as Dto, index_Dtos as Dtos, index_Duplicate as Duplicate, index_DuplicateId as DuplicateId, index_DuplicateIds as DuplicateIds, index_DuplicateName as DuplicateName, index_Duplicates as Duplicates, index_Duration as Duration, index_Element as Element, index_ElementId as ElementId, index_ElementIds as ElementIds, index_Elements as Elements, index_Email as Email, index_Employee as Employee, index_EmployeeId as EmployeeId, index_EmployeeIds as EmployeeIds, index_Employees as Employees, index_Employer as Employer, index_EmployerId as EmployerId, index_EmployerIds as EmployerIds, index_Employers as Employers, index_Enabled as Enabled, index_Encoded as Encoded, index_Encoding as Encoding, index_EndDate as EndDate, index_EndTime as EndTime, index_Endpoint as Endpoint, index_Endpoints as Endpoints, index_Entities as Entities, index_Entity as Entity, index_EntityId as EntityId, index_EntityIds as EntityIds, index_Entries as Entries, index_Entry as Entry, index_EntryId as EntryId, index_EntryIds as EntryIds, index_Enum as Enum, index_Env as Env, index_EnvFilePath as EnvFilePath, index_EnvKey as EnvKey, index_EnvKeys as EnvKeys, index_Envar as Envar, index_EnvarKey as EnvarKey, index_Envars as Envars, index_Equals as Equals, index_Error as Error, index_Errors as Errors, index_Event as Event, index_EventId as EventId, index_EventIds as EventIds, index_EventName as EventName, index_EventProperties as EventProperties, index_EventProperty as EventProperty, index_EventTime as EventTime, index_EventType as EventType, index_Events as Events, index_Exact as Exact, index_Example as Example, index_ExampleId as ExampleId, index_ExampleIds as ExampleIds, index_ExamplePath as ExamplePath, index_ExampleUrl as ExampleUrl, index_Examples as Examples, Exclude$1 as Exclude, index_ExcludePath as ExcludePath, index_ExcludePaths as ExcludePaths, index_Exists as Exists, index_ExpireAt as ExpireAt, index_Expired as Expired, index_ExpiredToken as ExpiredToken, index_ExpiredTokens as ExpiredTokens, index_Expires as Expires, index_Export as Export, index_Exports as Exports, index_ExposedHeaders as ExposedHeaders, index_Extention as Extention, index_Extentions as Extentions, index_External as External, index_ExternalId as ExternalId, index_ExternalIds as ExternalIds, index_Externals as Externals, index_Facebook as Facebook, index_Factory as Factory, index_Fail as Fail, index_Failed as Failed, index_Fails as Fails, index_Failure as Failure, index_Feature as Feature, index_FeatureId as FeatureId, index_FeatureIds as FeatureIds, index_FeatureName as FeatureName, index_Features as Features, index_Field as Field, index_FieldId as FieldId, index_FieldIds as FieldIds, index_FieldName as FieldName, index_Fields as Fields, index_Fifo as Fifo, index_File as File, index_FileId as FileId, index_FileIds as FileIds, index_FileName as FileName, index_FilePath as FilePath, index_FileSize as FileSize, index_Files as Files, index_Filter as Filter, index_FilterId as FilterId, index_FilterIds as FilterIds, index_Filters as Filters, index_FinishedAt as FinishedAt, index_FirstName as FirstName, index_Folder as Folder, index_FolderId as FolderId, index_FolderIds as FolderIds, index_FolderPath as FolderPath, index_Folders as Folders, index_Font as Font, index_FontFamily as FontFamily, index_FontId as FontId, index_FontIds as FontIds, index_FontName as FontName, index_FontPath as FontPath, index_FontUrl as FontUrl, index_Fonts as Fonts, index_Force as Force, index_Form as Form, index_FormId as FormId, index_FormIds as FormIds, index_Format as Format, index_Formats as Formats, index_Forms as Forms, index_FromDate as FromDate, index_FullName as FullName, index_GID as GID, index_GUID as GUID, index_Game as Game, index_GameId as GameId, index_GameIds as GameIds, index_Games as Games, index_Gender as Gender, index_Git as Git, index_Gitignore as Gitignore, index_Google as Google, index_Group as Group, index_GroupId as GroupId, index_GroupIds as GroupIds, index_GroupName as GroupName, index_Groups as Groups, index_Hash as Hash, index_Header as Header, index_Headers as Headers, index_HeadersTimeout as HeadersTimeout, index_Height as Height, index_Hidden as Hidden, index_Home as Home, index_Homepage as Homepage, index_Hour as Hour, index_Hours as Hours, index_Html as Html, index_HttpOptions as HttpOptions, index_ID as ID, index_IDFA as IDFA, index_IDFV as IDFV, index_IOS as IOS, index_Icon as Icon, index_IconId as IconId, index_IconIds as IconIds, index_IconPath as IconPath, index_IconUrl as IconUrl, index_Icons as Icons, index_Image as Image, index_ImageId as ImageId, index_ImageIds as ImageIds, index_ImageName as ImageName, index_ImagePath as ImagePath, index_ImageUrl as ImageUrl, index_Images as Images, index_Import as Import, index_Imports as Imports, index_Impression as Impression, index_Impressions as Impressions, index_Imutable as Imutable, index_Include as Include, index_IncludeId as IncludeId, index_IncludeIds as IncludeIds, index_IncludePath as IncludePath, index_IncludePaths as IncludePaths, index_Includes as Includes, index_Increment as Increment, index_Index as Index, index_Info as Info, index_Inject as Inject, index_Insert as Insert, index_Insights as Insights, index_Installs as Installs, index_Internal as Internal, index_InternalId as InternalId, index_InternalIds as InternalIds, index_Internals as Internals, index_Invoice as Invoice, index_InvoiceId as InvoiceId, index_InvoiceIds as InvoiceIds, index_InvoiceStatus as InvoiceStatus, index_Ip as Ip, index_IpAddress as IpAddress, index_IpV4 as IpV4, index_IpV6 as IpV6, index_IsDebug as IsDebug, index_IsDirty as IsDirty, index_IsEnable as IsEnable, index_IsNullable as IsNullable, index_IsProduction as IsProduction, index_IsTrial as IsTrial, index_Iso as Iso, index_Iss as Iss, index_Issue as Issue, index_IssueId as IssueId, index_IssueIds as IssueIds, index_Issuer as Issuer, index_Issues as Issues, index_Item as Item, index_ItemId as ItemId, index_ItemIds as ItemIds, index_ItemName as ItemName, index_Items as Items, index_Job as Job, index_JobId as JobId, index_JobIds as JobIds, index_Jobs as Jobs, index_Json as Json, index_KID as KID, index_KeepAliveTimeout as KeepAliveTimeout, index_Key as Key, index_KeyId as KeyId, index_KeyIds as KeyIds, index_KeyName as KeyName, index_Keys as Keys, index_Keyword as Keyword, index_Keywords as Keywords, index_Kind as Kind, index_Lable as Lable, index_Language as Language, index_Languages as Languages, index_LastName as LastName, index_Left as Left, index_Length as Length, index_Letter as Letter, index_LetterId as LetterId, index_LetterIds as LetterIds, index_Letters as Letters, index_Level as Level, index_LevelId as LevelId, index_LevelIds as LevelIds, index_Levels as Levels, index_License as License, index_Lifo as Lifo, index_Limit as Limit, index_Limited as Limited, index_Link as Link, index_Links as Links, index_List as List, index_ListId as ListId, index_ListIds as ListIds, index_Listener as Listener, index_ListenerId as ListenerId, index_ListenerIds as ListenerIds, index_Listeners as Listeners, index_Lists as Lists, index_Load as Load, index_Local as Local, index_LocalEnv as LocalEnv, index_Localhost as Localhost, index_Location as Location, index_LocationId as LocationId, index_LocationIds as LocationIds, index_LocationName as LocationName, index_Locations as Locations, index_Log as Log, index_LogGroup as LogGroup, index_LogGroups as LogGroups, index_LogLevel as LogLevel, index_LogLevels as LogLevels, index_Logger as Logger, index_Logging as Logging, index_Login as Login, index_Logs as Logs, index_Main as Main, index_Margin as Margin, index_MarginBottom as MarginBottom, index_MarginLeft as MarginLeft, index_MarginRight as MarginRight, index_Marked as Marked, index_Master as Master, index_MasterId as MasterId, index_MasterIds as MasterIds, index_Masters as Masters, index_Material as Material, index_MaterialId as MaterialId, index_MaterialIds as MaterialIds, index_Materials as Materials, index_Matrix as Matrix, index_Max as Max, index_MaxLength as MaxLength, index_Merchant as Merchant, index_MerchantId as MerchantId, index_MerchantIds as MerchantIds, index_Merchants as Merchants, index_Message as Message, index_MessageId as MessageId, index_MessageIds as MessageIds, index_Messages as Messages, index_Meta as Meta, index_Metadata as Metadata, index_Method as Method, index_Methods as Methods, index_Metric as Metric, index_MetricId as MetricId, index_MetricIds as MetricIds, index_Metrics as Metrics, index_Middleware as Middleware, index_Migration as Migration, index_Migrations as Migrations, index_Milliseconds as Milliseconds, index_MimeType as MimeType, index_Min as Min, index_MinLength as MinLength, index_Minutes as Minutes, index_Missing as Missing, index_MissingId as MissingId, index_MissingIds as MissingIds, index_MissingName as MissingName, index_Missings as Missings, index_Mode as Mode, index_Model as Model, index_ModelId as ModelId, index_ModelIds as ModelIds, index_ModelName as ModelName, index_Models as Models, index_Modes as Modes, index_Module as Module, index_Modules as Modules, index_Months as Months, index_Multiplier as Multiplier, index_Mutable as Mutable, index_Name as Name, index_Namespace as Namespace, index_NamespaceId as NamespaceId, index_NamespaceIds as NamespaceIds, index_Namespaces as Namespaces, index_Next as Next, index_NextDate as NextDate, index_NextPageUrl as NextPageUrl, index_Node as Node, index_NodeId as NodeId, index_NodeIds as NodeIds, index_Nodes as Nodes, index_Note as Note, index_NoteId as NoteId, index_NoteIds as NoteIds, index_Notes as Notes, index_Notification as Notification, index_NotificationId as NotificationId, index_NotificationIds as NotificationIds, index_NotificationType as NotificationType, index_Notifications as Notifications, index_Nulluble as Nulluble, index_OS as OS, Object$1 as Object, index_ObjectId as ObjectId, index_ObjectIds as ObjectIds, index_ObjectiveType as ObjectiveType, index_Objects as Objects, index_Offer as Offer, index_OfferId as OfferId, index_OfferIds as OfferIds, index_Offers as Offers, index_Offset as Offset, index_OffsetX as OffsetX, index_OffsetY as OffsetY, index_OffsetZ as OffsetZ, index_Offsets as Offsets, index_OnCreate as OnCreate, index_OnDelete as OnDelete, index_OnUpdate as OnUpdate, index_Option as Option, index_Options as Options, index_Order as Order, index_OrderId as OrderId, index_OrderIds as OrderIds, index_Ordered as Ordered, index_Orders as Orders, index_Origin as Origin, index_OriginId as OriginId, index_OriginIds as OriginIds, index_Origins as Origins, index_Owner as Owner, index_OwnerId as OwnerId, index_OwnerIds as OwnerIds, index_OwnerName as OwnerName, index_Owners as Owners, index_PID as PID, index_PIN as PIN, index_PUK as PUK, index_Package as Package, index_PackageId as PackageId, index_PackageIds as PackageIds, index_PackageName as PackageName, index_Packages as Packages, index_Padding as Padding, index_PaddingBottom as PaddingBottom, index_PaddingLeft as PaddingLeft, index_PaddingRight as PaddingRight, index_Page as Page, index_PageId as PageId, index_PageIds as PageIds, index_PageInfo as PageInfo, index_PageSize as PageSize, index_PageUrl as PageUrl, index_Pagination as Pagination, index_Paging as Paging, index_Param as Param, index_Params as Params, index_Part as Part, index_PartId as PartId, index_PartIds as PartIds, index_Parts as Parts, index_Password as Password, index_Path as Path, index_Paths as Paths, index_Pause as Pause, index_Paused as Paused, index_PausedAt as PausedAt, index_PausedFrom as PausedFrom, index_PausedTo as PausedTo, index_Payer as Payer, index_PayerId as PayerId, index_PayerIds as PayerIds, index_Payers as Payers, index_Payload as Payload, index_Payment as Payment, index_PaymentId as PaymentId, index_PaymentIds as PaymentIds, index_PaymentNumber as PaymentNumber, index_Payments as Payments, index_PaymentsNumber as PaymentsNumber, index_Permission as Permission, index_PermissionId as PermissionId, index_PermissionIds as PermissionIds, index_Permissions as Permissions, index_PhoneNumber as PhoneNumber, index_PixelCode as PixelCode, index_Placement as Placement, index_PlacementId as PlacementId, index_PlacementIds as PlacementIds, index_Placements as Placements, index_Platform as Platform, index_PlatformId as PlatformId, index_PlatformIds as PlatformIds, index_PlatformName as PlatformName, index_Platforms as Platforms, index_Player as Player, index_PlayerId as PlayerId, index_PlayerIds as PlayerIds, index_Players as Players, index_Point as Point, index_PointId as PointId, index_PointIds as PointIds, index_Pointer as Pointer, index_Points as Points, index_Port as Port, index_Possition as Possition, index_PossitionX as PossitionX, index_PossitionY as PossitionY, index_PossitionZ as PossitionZ, index_Possitions as Possitions, index_Post as Post, index_PostId as PostId, index_PostIds as PostIds, index_PostalCode as PostalCode, index_Posts as Posts, index_Preferences as Preferences, index_Prefix as Prefix, index_Price as Price, index_Primary as Primary, index_Priority as Priority, index_Private as Private, index_PrivateKey as PrivateKey, index_Prod as Prod, index_Product as Product, index_ProductId as ProductId, index_ProductIds as ProductIds, index_ProductName as ProductName, index_Production as Production, index_Products as Products, index_Profile as Profile, index_ProfileId as ProfileId, index_ProfileIds as ProfileIds, index_Profiles as Profiles, index_Project as Project, index_ProjectId as ProjectId, index_ProjectIds as ProjectIds, index_Projects as Projects, index_Properties as Properties, index_Property as Property, index_PropertyId as PropertyId, index_PropertyIds as PropertyIds, index_Props as Props, index_Provider as Provider, index_Providers as Providers, index_Public as Public, index_PublicKey as PublicKey, index_PublicPath as PublicPath, index_Publication as Publication, index_PublicationId as PublicationId, index_PublicationIds as PublicationIds, index_Publications as Publications, index_Published as Published, index_PublishedAt as PublishedAt, index_Publisher as Publisher, index_PublisherId as PublisherId, index_PublisherIds as PublisherIds, index_PublisherName as PublisherName, index_Publishers as Publishers, index_Purchase as Purchase, index_PurchaseDate as PurchaseDate, index_PurchaseId as PurchaseId, index_PurchaseIds as PurchaseIds, index_PurchaseName as PurchaseName, index_PurchaseToken as PurchaseToken, index_PurchaseType as PurchaseType, index_Purchases as Purchases, index_Quantity as Quantity, index_Queries as Queries, index_Query as Query, index_Question as Question, index_QuestionId as QuestionId, index_QuestionIds as QuestionIds, index_Questions as Questions, index_Queue as Queue, index_QueueId as QueueId, index_QueueIds as QueueIds, index_QueueName as QueueName, index_QueueUrl as QueueUrl, index_Queues as Queues, index_Radius as Radius, index_Range as Range, index_Ranges as Ranges, index_Ratio as Ratio, index_Raw as Raw, index_RawBody as RawBody, index_Reason as Reason, index_ReasonId as ReasonId, index_ReasonIds as ReasonIds, index_Reasons as Reasons, index_Receipt as Receipt, index_ReceiptId as ReceiptId, index_ReceiptIds as ReceiptIds, index_Receipts as Receipts, index_Redis as Redis, index_Ref as Ref, index_Reference as Reference, index_References as References, index_Referrer as Referrer, index_RefreshToken as RefreshToken, index_RefundedAt as RefundedAt, index_Region as Region, index_RegionCode as RegionCode, index_Regions as Regions, index_Relation as Relation, index_RelationId as RelationId, index_RelationIds as RelationIds, index_Relations as Relations, index_Remote as Remote, index_Remove as Remove, index_Replica as Replica, index_ReplicaId as ReplicaId, index_ReplicaIds as ReplicaIds, index_ReplicaName as ReplicaName, index_ReplicaUrl as ReplicaUrl, index_Replicas as Replicas, index_Replication as Replication, index_ReplicationId as ReplicationId, index_ReplicationIds as ReplicationIds, index_Replications as Replications, index_Report as Report, index_ReportId as ReportId, index_ReportIds as ReportIds, index_Reports as Reports, index_Repositories as Repositories, index_Repository as Repository, index_RepositoryUrl as RepositoryUrl, index_Req as Req, index_Request as Request, index_RequestId as RequestId, index_RequestIds as RequestIds, index_Requests as Requests, index_Res as Res, index_Resource as Resource, index_ResourceId as ResourceId, index_ResourceIds as ResourceIds, index_ResourceName as ResourceName, index_ResourcePath as ResourcePath, index_ResourceUrl as ResourceUrl, index_Resources as Resources, index_Response as Response, index_ResponseId as ResponseId, index_ResponseIds as ResponseIds, index_Responses as Responses, index_Result as Result, index_ResultId as ResultId, index_ResultIds as ResultIds, index_Results as Results, index_Retry as Retry, index_RetryCount as RetryCount, index_Right as Right, index_Role as Role, index_RoleId as RoleId, index_RoleIds as RoleIds, index_RoleName as RoleName, index_Roles as Roles, index_Rotation as Rotation, index_RotationX as RotationX, index_RotationY as RotationY, index_RotationZ as RotationZ, index_Rotations as Rotations, index_Route as Route, index_Routes as Routes, index_Row as Row, index_RowId as RowId, index_RowIds as RowIds, index_Rows as Rows, index_SETID as SETID, index_SSL as SSL, index_Salt as Salt, index_Scale as Scale, index_ScaleX as ScaleX, index_ScaleY as ScaleY, index_ScaleZ as ScaleZ, index_Scales as Scales, index_Scenario as Scenario, index_ScenarioId as ScenarioId, index_ScenarioIds as ScenarioIds, index_Scenarios as Scenarios, index_Schedule as Schedule, index_Scheduled as Scheduled, index_Scheduler as Scheduler, index_Schema as Schema, index_SchemaId as SchemaId, index_SchemaIds as SchemaIds, index_SchemaName as SchemaName, index_Schemas as Schemas, index_Scope as Scope, index_Scopes as Scopes, index_Screen as Screen, index_Sdk as Sdk, index_Secondary as Secondary, index_Seconds as Seconds, index_Secret as Secret, index_SecretKey as SecretKey, index_Select as Select, index_Selected as Selected, index_Selector as Selector, index_Sender as Sender, index_SenderId as SenderId, index_SenderIds as SenderIds, index_SenderName as SenderName, index_Senders as Senders, index_Separator as Separator, index_Sequence as Sequence, index_SequenceId as SequenceId, index_SequenceIds as SequenceIds, index_Sequences as Sequences, index_Server as Server, index_ServerHost as ServerHost, index_ServerPort as ServerPort, index_ServerUrl as ServerUrl, index_Service as Service, index_ServiceId as ServiceId, index_ServiceIds as ServiceIds, index_ServiceName as ServiceName, index_ServicePath as ServicePath, index_ServiceUrl as ServiceUrl, index_Services as Services, index_Session as Session, index_SessionId as SessionId, index_SessionIds as SessionIds, index_Sessions as Sessions, index_Set as Set, index_SetId as SetId, index_SetIds as SetIds, index_Sets as Sets, index_Settings as Settings, index_Setup as Setup, index_SetupId as SetupId, index_SetupIds as SetupIds, index_Setups as Setups, index_ShutdownDelay as ShutdownDelay, index_Signature as Signature, index_Since as Since, index_Size as Size, index_Skip as Skip, index_Slack as Slack, index_Slave as Slave, index_SlaveId as SlaveId, index_SlaveIds as SlaveIds, index_Slaves as Slaves, index_Snapshot as Snapshot, index_SnapshotId as SnapshotId, index_SnapshotIds as SnapshotIds, index_SnapshotUrl as SnapshotUrl, index_Snapshots as Snapshots, index_Sort as Sort, index_Source as Source, index_Spend as Spend, index_Spends as Spends, index_Stage as Stage, index_StartDate as StartDate, index_StartTime as StartTime, index_StartedAt as StartedAt, index_State as State, index_States as States, index_Stats as Stats, index_Status as Status, index_Strategies as Strategies, index_Strategy as Strategy, index_StrategyId as StrategyId, index_StrategyIds as StrategyIds, index_StrategyName as StrategyName, index_Stream as Stream, index_StreamId as StreamId, index_StreamIds as StreamIds, index_StreamName as StreamName, index_Streams as Streams, index_Subject as Subject, index_SubjectId as SubjectId, index_SubjectIds as SubjectIds, index_Subjects as Subjects, index_Subscriber as Subscriber, index_SubscriberId as SubscriberId, index_SubscriberIds as SubscriberIds, index_Subscribers as Subscribers, index_Subscription as Subscription, index_SubscriptionId as SubscriptionId, index_SubscriptionIds as SubscriptionIds, index_Subscriptions as Subscriptions, index_Success as Success, index_Sum as Sum, index_Summary as Summary, index_Synchronize as Synchronize, index_Table as Table, index_TableId as TableId, index_TableIds as TableIds, index_TableName as TableName, index_Tables as Tables, index_Tag as Tag, index_TagId as TagId, index_TagIds as TagIds, index_Tags as Tags, index_Take as Take, index_Target as Target, index_TargetId as TargetId, index_TargetIds as TargetIds, index_Targets as Targets, index_Task as Task, index_TaskId as TaskId, index_TaskIds as TaskIds, index_Tasks as Tasks, index_Taxes as Taxes, index_Template as Template, index_TemplateId as TemplateId, index_TemplateIds as TemplateIds, index_TemplateName as TemplateName, index_TemplatePath as TemplatePath, index_TemplateUrl as TemplateUrl, index_Templates as Templates, index_Text as Text, index_TextSize as TextSize, index_Throttle as Throttle, index_ThrottleMs as ThrottleMs, index_ThrottleSec as ThrottleSec, index_Ticket as Ticket, index_TicketId as TicketId, index_TicketIds as TicketIds, index_Tickets as Tickets, index_Tiktok as Tiktok, index_Time as Time, index_TimeRange as TimeRange, index_TimeUtc as TimeUtc, index_Timeout as Timeout, index_Timer as Timer, index_Timestamp as Timestamp, index_TimestampUtc as TimestampUtc, index_Timezone as Timezone, index_TimezoneOffset as TimezoneOffset, index_Title as Title, index_Tmp as Tmp, index_TmpPath as TmpPath, index_ToDate as ToDate, index_Token as Token, index_TokenId as TokenId, index_TokenIds as TokenIds, index_TokenType as TokenType, index_Tokens as Tokens, index_Tool as Tool, index_ToolId as ToolId, index_ToolIds as ToolIds, index_Tools as Tools, index_Top as Top, index_Topic as Topic, index_TopicId as TopicId, index_TopicIds as TopicIds, index_TopicName as TopicName, index_Topics as Topics, index_TotalClicks as TotalClicks, index_TotalCount as TotalCount, index_TotalImpressions as TotalImpressions, index_TotalInstalls as TotalInstalls, index_TotalNumber as TotalNumber, index_TotalSpend as TotalSpend, index_Town as Town, index_Transaction as Transaction, index_TransactionId as TransactionId, index_TransactionIds as TransactionIds, index_TransactionToken as TransactionToken, index_Transactions as Transactions, index_Transformer as Transformer, index_Trial as Trial, index_Ttl as Ttl, index_TtlMs as TtlMs, index_TtlSec as TtlSec, index_Type as Type, index_TypeId as TypeId, index_TypeIds as TypeIds, index_Types as Types, index_UUID as UUID, index_Unique as Unique, index_UniqueId as UniqueId, index_UniqueIds as UniqueIds, index_Uniques as Uniques, index_Until as Until, index_Update as Update, index_UpdatedAt as UpdatedAt, index_Uri as Uri, index_Url as Url, index_User as User, index_UserAgent as UserAgent, index_UserData as UserData, index_UserId as UserId, index_UserIds as UserIds, index_UserName as UserName, index_UserPassword as UserPassword, index_UserProperties as UserProperties, index_Username as Username, index_Users as Users, index_Utc as Utc, index_Value as Value, index_Values as Values, index_Vars as Vars, index_Vector as Vector, index_VendorId as VendorId, index_VendorIds as VendorIds, index_Verbose as Verbose, index_Version as Version, index_Video as Video, index_VideoId as VideoId, index_VideoIds as VideoIds, index_VideoName as VideoName, index_VideoUrl as VideoUrl, index_Videos as Videos, index_View as View, index_ViewId as ViewId, index_ViewIds as ViewIds, index_Views as Views, index_Visitor as Visitor, index_VisitorId as VisitorId, index_VisitorIds as VisitorIds, index_Visitors as Visitors, index_Warning as Warning, index_Web as Web, index_Webhook as Webhook, index_WebhookUrl as WebhookUrl, index_Webhooks as Webhooks, index_Week as Week, index_Weeks as Weeks, index_Weight as Weight, index_Where as Where, index_Whitelist as Whitelist, index_Width as Width, index_Workspace as Workspace, index_WorkspaceId as WorkspaceId, index_WorkspaceIds as WorkspaceIds, index_Workspaces as Workspaces, index_X as X, index_Y as Y, index_Year as Year, index_Years as Years, index_Z as Z, index_ZIndex as ZIndex, index_Zip as Zip, index_ZipCode as ZipCode, index_Ziped as Ziped };
}

export { type Blueprint$2 as Blueprint, Blueprints$2 as Blueprints, type Checkbox, type Combine, type Constructor$1 as Constructor, type DeepPartial, type DeepReadonly, type Dictionary$2 as Dictionary, type Enum$2 as Enum, type ExcludeExact, type ExtractExact, type InstanceFactory, type IntRange, type KeysSelector, type Malformed, type Mutable$2 as Mutable, type ObjectKeys, type ObjectValues, type PercentType, type PickRest, type PropertySelector, type Reflect, type Select$2 as Select, type Subtract, type Toggle, type TypeOmitter, type TypePicker, index$1 as camelcase, deepCopy, exact, fromJson, isNil, mutating, index as snakecase, strictAssign, toJson };
